<?php
$syllabus_data=$syllabus['args'];
?>
<div class="syllabus-div">
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable-syllabus" value="0">
			<input type="checkbox" name="enable-syllabus" value="1" id="enable-syllabus" <?php echo ((isset($syllabus_data['enable_syllabus']) && $syllabus_data['enable_syllabus']==1)?"checked":""); ?>><label for ="enable-syllabus">Enable</label>
		</div>
	</div>
	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="syllabus_title" size="30" value="<?php echo (isset($syllabus_data['syllabus_title']) ?$syllabus_data['syllabus_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>
	<div class="ls-row">
		<div class="ls-col-12">
			<label>Tabs type</label>
			<select name="syllabus_tabtype">
				<option value="vertical" <?php echo ((isset($syllabus_data['syllabus_tabtype']) && $syllabus_data['syllabus_tabtype']=='vertical')?"selected":""); ?>>Vertical</option>
				<option value="horizontal" <?php echo (((isset($syllabus_data['syllabus_tabtype']) && $syllabus_data['syllabus_tabtype']=='horizontal') || !isset($syllabus_data['syllabus_tabtype']))?"selected":""); ?>>Horizontal</option>
			</select>
		</div>
	</div>
	<div class="ls-row syllabus-div">
		<div class="ls-col-12 l1-syllabus">
			<?php 
			if(isset($syllabus_data['syllabus_tab_icon'])){
				$tab_count=sizeof($syllabus_data['syllabus_tab_icon']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-tab" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="l1-syllabus">Add Tab</button>
			</p>

			<div class="tab">
				<?php if(isset($syllabus_data['syllabus_tab_icon'])){
					$h = 1;
					for($i=0;$i<sizeof($syllabus_data['syllabus_tab_icon']);$i++){
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?>" type="button"  data-div="l1-syllabus" data-tabname="tablinks<?php echo $i; ?>"><?php echo ((!empty($syllabus_data['syllabus_tab_title'][$i])) ? $syllabus_data['syllabus_tab_title'][$i] : "Tab ".$h); ?><button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="l1-syllabus">&times;</button></button></button>
						<?php
						$h++;
					}
				}else{ ?>
					<button class="tablinks button-tablinks1 active" type="button"  data-div="l1-syllabus" data-tabname="tablinks1">Tab 1 <button type='button' class='remove_tab_button' data-id='1' data-div="l1-syllabus">&times;</button></button></button>
				<?php } ?>
			</div>
			<?php if(isset($syllabus_data['syllabus_tab_icon'])){
				$x= 1;
				for($i=0;$i<sizeof($syllabus_data['syllabus_tab_icon']);$i++){
					?>
					<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">
						<div class="ls-row">
							<div class="ls-col-4">
								<label>Tab Icon</label>
							</div>
							<div class="ls-col-8">
								<?php

								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;

								if ( !empty( $syllabus_data['syllabus_tab_icon'][$i] ) ) {
									$image_attributes = wp_get_attachment_image_src($syllabus_data['syllabus_tab_icon'][$i] );
									$src = $image_attributes[0];
									$value = $syllabus_data['syllabus_tab_icon'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';


								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l1-syllabus_tab_icon[]" id="l1-syllabus_tab_icon[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-title ls-col-12">
								<input type="text" name="l1-syllabus_tab_title[]" size="30" value="<?php echo (!empty($syllabus_data['syllabus_tab_title'][$i])?$syllabus_data['syllabus_tab_title'][$i]:""); ?>" class="w-100 ls-title-input" placeholder="Tab title...">
							</div>
						</div>
						<div class="ls-row">
							<div class="ls-col-4 ls-text-center">
								<?php

								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";

								if ( !empty( $syllabus_data['syllabus_icon_left'][$i] ) ) {
									$image_attributes = wp_get_attachment_image_src($syllabus_data['syllabus_icon_left'][$i] );
									$src = $image_attributes[0];
									$value = $syllabus_data['syllabus_icon_left'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}


								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l1-syllabus_icon_left[]" id="l1-syllabus_icon_left[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
								<div>
									<input type="text" name="l1-syllabus_tabtext[]" class="w-100" placeholder="text..." value="<?php echo (!empty($syllabus_data['syllabustabtext'][$i])?$syllabus_data['syllabustabtext'][$i]:""); ?>">
								</div>
								<div>
									<input type="text" name="l1-syllabus_linktitle[]" class="w-100" placeholder="Link Title..." value="<?php echo (!empty($syllabus_data['syllabuslinktitle'][$i])?$syllabus_data['syllabuslinktitle'][$i]:""); ?>">
								</div>
								<div>
									<input type="text" name="l1-syllabus_link[]" class="w-100" placeholder="Url..." value="<?php echo (!empty($syllabus_data['syllabuslink'][$i])?$syllabus_data['syllabuslink'][$i]:""); ?>">
								</div>

								<div class="">
									<select name="l1-syllabus_btn_class[]" id="l1-syllabus_btn_class" class="w-100">
										<?php echo get_classes_options((isset($syllabus_data['syllabus_btn_class'][$i])?$syllabus_data['syllabus_btn_class'][$i]:"")); ?>
									</select><br><br>
								</div>

								<div>
									<label>Button 2</label>
									<input type="text" class="w-100" name="l1-syllabus_btn_text2[]" id="l1-syllabus_btn_text2" placeholder="i.e. Begin Prepration" value="<?php echo (isset($syllabus_data['syllabus_btn_text2'][$i]) ?$syllabus_data['syllabus_btn_text2'][$i]:""); ?>">
									<input type="text" class="w-100" name="l1-syllabus_btn_link2[]" id="l1-syllabus_btn_link2" placeholder="i.e. www.prepinsta.com" value="<?php echo (isset($syllabus_data['syllabus_btn_link2'][$i]) ?$syllabus_data['syllabus_btn_link2'][$i]:""); ?>">
									<select name="l1-syllabus_btn_class2[]" id="l1-syllabus_btn_class2" class="w-100">
										<?php echo get_classes_options((isset($syllabus_data['syllabus_btn_class2'][$i])?$syllabus_data['syllabus_btn_class2'][$i]:"")); ?>
									</select><br><br>
								</div>								

							</div>
							<div class="ls-col-8">

								<?php wp_editor((isset($syllabus_data['syllabus_textarea'][$i])?$syllabus_data['syllabus_textarea'][$i]:""), "l1-syllabusmceEditorID".rand(), array("textarea_name"=>"l1-syllabus_textarea[]","textarea_rows"=>8) ); ?>

							</div>

							<div class="ls-col-12">

								<?php wp_editor((isset($syllabus_data['syllabus_textarea2'][$i])?$syllabus_data['syllabus_textarea2'][$i]:""), "l1-syllabusmceEditorID".rand(), array("textarea_name"=>"l1-syllabus_textarea2[]","textarea_rows"=>8) ); ?>

							</div>

						</div>
					</div>
					<?php $x++; } ?>
				<?php }else{ ?>
					<div id="tablinks1" class="l1tabcontent" style="display:block;">
						<div class="ls-row">
							<div class="ls-col-4">
								<label>Tab Icon</label>
							</div>
							<div class="ls-col-8">
								<?php

								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;
								$text = 'Upload';


								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l1-syllabus_tab_icon[]" id="l1-syllabus_tab_icon[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-title ls-col-12">
								<input type="text" name="l1-syllabus_tab_title[]" size="30" value="" class="w-100 ls-title-input" placeholder="Tab title...">
							</div>
						</div>
						<div class="ls-row">
							<div class="ls-col-4 ls-text-center">
								<?php

								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;
								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l1-syllabus_icon_left[]" id="l1-syllabus_icon_left[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
								<div>
									<input type="text" name="l1-syllabus_tabtext[]" class="w-100" placeholder="text...">
								</div>
								<div>
									<input type="text" name="l1-syllabus_linktitle[]" class="w-100" placeholder="Link Title...">
								</div>
								<div>
									<input type="text" name="l1-syllabus_link[]" class="w-100" placeholder="Url...">
								</div>

								<div class="">
									<select name="l1-syllabus_btn_class[]" id="l1-syllabus_btn_class" class="w-100">
										<?php echo get_classes_options(); ?>
									</select><br><br>
								</div>
								<div>
									<label>Button 2</label>
									<input type="text" class="w-100" name="l1-syllabus_btn_text2[]" id="l1-syllabus_btn_text2" placeholder="i.e. Begin Prepration" value="">
									<input type="text" class="w-100" name="l1-syllabus_btn_link2[]" id="l1-syllabus_btn_link2" placeholder="i.e. www.prepinsta.com" value="">
									<select name="l1-syllabus_btn_class2[]" id="l1-syllabus_btn_class2" class="w-100">
										<?php echo get_classes_options(); ?>
									</select><br><br>
								</div>

							</div>
							<div class="ls-col-8">
								<?php wp_editor("", "l1-syllabusmceEditorID".rand(), array("textarea_name"=>"l1-syllabus_textarea[]","textarea_rows"=>8) ); ?>
							</div>
							<div class="ls-col-12">
								<?php wp_editor("", "l1-syllabusmceEditorID".rand(), array("textarea_name"=>"l1-syllabus_textarea2[]","textarea_rows"=>8) ); ?>
							</div>
						</div>
					</div>
				<?php } ?>

			</div>
		</div>
	</div>