<?php
$preparation_section_data=$preparation_section['args'][0];
$images_data=$preparation_section['args'][1];
$siteURL = get_site_url();
?>
<div class="preparation_section-div">
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable-preparation_section" value="0">
			<input type="checkbox" name="enable-preparation_section" value="1" id="enable-preparation_section" <?php echo ((isset($preparation_section_data['enable_preparation_section']) && $preparation_section_data['enable_preparation_section']==1)?"checked":""); ?>><label for ="enable-preparation_section">Enable</label>
		</div>
	</div>
	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="preparation_section_title" size="30" value="<?php echo (isset($preparation_section_data['preparation_section_title']) ?$preparation_section_data['preparation_section_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>
	<div class="ls-row">
		<div class="ls-col-12">
			<label>Tabs type</label>
			<select name="preparation_section_tabtype">
				<option value="vertical" <?php echo ((isset($preparation_section_data['preparation_section_tabtype']) && $preparation_section_data['preparation_section_tabtype']=='vertical')?"selected":""); ?>>Vertical</option>
				<option value="horizontal" <?php echo (((isset($preparation_section_data['preparation_section_tabtype']) && $preparation_section_data['preparation_section_tabtype']=='horizontal') || !isset($preparation_section_data['preparation_section_tabtype']))?"selected":""); ?>>Horizontal</option>
			</select>
		</div>
	</div>
	<div class="ls-row preparation_section-div">
		<div class="ls-col-12 l1-preparation_section">
			<?php 
			if(isset($preparation_section_data['preparation_section_tab_icon'])){
				$tab_count=sizeof($preparation_section_data['preparation_section_tab_icon']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-tab" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="l1-preparation_section">Add Tab</button>
			</p>

			<div class="tab">
				<?php if(isset($preparation_section_data['preparation_section_tab_icon'])){
					$h = 1;
					for($i=0;$i<sizeof($preparation_section_data['preparation_section_tab_icon']);$i++){
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?>" type="button"  data-div="l1-preparation_section" data-tabname="tablinks<?php echo $i; ?>"><?php echo ((!empty($preparation_section_data['preparation_section_tab_title'][$i])) ? $preparation_section_data['preparation_section_tab_title'][$i] : "Tab ".$h); ?>
						<button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="l1-preparation_section">&times;</button></button></button>
						<?php
						$h++;
					}
				}else{ ?>
					<button class="tablinks button-tablinks1 active" type="button"  data-div="l1-preparation_section" data-tabname="tablinks1">Tab 1 <button type='button' class='remove_tab_button' data-id='1' data-div="l1-preparation_section">&times;</button></button></button>
				<?php } ?>
			</div>
			<?php if(isset($preparation_section_data['preparation_section_tab_icon'])){
				$x= 1;
				for($i=0;$i<sizeof($preparation_section_data['preparation_section_tab_icon']);$i++){
					?>
					<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">
						<div class="ls-row">
							<div class="ls-col-4">
								<label>Tab Icon</label>
							</div>
							<div class="ls-col-8">
								<?php

								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;

								if ( !empty( $preparation_section_data['preparation_section_tab_icon'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$preparation_section_data['preparation_section_tab_icon'][$i]]['image_url'];
									$value = $preparation_section_data['preparation_section_tab_icon'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l1-preparation_section_tab_icon[]" id="l1-preparation_section_tab_icon[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-title ls-col-12">
								<input type="text" name="l1-preparation_section_tab_title[]" size="30" value="<?php echo (!empty($preparation_section_data['preparation_section_tab_title'][$i])?$preparation_section_data['preparation_section_tab_title'][$i]:""); ?>" class="w-100 ls-title-input" placeholder="Tab title...">
							</div>
						</div>
						<div class="ls-row">
							<div class="ls-col-4 ls-text-center">
								<?php

								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";

								if ( !empty( $preparation_section_data['preparation_section_icon_left'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$preparation_section_data['preparation_section_icon_left'][$i]]['image_url'];
									$value = $preparation_section_data['preparation_section_icon_left'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l1-preparation_section_icon_left[]" id="l1-preparation_section_icon_left[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
								<div>
									<input type="text" name="l1-preparation_section_tabtext[]" class="w-100" placeholder="text..." value="<?php echo (!empty($preparation_section_data['preparation_section_tabtext'][$i])?$preparation_section_data['preparation_section_tabtext'][$i]:""); ?>">
								</div>
								<div>
									<input type="text" name="l1-preparation_section_linktitle[]" class="w-100" placeholder="Link Title..." value="<?php echo (!empty($preparation_section_data['preparation_section_linktitle'][$i])?$preparation_section_data['preparation_section_linktitle'][$i]:""); ?>">
								</div>
								<div>
									<input type="text" name="l1-preparation_section_link[]" class="w-100" placeholder="Url..." value="<?php echo (!empty($preparation_section_data['preparation_section_link'][$i])?$preparation_section_data['preparation_section_link'][$i]:""); ?>">
								</div>

								<div class="">
									<select name="l1-preparation_section_btn_class[]" id="l1-preparation_section_btn_class" class="w-100">
										<?php echo get_classes_options((isset($preparation_section_data['preparation_section_btn_class'][$i]) ?$preparation_section_data['preparation_section_btn_class'][$i]:"")); ?>
									</select><br><br>
								</div>

								<div>
									<label>Button 2</label>
									<input type="text" class="w-100" name="l1-preparation_section_btn_text2[]" id="l1-preparation_section_btn_text2" placeholder="i.e. Begin Prepration" value="<?php echo (isset($preparation_section_data['preparation_section_btn_text2'][$i]) ?$preparation_section_data['preparation_section_btn_text2'][$i]:""); ?>">
									<input type="text" class="w-100" name="l1-preparation_section_btn_link2[]" id="l1-preparation_section_btn_link2" placeholder="i.e. www.prepinsta.com" value="<?php echo (isset($preparation_section_data['preparation_section_btn_link2'][$i]) ?$preparation_section_data['preparation_section_btn_link2'][$i]:""); ?>">
									<select name="l1-preparation_section_btn_class2[]" id="l1-preparation_section_btn_class2" class="w-100">
										<?php echo get_classes_options((isset($preparation_section_data['preparation_section_btn_class2'][$i]) ?$preparation_section_data['preparation_section_btn_class2'][$i]:"")); ?>
									</select><br><br>
								</div>

							</div>
							<div class="ls-col-8">

								<?php wp_editor((isset($preparation_section_data['preparation_section_textarea'][$i]) ?$preparation_section_data['preparation_section_textarea'][$i]:""), "l1-preparation_sectionmceEditorID".rand(), array("textarea_name"=>"l1-preparation_section_textarea[]","textarea_rows"=>8) ); ?>

							</div>

							<div class="ls-col-12">

								<?php wp_editor((isset($preparation_section_data['preparation_section_textarea2'][$i]) ?$preparation_section_data['preparation_section_textarea2'][$i]:""), "l1-preparation_sectionmceEditorID".rand(), array("textarea_name"=>"l1-preparation_section_textarea2[]","textarea_rows"=>8) ); ?>

							</div>

						</div>
					</div>
					<?php $x++; } ?>
				<?php }else{ ?>
					<div id="tablinks1" class="l1tabcontent" style="display:block;">
						<div class="ls-row">
							<div class="ls-col-4">
								<label>Tab Icon</label>
							</div>
							<div class="ls-col-8">
								<?php

								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;
								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l1-preparation_section_tab_icon[]" id="l1-preparation_section_tab_icon[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-title ls-col-12">
								<input type="text" name="l1-preparation_section_tab_title[]" size="30" value="" class="w-100 ls-title-input" placeholder="Tab title...">
							</div>
						</div>
						<div class="ls-row">
							<div class="ls-col-4 ls-text-center">
								<?php

								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;
								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l1-preparation_section_icon_left[]" id="l1-preparation_section_icon_left[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
								<div>
									<input type="text" name="l1-preparation_section_tabtext[]" class="w-100" placeholder="text...">
								</div>
								<div>
									<input type="text" name="l1-preparation_section_linktitle[]" class="w-100" placeholder="Link Title...">
								</div>
								<div>
									<input type="text" name="l1-preparation_section_link[]" class="w-100" placeholder="Url...">
								</div>

								<div class="">
									<select name="l1-preparation_section_btn_class[]" id="l1-preparation_section_btn_class" class="w-100">
										<?php echo get_classes_options(); ?>
									</select><br><br>
								</div>
								<div>
									<label>Button 2</label>
									<input type="text" class="w-100" name="l1-preparation_section_btn_text2[]" id="l1-preparation_section_btn_text2" placeholder="i.e. Begin Prepration" value="">
									<input type="text" class="w-100" name="l1-preparation_section_btn_link2[]" id="l1-preparation_section_btn_link2" placeholder="i.e. www.prepinsta.com" value="">
									<select name="l1-preparation_section_btn_class2[]" id="l1-preparation_section_btn_class2" class="w-100">
										<?php echo get_classes_options(); ?>
									</select><br><br>
								</div>

							</div>
							<div class="ls-col-8">
								<?php wp_editor("", "l1-preparation_sectionmceEditorID".rand(), array("textarea_name"=>"l1-preparation_section_textarea[]","textarea_rows"=>8) ); ?>
							</div>

							<div class="ls-col-12">
								<?php wp_editor("", "l1-preparation_sectionmceEditorID".rand(), array("textarea_name"=>"l1-preparation_section_textarea2[]","textarea_rows"=>8) ); ?>
							</div>

						</div>
					</div>
				<?php } ?>

			</div>
		</div>
	</div>