<?php

function all_meta_boxes_l3() {
	if(isset($_GET['action']) && $_GET['action']=='edit'){
		$page_type=get_post_meta($_GET['post'],'_ls_level_type',true);
	}
	if((isset($_GET['leveltype']) && $_GET['leveltype']=="l3") || (isset($page_type) && $page_type=='l3-page')){
		?>
<style>#postdivrich{display:none;}</style>
		<?php
	if(get_post_meta(get_the_ID(),'ls_page_data')){
		$l3_page_data=get_post_meta(get_the_ID(),'ls_page_data');
	}else{
		$l3_page_data[0]="";
	}

	if(isset($l3_page_data[0]['qna'])){$qnadata=$l3_page_data[0]['qna'];}else{$qnadata="";}
	if(isset($l3_page_data[0]['analytics'])){$analytics=$l3_page_data[0]['analytics'];}else{$analytics="";}
	if(isset($l3_page_data[0]['preparation'])){$preparation=$l3_page_data[0]['preparation'];}else{$preparation="";}
	if(isset($l3_page_data[0]['quiz_topic'])){$quiz_topic=$l3_page_data[0]['quiz_topic'];}else{$quiz_topic="";}
	if(isset($l3_page_data[0]['liveclasses'])){$liveclasses=$l3_page_data[0]['liveclasses'];}else{$liveclasses="";}

	$image_ids_array=array();
		if(isset($qnadata['qna_img']) && !empty($qnadata['qna_img'])){
			$image_ids_array[]=$qnadata['qna_img'];
		}
		if(isset($analytics['analytics_img']) && !empty($analytics['analytics_img'])){
			$image_ids_array[]=$analytics['analytics_img'];
		}
		if(isset($preparation['preparation_img']) && !empty($preparation['preparation_img'])){
			$image_ids_array[]=$preparation['preparation_img'];
		}
		if(isset($preparation['preparation_link_image']) && !empty($preparation['preparation_link_image'])){
			$array = array_filter($preparation['preparation_link_image']);
			foreach ($array as $preparation_link_image) {
				$image_ids_array[]=$preparation_link_image;
			}
		}
		if(isset($liveclasses['liveclasses_left_image']) && !empty($liveclasses['liveclasses_left_image'])){
			$array = array_filter($liveclasses['liveclasses_left_image']);
			foreach ($array as $liveclasses_left_image) {
				$image_ids_array[]=$liveclasses_left_image;
			}
		}
		if(isset($liveclasses['liveclasses_icon']) && !empty($liveclasses['liveclasses_icon'])){
			$array = array_map('array_filter', $liveclasses['liveclasses_icon']);
			$array = array_filter($array);
			foreach ($array as $liveclasses_icon) {
				foreach ($liveclasses_icon as $icon) {
					$image_ids_array[]=$icon;
				}
			}
		}

		if(isset($image_ids_array) && !empty($image_ids_array)){
			$images_data = get_image_data_func($image_ids_array);
		}else{
			$images_data=array();
		}
	
	add_meta_box( 'l3-qna'.rand(), 'Quiz', 'l3_qna', 'page','after-editor','high' , array($qnadata, $images_data) );
	add_meta_box( 'l3-analytics'.rand(), 'Analytics', 'l3_analytics', 'page','after-editor','high' , array($analytics, $images_data) );
	add_meta_box( 'l3-analytics-preparation-resource'.rand(), 'Preparation Resources', 'l3_preparation', 'page','after-editor','high' , array($preparation, $images_data) );
	add_meta_box( 'l1-quize-topic'.rand(), 'Select Topic (For Analytics)', 'l3_select_quiz', 'page','side','' , $quiz_topic );
	add_meta_box( 'l3-liveclasses'.rand(), 'Live Classes', 'l3_liveclasses', 'page','after-editor','high' , array($liveclasses, $images_data) );
}
}
if(isset($_GET['post'])){
$postID=$_GET['post'];
$elementor_page = get_post_meta( $postID, '_elementor_edit_mode', true );
}
if ( isset($elementor_page) && ! !$elementor_page ) {
}else{
	add_action( 'add_meta_boxes', 'all_meta_boxes_l3' );
}

function l3_qna($post, $qna){
	require_once  LEVEL_PAGES_DIRECTORY  . "/l3page/parts/qna.php";
}

function l3_analytics($post, $analytics){
	require_once  LEVEL_PAGES_DIRECTORY  . "/l3page/parts/analytics.php";
}

function l3_preparation($post, $preparation){
	require_once  LEVEL_PAGES_DIRECTORY  . "/l3page/parts/preparation.php";
}

function l3_select_quiz($post, $quiz_topic){
	require_once  LEVEL_PAGES_DIRECTORY  . "/l3page/parts/quiz-topic.php";
}

function l3_liveclasses($post, $liveclasses){
	require_once  LEVEL_PAGES_DIRECTORY  . "/l3page/parts/liveclasses.php";
}



?>