<?php
require_once dirname( __FILE__ )."../../../js.php";
$preparation_data=$preparation['args'][0];
$images_data=$preparation['args'][1];
$siteURL = get_site_url();

?>
<div class="preparation-div">
	<input type="hidden" name="level_type" value="l3-page">
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_preparation" value="0">
			<input type="checkbox" name="enable_preparation" value="1" id="enable_preparation" <?php echo ((isset($preparation_data['enable_preparation']) && $preparation_data['enable_preparation']==1)?"checked":""); ?>><label for ="enable_preparation">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="preparation_title" size="30" value="<?php echo (isset($preparation_data['preparation_title']) ?$preparation_data['preparation_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-12">
			<label>Tab Icon</label>
			<?php
			$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
			$width="100";
			$height="auto";
			$src = $default_image;
			if ( !empty( $preparation_data['preparation_img'] ) ) {
				$src = $siteURL. '/wp-content/uploads/'.$images_data[$preparation_data['preparation_img']]['image_url'];
				$value = $preparation_data['preparation_img'];
			} else {
				$src = $default_image;
				$value = '';
			}

			$text = 'Upload';

			echo '
			<div class="upload">
			<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
			<div>
			<input type="hidden" name="preparation_img" id="preparation_img" value="'.$value.'" />
			<button type="submit" class="upload_image_button button">' . $text . '</button>
			<button type="submit" class="remove_image_button button">&times;</button>
			</div>
			</div>
			';
			?>
		</div>
	</div>



	<div class="ls-row preparation-div">
		<div class="ls-col-12 l1-preparation">

			<div class="section-creation-div-main">
				<div class="section-creation-div-per">


					<div class="ls-row">
						<?php if(isset($preparation_data['preparation_link_title']) && !empty($preparation_data['preparation_link_title'])){
							$x =1;
							for($i=0;$i<sizeof($preparation_data['preparation_link_title']);$i++){
								?>

								<div class="ls-row border-margin">
									<label>Preparation Description</label>
									<div class="ls-col-12">
										<div class="ls-col-4 ls-text-center">
											<?php

											$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
											$width="100";
											$height="auto";

											if ( !empty( $preparation_data['preparation_link_image'][$i] ) ) {
												$src = $siteURL. '/wp-content/uploads/'.$images_data[$preparation_data['preparation_link_image'][$i]]['image_url'];
												$value = $preparation_data['preparation_link_image'][$i];
											} else {
												$src = $default_image;
												$value = '';
											}

											$text = 'Upload';

											echo '
											<div class="upload">
											<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
											<div>
											<input type="hidden" name="preparation_link_image[]" id="preparation_link_image[]" value="'.$value.'" />
											<button type="submit" class="upload_image_button button">' . $text . '</button>
											<button type="submit" class="remove_image_button button">&times;</button>
											</div>
											</div>
											';
											?>
										</div>
										<div class="ls-col-4 ls-text-center">
											<input type="text" name="preparation_link_title[]" class="w-100" placeholder="Link Title..." value="<?php echo (!empty($preparation_data['preparation_link_title'][$i])?$preparation_data['preparation_link_title'][$i]:""); ?>">
										</div>
										<div class="ls-col-4 ls-text-center">
											<input type="text" name="preparation_link_value[]" class="w-100" placeholder="Url..." value="<?php echo (!empty($preparation_data['preparation_link_value'][$i])?$preparation_data['preparation_link_value'][$i]:""); ?>">
										</div>
									</div>
									<?php if($i != 0){ ?>
										<button class="ls-pull-right button button-default" type="button" onclick="removeParent(this)">Remove</button>
									<?php } ?>
								</div>



								<?php $x++; } }else{
									?>

									<div class="ls-row border-margin">
										<label>Preparation Description</label>
										<div class="ls-col-12">

											<div class="ls-col-4 ls-text-center">
												<?php

												$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
												$width="100";
												$height="auto";
												$src = $default_image;
												$text = 'Upload';

												echo '
												<div class="upload">
												<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
												<div>
												<input type="hidden" name="preparation_link_image[]" id="preparation_link_image[]" value="" />
												<button type="submit" class="upload_image_button button">' . $text . '</button>
												<button type="submit" class="remove_image_button button">&times;</button>
												</div>
												</div>
												';
												?>
											</div>
											<div class="ls-col-4 ls-text-center">
												<input type="text" name="preparation_link_title[]" class="w-100" placeholder="Link Title...">
											</div>
											<div class="ls-col-4 ls-text-center">
												<input type="text" name="preparation_link_value[]" class="w-100" placeholder="Url...">
											</div>
										</div>
									</div>

									<?php	
								}
								?>
								<div class="div-prep-append"></div>
							</div>
							<div>
								<input type="button" class="ls-pull-right button button-default add-sections-prep" value="Add" data-id="1" data-div="preparation_box">
							</div>
						</div>

					</div>

				</div>

			</div>

		</div>