<?php
$qna_data=$qna['args'][0];
$images_data=$qna['args'][1];
$siteURL = get_site_url();
?>
<div class="qna-div">
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable-qna" value="0">
			<input type="checkbox" name="enable-qna" value="1" id="enable-qna" <?php echo ((isset($qna_data['enable_qna']) && $qna_data['enable_qna']==1)?"checked":""); ?>><label for ="enable-qna">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-12">
			<label>Tab Icon</label>
			<?php
			$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
			$width="100";
			$height="auto";
			$src = $default_image;
			if ( !empty( $qna_data['qna_img'] ) ) {
				$src = $siteURL. '/wp-content/uploads/'.$images_data[$qna_data['qna_img']]['image_url'];
				$value = $qna_data['qna_img'];
			} else {
				$src = $default_image;
				$value = '';
			}

			$text = 'Upload';

			echo '
			<div class="upload">
			<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
			<div>
			<input type="hidden" name="qna_img" id="qna_img" value="'.$value.'" />
			<button type="submit" class="upload_image_button button">' . $text . '</button>
			<button type="submit" class="remove_image_button button">&times;</button>
			</div>
			</div>
			';
			?>
		</div>
	</div>
	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="qna_title" size="30" value="<?php echo (isset($qna_data['qna_title']) ?$qna_data['qna_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-12">


			<!-- qna free material box start -->
			<div class="ls-col-12 border-margin">
				<div class="section-creation-div-per">
					<label>Free Material</label>
					<div class="ls-row">
						<?php

						if( isset($_GET['action']) && $_GET['action']=="edit" && isset($qna_data['qna_box_title_free']) ){
							$countFree=count($qna_data['qna_box_title_free']);
						}else{
							$countFree=1;
						}

						if(isset($qna_data['qna_box_title_free']) && !empty($qna_data['qna_box_title_free'])){
							$x =1;
							for($i=0;$i<sizeof($qna_data['qna_box_title_free']);$i++){
								?>

								<div class="ls-col-4 border-margin">

									<div>
										<input type="text" name="qna_box_title_free[]" class="w-100" placeholder="i.e. LCM & HCF" value="<?php echo (!empty($qna_data['qna_box_title_free'][$i])?$qna_data['qna_box_title_free'][$i]:""); ?>">
									</div>
									<div>
										<input type="text" name="qna_box_link_free[]" class="w-100" placeholder="i.e. https://prepinsta.com" value="<?php echo (!empty($qna_data['qna_box_link_free'][$i])?$qna_data['qna_box_link_free'][$i]:""); ?>">
									</div>

									<div>
										<div>
											<select name="qna_group_free[]" class="selecttogetquiz w-100" data-show-quiz="free-getquizhere<?php echo $i+1; ?>">
												<option value="">--Select Group--</option> 
												<?php echo get_mquiz_group_for_box($qna_data['qna_group_free'][$i]); ?>
											</select>
										</div>
										<div>
											<select name="qna_quiz_free[]" class="w-100" id="free-getquizhere<?php echo $i+1; ?>">
												<option value="">--Select Quiz--</option>
												<?php echo get_mquiz_for_box($qna_data['qna_group_free'][$i], $qna_data['qna_quiz_free'][$i]); ?>
											</select>
										</div>
									</div>

									<?php if($i != 0){ ?>
										<button class="ls-pull-right button button-default" type="button" onclick="removeParent(this)">&times;</button>
									<?php } ?>

								</div>

								<?php $x++; } }else{ ?>

									<div class="ls-col-4 border-margin">

										<div>
											<input type="text" name="qna_box_title_free[]" class="w-100" placeholder="i.e. LCM & HCF">
										</div>
										<div>
											<input type="text" name="qna_box_link_free[]" class="w-100" placeholder="i.e. https://prepinsta.com">
										</div>

										<div>
											<div>
												<select name="qna_group_free[]" class="selecttogetquiz w-100" data-show-quiz="free-getquizhere1">
													<option value="">--Select Group--</option> 
													<?php echo get_mquiz_group_for_box(); ?>
												</select>
											</div>
											<div>
												<select name="qna_quiz_free[]" class="w-100" id="free-getquizhere1">
													<option value="">--Select Quiz--</option>
												</select>
											</div>
										</div>

									</div>

								<?php } ?>
								<div class="div-qna-append-free"></div>
							</div>
							<div>
								<input type="button" class="ls-pull-right button button-default add-qna-box" value="Add" data-id="<?php echo $countFree; ?>" data-div="qna_box" data-apnd-div="div-qna-append-free" data-section="free">
							</div>
						</div>
					</div>
					<!-- qna free material box end -->

					<!-- qna paid material box start -->
					<div class="ls-col-12 border-margin">
						<div class="section-creation-div-per">
							<label>Paid Material</label>
							<div class="ls-row">
								<?php
								if( isset($_GET['action']) && $_GET['action']=="edit" && isset($qna_data['qna_box_title_paid']) ){
									$countPaid=count($qna_data['qna_box_title_paid']);
								}else{
									$countPaid=1;
								}

								if(isset($qna_data['qna_box_title_paid']) && !empty($qna_data['qna_box_title_paid'])){
									$m =1;
									for($k=0;$k<sizeof($qna_data['qna_box_title_paid']);$k++){
										?>

										<div class="ls-col-4 border-margin">

											<div>
												<input type="text" name="qna_box_title_paid[]" class="w-100" placeholder="i.e. LCM & HCF" value="<?php echo (!empty($qna_data['qna_box_title_paid'][$k])?$qna_data['qna_box_title_paid'][$k]:""); ?>">
											</div>
											<div>
												<input type="text" name="qna_box_link_paid[]" class="w-100" placeholder="i.e. https://prepinsta.com" value="<?php echo (!empty($qna_data['qna_box_link_paid'][$k])?$qna_data['qna_box_link_paid'][$k]:""); ?>">
											</div>

											<div>
												<div>
													<select name="qna_group_paid[]" class="selecttogetquiz w-100" data-show-quiz="paid-getquizhere<?php echo $k+1; ?>">
														<option value="">--Select Group--</option> 
														<?php 

														if(isset($qna_data['qna_group_paid'][$k])){
															$groupPaid = $qna_data['qna_group_paid'][$k];
														}else{
															$groupPaid = "";
														}

														if(isset($qna_data['qna_quiz_paid'][$k])){
															$quizPaid = $qna_data['qna_quiz_paid'][$k];
														}else{
															$quizPaid = "";
														}

														echo get_mquiz_group_for_box($groupPaid);

														?>
													</select>
												</div>
												<div>
													<select name="qna_quiz_paid[]" class="w-100" id="paid-getquizhere<?php echo $k+1; ?>">
														<option value="">--Select Quiz--</option>
														<?php echo get_mquiz_for_box($groupPaid, $quizPaid ); ?>
													</select>
												</div>
											</div>

											<?php if($k != 0){ ?>
												<button class="ls-pull-right button button-default" type="button" onclick="removeParent(this)">&times;</button>
											<?php } ?>

										</div>

										<?php $m++; } }else{ ?>

											<div class="ls-col-4 border-margin">

												<div>
													<input type="text" name="qna_box_title_paid[]" class="w-100" placeholder="i.e. LCM & HCF">
												</div>
												<div>
													<input type="text" name="qna_box_link_paid[]" class="w-100" placeholder="i.e. https://prepinsta.com">
												</div>
												<div>
													<div>
														<select name="qna_group_paid[]" class="selecttogetquiz w-100" data-show-quiz="paid-getquizhere1">
															<option value="">--Select Group--</option> 
															<?php echo get_mquiz_group_for_box(); ?>
														</select>
													</div>
													<div>
														<select name="qna_quiz_paid[]" class="w-100" id="paid-getquizhere1">
															<option value="">--Select Quiz--</option>
														</select>
													</div>
												</div>

											</div>

										<?php } ?>
										<div class="div-qna-append-paid"></div>
									</div>
									<div>
										<input type="button" class="ls-pull-right button button-default add-qna-box" value="Add" data-id="<?php echo $countPaid; ?>" data-div="qna_box" data-apnd-div="div-qna-append-paid" data-section="paid">
									</div>
								</div>
							</div>
							<!-- qna paid material box end -->

							<div class="ls-col-12">
								<?php wp_editor((isset($qna_data['qna_textarea'])?$qna_data['qna_textarea']:""), "l1-qnaEditorID1", array("textarea_name"=>"qna_textarea","textarea_rows"=>8) ); ?>
							</div>
						</div>
					</div>
				</div>