<?php
$trusted_data=$trusted['args'][0];
$images_data=$trusted['args'][1];
$siteURL = get_site_url();
?>

	<div class="trusted-div">

		<div class="ls-row">
			<div class="ls-col-12">
				<input type="hidden" name="enable_trusted" value="0">
				<input type="checkbox" name="enable_trusted" value="1" id="enable_trusted" <?php echo ((isset($trusted_data['enable_trusted']) && $trusted_data['enable_trusted']==1)?"checked":""); ?>><label for ="enable_trusted">Enable</label>
			</div>
		</div>

		<div class="ls-row">
			<div class="ls-title ls-col-12">
				<input type="text" name="trusted_section_title" size="30" value="<?php echo (isset($trusted_data['trusted_section_title']) ?$trusted_data['trusted_section_title']:""); ?>" class="w-100" placeholder="Section title">
			</div>
		</div>

		<div class="ls-row trusted-div">
			<div class="ls-col-12 trusted">

				<!-- boxes -->
				<div class="section-creation-div-main">
					<div class="section-creation-div-per">
						<div class="ls-row">

									<!-- main start -->
									<div class="ls-col-3 border-margin">
										<div class="ls-row">
											<div class="ls-col-12 ls-text-center">
												<?php
												$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
												$width="100";
												$height="auto";
												$src = $default_image;
												if ( !empty( $trusted_data['trusted_main_img'] ) ) {
													$src = $siteURL. '/wp-content/uploads/'.$images_data[$trusted_data['trusted_main_img']]['image_url'];
													$value = $trusted_data['trusted_main_img'];
												} else {
													$src = $default_image;
													$value = '';
												}

												$text = 'Upload';

												echo '
												<div class="upload">
												<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
												<div>
												<input type="hidden" name="trusted_main_img" id="trusted_main_img" value="'.$value.'" />
												<button type="submit" class="upload_image_button button">' . $text . '</button>
												<button type="submit" class="remove_image_button button">&times;</button>
												</div>
												</div>
												';
												?>
												<div>
													<input type="text" name="trusted_main_title" class="w-100" placeholder="i.e. Trusted by 5+ million students" value="<?php echo (isset($trusted_data['trusted_main_title']) ? $trusted_data['trusted_main_title']:""); ?>">
												</div>
												
											</div>
										</div>
									</div>
									<!-- main end -->

									<!-- 1 start -->
									<div class="ls-col-3 border-margin">
										<div class="ls-row">
											<div class="ls-col-12 ls-text-center">
												<?php
												$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
												$width="100";
												$height="auto";
												$src = $default_image;
												if ( !empty( $trusted_data['trusted_img_1'] ) ) {
													$src = $siteURL. '/wp-content/uploads/'.$images_data[$trusted_data['trusted_img_1']]['image_url'];
													$value = $trusted_data['trusted_img_1'];
												} else {
													$src = $default_image;
													$value = '';
												}

												$text = 'Upload';

												echo '
												<div class="upload">
												<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
												<div>
												<input type="hidden" name="trusted_img_1" id="trusted_img_1" value="'.$value.'" />
												<button type="submit" class="upload_image_button button">' . $text . '</button>
												<button type="submit" class="remove_image_button button">&times;</button>
												</div>
												</div>
												';
												?>
												<div>
													<input type="text" name="trusted_value_1" class="w-100" placeholder="i.e. 100000" value="<?php echo (isset($trusted_data['trusted_value_1']) ? $trusted_data['trusted_value_1']:""); ?>">
												</div>
												<div>
													<input type="text" name="trusted_title_1" class="w-100" placeholder="i.e. Total Questions" value="<?php echo (isset($trusted_data['trusted_title_1']) ? $trusted_data['trusted_title_1']:""); ?>">
												</div>
												
											</div>
										</div>
									</div>
									<!-- 1 end -->

									<!-- 2 start -->
									<div class="ls-col-3 border-margin">
										<div class="ls-row">
											<div class="ls-col-12 ls-text-center">
												<?php
												$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
												$width="100";
												$height="auto";
												$src = $default_image;
												if ( !empty( $trusted_data['trusted_img_2'] ) ) {
													$src = $siteURL. '/wp-content/uploads/'.$images_data[$trusted_data['trusted_img_2']]['image_url'];
													$value = $trusted_data['trusted_img_2'];
												} else {
													$src = $default_image;
													$value = '';
												}

												$text = 'Upload';

												echo '
												<div class="upload">
												<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
												<div>
												<input type="hidden" name="trusted_img_2" id="trusted_img_2" value="'.$value.'" />
												<button type="submit" class="upload_image_button button">' . $text . '</button>
												<button type="submit" class="remove_image_button button">&times;</button>
												</div>
												</div>
												';
												?>
												<div>
													<input type="text" name="trusted_value_2" class="w-100" placeholder="i.e. 110000" value="<?php echo (isset($trusted_data['trusted_value_2']) ? $trusted_data['trusted_value_2']:""); ?>">
												</div>
												<div>
													<input type="text" name="trusted_title_2" class="w-100" placeholder="i.e. Tests attempted" value="<?php echo (isset($trusted_data['trusted_title_2']) ? $trusted_data['trusted_title_2']:""); ?>">
												</div>
												
											</div>
										</div>
									</div>
									<!-- 2 end -->

									<!-- 3 start -->
									<div class="ls-col-3 border-margin">
										<div class="ls-row">
											<div class="ls-col-12 ls-text-center">
												<?php
												$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
												$width="100";
												$height="auto";
												$src = $default_image;
												if ( !empty( $trusted_data['trusted_img_3'] ) ) {
													$src = $siteURL. '/wp-content/uploads/'.$images_data[$trusted_data['trusted_img_3']]['image_url'];
													$value = $trusted_data['trusted_img_3'];
												} else {
													$src = $default_image;
													$value = '';
												}

												$text = 'Upload';

												echo '
												<div class="upload">
												<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
												<div>
												<input type="hidden" name="trusted_img_3" id="trusted_img_3" value="'.$value.'" />
												<button type="submit" class="upload_image_button button">' . $text . '</button>
												<button type="submit" class="remove_image_button button">&times;</button>
												</div>
												</div>
												';
												?>
												<div>
													<input type="text" name="trusted_value_3" class="w-100" placeholder="i.e. 120000" value="<?php echo (isset($trusted_data['trusted_value_3']) ? $trusted_data['trusted_value_3']:""); ?>">
												</div>
												<div>
													<input type="text" name="trusted_title_3" class="w-100" placeholder="i.e. Videos Viewed" value="<?php echo (isset($trusted_data['trusted_title_3']) ? $trusted_data['trusted_title_3']:""); ?>">
												</div>
												
											</div>
										</div>
									</div>
									<!-- 3 end -->
									
								</div>
							</div>
							</div>
							<!-- boxes end -->
						
					</div>

				</div>

			</div>