<?php
$smartdashboard_data=$smartdashboard['args'][0];
$images_data=$smartdashboard['args'][1];
$siteURL = get_site_url();
?>
<div class="smartdashboard-div">
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_smartdashboard" value="0">
			<input type="checkbox" name="enable_smartdashboard" value="1" id="enable_smartdashboard" <?php echo ((isset($smartdashboard_data['enable_smartdashboard']) && $smartdashboard_data['enable_smartdashboard']==1)?"checked":""); ?>><label for ="enable_smartdashboard">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="smartdashboard_section_title" size="30" value="<?php echo (isset($smartdashboard_data['smartdashboard_section_title']) ?$smartdashboard_data['smartdashboard_section_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row smartdashboard-div">
		<div class="ls-col-12 smartdashboard">
			<?php 
			if(isset($smartdashboard_data['smartdashboard_tab_name'])){
				$tab_count=sizeof($smartdashboard_data['smartdashboard_tab_name']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-alternate-img-text" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="smartdashboard">Add Tab</button>
			</p>

			<div class="tab">
				<?php if(isset($smartdashboard_data['smartdashboard_tab_name'])){
					$h = 1;
					for($i=0;$i<sizeof($smartdashboard_data['smartdashboard_tab_name']);$i++){
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?>" type="button"  data-div="smartdashboard" data-tabname="tablinks<?php echo $i; ?>"><?php echo (isset($smartdashboard_data['smartdashboard_tab_name'][$i]) && $smartdashboard_data['smartdashboard_tab_name'][$i]!="")?$smartdashboard_data['smartdashboard_tab_name'][$i]:"Tab ".$h; ?><button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="smartdashboard">&times;</button></button>
						<?php
						$h++;
					}
				}else{ ?>
					<button class="tablinks button-tablinks1 active" type="button"  data-div="smartdashboard" data-tabname="tablinks1">Tab 1 <button type='button' class='remove_tab_button' data-id='1' data-div="smartdashboard">&times;</button></button>
				<?php } ?>
			</div>
			<?php if(isset($smartdashboard_data['smartdashboard_tab_name'])){
				$x= 1;
				for($i=0;$i<sizeof($smartdashboard_data['smartdashboard_tab_name']);$i++){
					?>
					<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">

						<div class="ls-row">
							<div class="ls-col-12">
								<input type="text" name="smartdashboard_tab_name[]" class="w-100" placeholder="i.e. Tab 1" value="<?php echo (!empty($smartdashboard_data['smartdashboard_tab_name'][$i])?$smartdashboard_data['smartdashboard_tab_name'][$i]:"Tab ".$x); ?>">
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-col-4 ls-text-center">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";

								if ( !empty( $smartdashboard_data['smartdashboard_image'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$smartdashboard_data['smartdashboard_image'][$i]]['image_url'];
									$value = $smartdashboard_data['smartdashboard_image'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="smartdashboard_image[]" id="smartdashboard_image[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>

								<div class="ls-row">
									<div class="ls-col-12">
										<label>Image Position</label>
										<select name="smartdashboard_image_position[]">
											<option value="left" <?php echo ((isset($smartdashboard_data['smartdashboard_image_position'][$i]) && $smartdashboard_data['smartdashboard_image_position'][$i]=='left')?"selected":""); ?>>Left</option>
											<option value="right" <?php echo ((isset($smartdashboard_data['smartdashboard_image_position'][$i]) && $smartdashboard_data['smartdashboard_image_position'][$i]=='right')?"selected":""); ?>>Right</option>
										</select>

										<br><br>
										<label>Button</label>
										<input type="text" class="w-100" name="smartdashboard_btn_text[]" id="smartdashboard_btn_text" placeholder="i.e. Get Prime" value="<?php echo (isset($smartdashboard_data['smartdashboard_btn_text'][$i]) ?$smartdashboard_data['smartdashboard_btn_text'][$i]:""); ?>">
										<input type="text" class="w-100" name="smartdashboard_btn_link[]" id="smartdashboard_btn_link" placeholder="i.e. www.prepinsta.com" value="<?php echo (isset($smartdashboard_data['smartdashboard_btn_link'][$i]) ?$smartdashboard_data['smartdashboard_btn_link'][$i]:""); ?>">
										<select name="smartdashboard_btn_class[]" id="smartdashboard_btn_class" class="w-100">
											<?php echo get_classes_options((isset($smartdashboard_data['smartdashboard_btn_class'][$i])?$smartdashboard_data['smartdashboard_btn_class'][$i]:"")); ?>
										</select><br><br>

										<label>Button Tag</label>
										<input type="text" class="w-100" name="smartdashboard_btn_tag_text[]" id="smartdashboard_btn_tag_text" placeholder="i.e. Mock" value="<?php echo (isset($smartdashboard_data['smartdashboard_btn_tag_text'][$i]) ?$smartdashboard_data['smartdashboard_btn_tag_text'][$i]:""); ?>">
										<select name="smartdashboard_btn_tag_class[]" id="smartdashboard_btn_tag_class" class="w-100">
											<?php echo get_classes_options((isset($smartdashboard_data['smartdashboard_btn_tag_class'][$i])?$smartdashboard_data['smartdashboard_btn_tag_class'][$i]:"")); ?>
										</select>

									</div>
								</div>

							</div>

							<div class="ls-col-8">
								<?php wp_editor((isset($smartdashboard_data['smartdashboard_textarea'][$i])?$smartdashboard_data['smartdashboard_textarea'][$i]:""), "smartdashboardmceEditorID".$x, array("textarea_name"=>"smartdashboard_textarea[]","textarea_rows"=>8) ); ?>
							</div>

						</div>
					</div>
					<?php $x++; } ?>
				<?php }else{ ?>

					<div id="tablinks1" class="l1tabcontent" style="display:block;">

						<div class="ls-row">
							<div class="ls-col-12">
								<input type="text" name="smartdashboard_tab_name[]" class="w-100" placeholder="i.e. Tab 1" value="Tab 1">
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-col-4 ls-text-center">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="smartdashboard_image[]" id="smartdashboard_image[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>

								<div class="ls-row">
									<div class="ls-col-12">
										<label>Image Position</label>
										<select name="smartdashboard_image_position[]">
											<option value="left">Left</option>
											<option value="right">Right</option>
										</select>

										<br><br>
										<label>Button</label>
										<input type="text" class="w-100" name="smartdashboard_btn_text[]" id="smartdashboard_btn_text" placeholder="i.e. Get Prime" value="">
										<input type="text" class="w-100" name="smartdashboard_btn_link[]" id="smartdashboard_btn_link" placeholder="i.e. www.prepinsta.com" value="">
										<select name="smartdashboard_btn_class[]" id="smartdashboard_btn_class" class="w-100">
											<?php echo get_classes_options(); ?>
										</select>
										<br><br>
										<label>Button Tag</label>
										<input type="text" class="w-100" name="smartdashboard_btn_tag_text[]" id="smartdashboard_btn_tag_text" placeholder="i.e. Mock" value="">
										<select name="smartdashboard_btn_tag_class[]" id="smartdashboard_btn_tag_class" class="w-100">
											<?php echo get_classes_options(); ?>
										</select>


									</div>
								</div>

							</div>

							<div class="ls-col-8">
								<?php wp_editor("", "smartdashboardmceEditorID1", array("textarea_name"=>"smartdashboard_textarea[]","textarea_rows"=>8) ); ?>
							</div>

						</div>
					</div>
				<?php } ?>

			</div>
		</div>
	</div>