<?php
$compare_data=$compare['args'][0];
$images_data=$compare['args'][1];
$siteURL = get_site_url();
?>
<div class="compare-div">

	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="compare_enable" value="0">
			<input type="checkbox" name="compare_enable" value="1" id="compare_enable" <?php echo ((isset($compare_data['compare_enable']) && $compare_data['compare_enable']==1)?"checked":""); ?>><label for ="compare_enable">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="compare_section_title" size="30" value="<?php echo (isset($compare_data['compare_section_title']) ?$compare_data['compare_section_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-12 border-margin">
			<div class="ls-col-3"></div>

			<div class="ls-col-3">
				<?php
				$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
				$src = $default_image;

				if ( !empty( $compare_data['compare_mock_icon'] ) ) {
					$src = $siteURL. '/wp-content/uploads/'.$images_data[$compare_data['compare_mock_icon']]['image_url'];
					$value = $compare_data['compare_mock_icon'];
				} else {
					$src = $default_image;
					$value = '';
				}
				$text = 'Upload';
				?>

				<div class="upload">
					<img data-src="<?php echo $default_image; ?>" src="<?php echo $src; ?>" width="100px" height="auto" />
					<div>
						<input type="hidden" name="compare_mock_icon" id="compare_mock_icon" value="<?php echo $value; ?>" />
						<button type="submit" class="upload_image_button button"><?php echo $text; ?></button>
						<button type="submit" class="remove_image_button button">&times;</button>
						<input type="text" class="w-100" name="compare_mock_title" id="compare_mock_title" placeholder="Title i.e. Prime Mock Subscription" value="<?php echo (isset($compare_data['compare_mock_title']) ?$compare_data['compare_mock_title']:""); ?>">
						<input type="text" class="w-100" name="compare_mock_tag" id="compare_mock_tag" placeholder="Tag i.e. For TCS NQT" value="<?php echo (isset($compare_data['compare_mock_tag']) ?$compare_data['compare_mock_tag']:""); ?>">
						<br><br>
						<label>Button</label>
						<input type="text" class="w-100" name="compare_mock_btn_title" id="compare_mock_btn_title" placeholder="i.e. Click to View" value="<?php echo (isset($compare_data['compare_mock_btn_title']) ?$compare_data['compare_mock_btn_title']:""); ?>">
						<input type="text" class="w-100" name="compare_mock_btn_link" id="compare_mock_btn_link" placeholder="i.e. www.prepinsta.com" value="<?php echo (isset($compare_data['compare_mock_btn_link']) ?$compare_data['compare_mock_btn_link']:""); ?>">
					</div>
				</div>
			</div>

			<div class="ls-col-3">
				<?php
				$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
				$src = $default_image;

				if ( !empty( $compare_data['compare_video_icon'] ) ) {
					$src = $siteURL. '/wp-content/uploads/'.$images_data[$compare_data['compare_video_icon']]['image_url'];
					$value = $compare_data['compare_video_icon'];
				} else {
					$src = $default_image;
					$value = '';
				}
				$text = 'Upload';
				?>

				<div class="upload">
					<img data-src="<?php echo $default_image; ?>" src="<?php echo $src; ?>" width="100px" height="auto" />
					<div>
						<input type="hidden" name="compare_video_icon" id="compare_video_icon" value="<?php echo $value; ?>" />
						<button type="submit" class="upload_image_button button"><?php echo $text; ?></button>
						<button type="submit" class="remove_image_button button">&times;</button>
						<input type="text" class="w-100" name="compare_video_title" id="compare_video_title" placeholder="Title i.e. Prime Video Subscription" value="<?php echo (isset($compare_data['compare_video_title']) ?$compare_data['compare_video_title']:""); ?>">
						<input type="text" class="w-100" name="compare_video_tag" id="compare_video_tag" placeholder="Tag i.e. For TCS NQT" value="<?php echo (isset($compare_data['compare_video_tag']) ?$compare_data['compare_video_tag']:""); ?>">
						<br><br>
						<label>Button</label>
						<input type="text" class="w-100" name="compare_video_btn_title" id="compare_video_btn_title" placeholder="i.e. Click to View" value="<?php echo (isset($compare_data['compare_video_btn_title']) ?$compare_data['compare_video_btn_title']:""); ?>">
						<input type="text" class="w-100" name="compare_video_btn_link" id="compare_video_btn_link" placeholder="i.e. www.prepinsta.com" value="<?php echo (isset($compare_data['compare_video_btn_link']) ?$compare_data['compare_video_btn_link']:""); ?>">
					</div>
				</div>
			</div>


			<div class="ls-col-3">
				<?php
				$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
				$src = $default_image;

				if ( !empty( $compare_data['compare_royal_icon'] ) ) {
					$src = $siteURL. '/wp-content/uploads/'.$images_data[$compare_data['compare_royal_icon']]['image_url'];
					$value = $compare_data['compare_royal_icon'];
				} else {
					$src = $default_image;
					$value = '';
				}

				$text = 'Upload';

				?>

				<div class="upload">
					<img data-src="<?php echo $default_image; ?>" src="<?php echo $src; ?>" width="100px" height="auto" />
					<div>
						<input type="hidden" name="compare_royal_icon" id="compare_royal_icon" value="<?php echo $value; ?>" />
						<button type="submit" class="upload_image_button button"><?php echo $text; ?></button>
						<button type="submit" class="remove_image_button button">&times;</button>
						<input type="text" class="w-100" name="compare_royal_title" id="compare_royal_title" placeholder="Title i.e. Royal Pass Subscription" value="<?php echo (isset($compare_data['compare_royal_title']) ?$compare_data['compare_royal_title']:""); ?>">
						<input type="text" class="w-100" name="compare_royal_tag" id="compare_royal_tag" placeholder="Tag i.e. All Companies" value="<?php echo (isset($compare_data['compare_royal_tag']) ?$compare_data['compare_royal_tag']:""); ?>">
						<br><br>
						<label>Button</label>
						<input type="text" class="w-100" name="compare_royal_btn_title" id="compare_royal_btn_title" placeholder="i.e. Click to View" value="<?php echo (isset($compare_data['compare_royal_btn_title']) ?$compare_data['compare_royal_btn_title']:""); ?>">
						<input type="text" class="w-100" name="compare_royal_btn_link" id="compare_royal_btn_link" placeholder="i.e. www.prepinsta.com" value="<?php echo (isset($compare_data['compare_royal_btn_link']) ?$compare_data['compare_royal_btn_link']:""); ?>">
					</div>
				</div>
			</div>



			<!-- box start -->
			<div class="section-creation-div-per">
				<div class="ls-row">

					<div class="ls-col-12">

						<?php if(isset($compare_data['compare_mock_value']) && !empty($compare_data['compare_mock_value'])){
							$l =1;
							for($m=0;$m<sizeof($compare_data['compare_mock_value']);$m++){
								?>

								<div class="ls-col-12 ">

									<div class="ls-col-3">
										<input type="text" class="w-100" value="<?php echo (isset($compare_data['compare_heading'])?$compare_data['compare_heading'][$m]:""); ?>" name="compare_heading[]"  placeholder="i.e. Validity">
									</div>				
									<div class="ls-col-3">
										<input type="text" class="w-100" value="<?php echo (isset($compare_data['compare_mock_value'])?$compare_data['compare_mock_value'][$m]:""); ?>" name="compare_mock_value[]"  placeholder="i.e. 1 year">
									</div>
									<div class="ls-col-3">
										<input type="text" class="w-100" value="<?php echo (isset($compare_data['compare_video_value'][$m])?$compare_data['compare_video_value'][$m]:""); ?>" name="compare_video_value[]"  placeholder="i.e. 1 year">
									</div>
									<div class="ls-col-2">
										<input type="text" class="w-100" value="<?php echo (isset($compare_data['compare_royal_value'][$m])?$compare_data['compare_royal_value'][$m]:""); ?>" name="compare_royal_value[]"  placeholder="i.e. 1 year">
									</div>

									<?php if($m != 0){ ?>
										<div class="ls-col-1"><button class="ls-pull-right button button-default" type="button" onclick="removeParent(this)">&times;</button></div>
									<?php } ?>

								</div>

								<?php $l++; } }else{ ?>

									<div class="ls-col-12 ">
										<div class="ls-col-3">
											<input type="text" class="w-100" value="" name="compare_heading[]"  placeholder="i.e. Validity">
										</div>
										<div class="ls-col-3">
											<input type="text" class="w-100" value="" name="compare_mock_value[]"  placeholder="i.e. 1 year">
										</div>
										<div class="ls-col-3">
											<input type="text" class="w-100" value="" name="compare_video_value[]"  placeholder="i.e. 1 year">
										</div>
										<div class="ls-col-2">
											<input type="text" class="w-100" value="" name="compare_royal_value[]"  placeholder="i.e. 1 year">
										</div>
									</div>

								<?php } ?>

								<div class="div-compare-append"></div>
							</div>

							<div>
								<input type="button" class="ls-pull-right button button-default add-compare-fields" value="Add" data-id="1" data-div="compare" data-apnd-div="div-compare-append">
							</div>

						</div>
					</div>
					<!-- box end -->

				</div>
			</div>

		</div>