<?php
$liveclasses_data=$liveclasses['args'][0];
$images_data=$liveclasses['args'][1];
$siteURL = get_site_url();
?>
<div class="liveclasses-div">
	<div class="ls-row">

		<div class="ls-col-12">
			<input type="hidden" name="enable_liveclasses" value="0">
			<input type="checkbox" name="enable_liveclasses" value="1" id="enable_liveclasses" <?php echo ((isset($liveclasses_data['enable_liveclasses']) && $liveclasses_data['enable_liveclasses']==1)?"checked":""); ?>><label for ="enable_liveclasses">Enable</label>
		</div>

		<div class="ls-col-12">
			<input type="text" name="liveclasses_section_title"  value="<?php echo (!empty($liveclasses_data['liveclasses_section_title'])?$liveclasses_data['liveclasses_section_title']:""); ?>" class="w-100 ls-title-input" placeholder="Section Title">
		</div>

	</div>


	<div class="ls-row liveclasses-div">
		<div class="ls-col-12 liveclasses">
			<?php 
			if( isset($liveclasses_data['liveclasses_title']) && count($liveclasses_data['liveclasses_title']) > 0){
				$tab_count=sizeof($liveclasses_data['liveclasses_title']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-liveclasses" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="liveclasses">Add Section</button>
			</p>


			<div class="tab">
				<?php if( isset($liveclasses_data['liveclasses_title']) && count($liveclasses_data['liveclasses_title']) > 0){

					$h = 1;
					for($i=0;$i<sizeof($liveclasses_data['liveclasses_title']);$i++){
						if(!empty($liveclasses_data['liveclasses_title'][$i])){
							$tabName = $liveclasses_data['liveclasses_title'][$i];
						}else{
							$tabName = "Section ".$h;
						}
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?>" type="button"  data-div="liveclasses" data-tabname="tablinks<?php echo $i; ?>"><?php echo $tabName; ?><button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="liveclasses">&times;</button></button>
						<?php
						$h++;
					}

				}else{ ?>
					<button class="tablinks button-tablinks0 active" type="button"  data-div="liveclasses" data-tabname="tablinks0">Section 1 <button type='button' class='remove_tab_button' data-id='0' data-div="liveclasses">&times;</button></button>
				<?php } ?>
			</div>


			<?php 
if(isset($_GET['action']) && $_GET['action']=="edit" && isset($liveclasses_data['liveclasses_title'])){
$count_liveclasses=count($liveclasses_data['liveclasses_title']);
}else{
$count_liveclasses=1;
}


			if($count_liveclasses > 0){

				for($i=0;$i<$count_liveclasses;$i++){
					?>

					<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">
						<input type="text" class="w-100" name="liveclasses_title[]" id="liveclasses_title" value="<?php echo (isset($liveclasses_data['liveclasses_title'][$i]) ?$liveclasses_data['liveclasses_title'][$i]:""); ?>" placeholder="Section title i.e. Live Classes">

						<div class="ls-row">
							<div class="ls-col-12">

								<div class="ls-col-3">

									<?php
									$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
									$src = $default_image;

									if ( !empty( $liveclasses_data['liveclasses_left_image'][$i] ) ) {
										$src = $siteURL. '/wp-content/uploads/'.$images_data[$liveclasses_data['liveclasses_left_image'][$i]]['image_url'];
										$value = $liveclasses_data['liveclasses_left_image'][$i];
									} else {
										$src = $default_image;
										$value = '';
									}

									$text = 'Upload';

									?>

									<div class="upload">
										<img data-src="<?php echo $default_image; ?>" src="<?php echo $src; ?>" width="100px" height="auto" />
										<div>
											<input type="hidden" name="liveclasses_left_image[]" id="liveclasses_left_image" value="<?php echo $value; ?>" />
											<button type="submit" class="upload_image_button button"><?php echo $text; ?></button>
											<button type="submit" class="remove_image_button button">&times;</button><br><br>
											<label>Position</label>
											<select name="liveclasses_left_image_position[]" id="liveclasses_left_image_position">
												<option value="left" <?php if( isset($liveclasses_data['liveclasses_left_image_position'][$i]) && $liveclasses_data['liveclasses_left_image_position'][$i]=="left"){ echo "selected"; } ?>>Left</option>
												<option value="right" <?php if( isset($liveclasses_data['liveclasses_left_image_position'][$i]) && $liveclasses_data['liveclasses_left_image_position'][$i]=="right"){ echo "selected"; } ?>>Right</option>
											</select>
											<br><br>

											<div>
											<?php wp_editor((isset($liveclasses_data['liveclasses_textarea'][$i]) ? $liveclasses_data['liveclasses_textarea'][$i] : ""), "liveclassesmceEditorID".rand(), array("textarea_name"=>"liveclasses_textarea[]","textarea_rows"=>8) ); ?>
											</div>

											<br><br>
											<label>Top Tag</label>
											<input type="text" class="w-100" name="liveclasses_btn_tag_text[]" id="liveclasses_btn_tag_text" placeholder="i.e. Begin Prepration" value="<?php echo (isset($liveclasses_data['liveclasses_btn_tag_text'][$i]) ?$liveclasses_data['liveclasses_btn_tag_text'][$i]:""); ?>">
											<select name="liveclasses_btn_tag_class[]" id="liveclasses_btn_tag_class" class="w-100">
												<?php echo get_classes_options((isset($liveclasses_data['liveclasses_btn_tag_class'][$i]) ? $liveclasses_data['liveclasses_btn_tag_class'][$i] : "")); ?>
											</select>

											<br><br>
											<label>Button</label>
											<input type="text" class="w-100" name="liveclasses_btn_text[]" id="liveclasses_btn_text" placeholder="i.e. Begin Prepration" value="<?php echo (isset($liveclasses_data['liveclasses_btn_text'][$i]) ?$liveclasses_data['liveclasses_btn_text'][$i]:""); ?>">
											<input type="text" class="w-100" name="liveclasses_btn_link[]" id="liveclasses_btn_link" placeholder="i.e. www.prepinsta.com" value="<?php echo (isset($liveclasses_data['liveclasses_btn_link'][$i]) ?$liveclasses_data['liveclasses_btn_link'][$i]:""); ?>">
											<select name="liveclasses_btn_class[]" id="liveclasses_btn_class" class="w-100">
												<?php echo get_classes_options((isset($liveclasses_data['liveclasses_btn_class'][$i]) ? $liveclasses_data['liveclasses_btn_class'][$i] : "")); ?>
											</select>

											<br><br>
											<label>Button Bottom Tag</label>
											<input type="text" class="w-100" name="liveclasses_btn_bottom_tag_text[]" id="liveclasses_btn_bottom_tag_text" placeholder="i.e. Begin Prepration" value="<?php echo (isset($liveclasses_data['liveclasses_btn_bottom_tag_text'][$i]) ?$liveclasses_data['liveclasses_btn_bottom_tag_text'][$i]:""); ?>">
											<select name="liveclasses_btn_bottom_tag_class[]" id="liveclasses_btn_bottom_tag_class" class="w-100">
												<?php echo get_classes_options((isset($liveclasses_data['liveclasses_btn_bottom_tag_class'][$i]) ? $liveclasses_data['liveclasses_btn_bottom_tag_class'][$i] : "")); ?>
											</select>

											
										</div>
									</div>

								</div>

								<div class="ls-col-9">
									<div class="section-creation-div-main">
										<div class="section-creation-div-per">
											<div class="ls-row">
												<?php if(isset($liveclasses_data['liveclasses_icon'][$i]) && !empty($liveclasses_data['liveclasses_icon'][$i])){
													$x =1;
													for($j=0;$j<sizeof($liveclasses_data['liveclasses_icon'][$i]);$j++){
														?>

														<div class="ls-col-3 border-margin">
															<div class="ls-row">
																<div class="ls-col-12 ls-text-center">
																	<?php
																	$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
																	$width="100";
																	$height="auto";
																	$src = $default_image;
																	if ( !empty( $liveclasses_data['liveclasses_icon'][$i][$j] ) ) {
																		$src = $siteURL. '/wp-content/uploads/'.$images_data[$liveclasses_data['liveclasses_icon'][$i][$j]]['image_url'];
																		$value = $liveclasses_data['liveclasses_icon'][$i][$j];
																	} else {
																		$src = $default_image;
																		$value = '';
																	}

																	$text = 'Upload';

																	echo '
																	<div class="upload">
																	<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
																	<div>
																	<input type="hidden" name="liveclasses_icon['.$i.'][]" id="liveclasses_icon" value="'.$value.'" /><button type="submit" class="upload_image_button button">' . $text . '</button><button type="submit" class="remove_image_button button">&times;</button>
																	</div>
																	</div>
																	';
																	?>
																	<div>

																		<input type="text" name="liveclasses_icon_text[<?php echo $i; ?>][]" class="w-100" placeholder="i.e. Most visited website" value="<?php echo (isset($liveclasses_data['liveclasses_icon_text'][$i][$j]) ? $liveclasses_data['liveclasses_icon_text'][$i][$j]:""); ?>">

																	</div>
																</div>
															</div>
															<?php if($j != 0){ ?>
																<button class="ls-pull-right button button-default" type="button" onclick="removeParent(this)">Remove</button>
															<?php } ?>

														</div>

														<?php $x++; } }else{
															$j = 0;
															?>

															<div class="ls-col-3 border-margin">
																<div class="ls-row">
																	<div class="ls-col-12 ls-text-center">
																		<?php
																		$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
																		$width="100";
																		$src = $default_image;

																		$text = 'Upload';

																		echo '
																		<div class="upload">
																		<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
																		<div>
																		<input type="hidden" name="liveclasses_icon['.$i.'][]" id="liveclasses_icon" value="'.$value.'" /><button type="submit" class="upload_image_button button">' . $text . '</button><button type="submit" class="remove_image_button button">&times;</button>
																		</div>
																		</div>
																		';
																		?>
																		<div>
																			<input type="text" name="liveclasses_icon_text[<?php echo $i; ?>][]" class="w-100" placeholder="i.e. Most visited website" value="<?php echo (isset($liveclasses_data['liveclasses_icon_text'][$i][$j]) ? $liveclasses_data['liveclasses_icon_text'][$i][$j]:""); ?>">
																		</div>
																	</div>
																</div>
															</div>

															<?php	
														}
														?>
														<div class="div_append_liveclasses<?php echo $i; ?>"></div>
													</div>
													<div>
														<input type="button" class="ls-pull-right button button-default add_icontext_liveclasses" value="Add" data-id="<?php echo $i; ?>" data-div="liveclasses">
													</div>
												</div>
											</div>
										</div>
									</div>

								</div>

							</div>

						<?php  } ?>
					<?php } ?>
				</div>
			</div>

<div class="ls-row liveclasses-bottom">
<div class="ls-col-4">
<div>
<?php
$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
$width="100";
$height="auto";
$src = $default_image;
if ( !empty( $liveclasses_data['liveclasses_bottom_icon'] ) ) {
$src = $siteURL. '/wp-content/uploads/'.$images_data[$liveclasses_data['liveclasses_bottom_icon']]['image_url'];
$value = $liveclasses_data['liveclasses_bottom_icon'];
} else {
$src = $default_image;
$value = '';
}

$text = 'Upload';

echo '
<div class="upload">
<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
<div>
<input type="hidden" name="liveclasses_bottom_icon" id="liveclasses_bottom_icon" value="'.$value.'" />
<button type="submit" class="upload_image_button button">' . $text . '</button>
<button type="submit" class="remove_image_button button">&times;</button>
</div>
</div>
';
?>
</div>
<br>

</div>
<div class="ls-col-8">
<?php wp_editor((isset($liveclasses_data['liveclasses_bottom_textarea']) ? $liveclasses_data['liveclasses_bottom_textarea'] : ""), "liveclasses_bottom_textareaEditorID", array("textarea_name"=>"liveclasses_bottom_textarea","textarea_rows"=>8) ); ?>
</div>
</div>

		</div>
