<?php
$purchase_data=$purchase['args'][0];
$images_data=$purchase['args'][1];
$siteURL = get_site_url();

$purchase_topic_1 = ( isset($purchase_data['purchase_topic_1']) && $purchase_data['purchase_topic_1']!="") ? $purchase_data['purchase_topic_1'] : "";
$purchase_topic_2 = ( isset($purchase_data['purchase_topic_2']) && $purchase_data['purchase_topic_2']!="") ? $purchase_data['purchase_topic_2'] : "";
$purchase_topic_3 = ( isset($purchase_data['purchase_topic_3']) && $purchase_data['purchase_topic_3']!="") ? $purchase_data['purchase_topic_3'] : "";
$purchase_bottom_textarea = ( isset($purchase_data['purchase_bottom_textarea']) && $purchase_data['purchase_bottom_textarea']!="") ? $purchase_data['purchase_bottom_textarea'] : "";
?>
<div class="purchase-div">
	<div class="ls-row">

		<div class="ls-col-12">
			<input type="hidden" name="purchase_enable" value="0">
			<input type="checkbox" name="purchase_enable" value="1" id="purchase_enable" <?php echo ((isset($purchase_data['purchase_enable']) && $purchase_data['purchase_enable']==1)?"checked":""); ?>><label for ="purchase_enable">Enable</label>
		</div>

		<div class="ls-title ls-col-12">
			<input type="text" name="purchase_section_title" size="30" value="<?php echo (isset($purchase_data['purchase_section_title']) ?$purchase_data['purchase_section_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>

		<div class="ls-col-12">

			<div class="ls-col-6">

				<?php
				$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
				$src = $default_image;

				if ( !empty( $purchase_data['purchase_timer_icon'] ) ) {
					$src = $siteURL. '/wp-content/uploads/'.$images_data[$purchase_data['purchase_timer_icon']]['image_url'];
					$value = $purchase_data['purchase_timer_icon'];
				} else {
					$src = $default_image;
					$value = '';
				}

				$text = 'Upload';

				?>
				<label>Timer Top Left</label>
				<div class="upload">
					<img data-src="<?php echo $default_image; ?>" src="<?php echo $src; ?>" width="100px" height="auto" />
					<div>
						<input type="hidden" name="purchase_timer_icon" id="purchase_timer_icon" value="<?php echo $value; ?>" />
						<button type="submit" class="upload_image_button button"><?php echo $text; ?></button>
						<button type="submit" class="remove_image_button button">&times;</button>
					</div>
					<input type="text" class="w-100" name="purchase_timer_heading1" id="purchase_timer_heading1" placeholder="i.e. Price increase in" value="<?php echo (isset($purchase_data['purchase_timer_heading1']) ?$purchase_data['purchase_timer_heading1']:""); ?>">
					<input type="text" class="w-100" name="purchase_timer_heading2" id="purchase_timer_heading2" placeholder="i.e. to Rs. 6999" value="<?php echo (isset($purchase_data['purchase_timer_heading2']) ?$purchase_data['purchase_timer_heading2']:""); ?>">
				</div>

				<?php
				$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
				$src = $default_image;

				if ( !empty( $purchase_data['purchase_bottom_left_icon'] ) ) {
					$src = $siteURL. '/wp-content/uploads/'.$images_data[$purchase_data['purchase_bottom_left_icon']]['image_url'];
					$value = $purchase_data['purchase_bottom_left_icon'];
				} else {
					$src = $default_image;
					$value = '';
				}

				$text = 'Upload';

				?>

				<label>Bottom left</label>
				<div class="upload">
					<img data-src="<?php echo $default_image; ?>" src="<?php echo $src; ?>" width="100px" height="auto" />
					<div>
						<input type="hidden" name="purchase_bottom_left_icon" id="purchase_bottom_left_icon" value="<?php echo $value; ?>" />
						<button type="submit" class="upload_image_button button"><?php echo $text; ?></button>
						<button type="submit" class="remove_image_button button">&times;</button>
					</div>
					<input type="text" class="w-100" name="purchase_bottom_left_heading" id="purchase_bottom_left_heading" placeholder="i.e. Mock Subscription" value="<?php echo (isset($purchase_data['purchase_bottom_left_heading']) ?$purchase_data['purchase_bottom_left_heading']:""); ?>">
					<input type="text" class="w-100" name="purchase_bottom_left_price" id="purchase_bottom_left_price" placeholder="i.e. @499" value="<?php echo (isset($purchase_data['purchase_bottom_left_price']) ?$purchase_data['purchase_bottom_left_price']:""); ?>">
					<br><br>

					<label>Bottom left Button</label>
					<input type="text" class="w-100" name="purchase_bottom_left_btn_text" id="purchase_bottom_left_btn_text" placeholder="i.e. Click to View" value="<?php echo (isset($purchase_data['purchase_bottom_left_btn_text']) ?$purchase_data['purchase_bottom_left_btn_text']:""); ?>">
					<input type="text" class="w-100" name="purchase_bottom_left_btn_link" id="purchase_bottom_left_btn_link" placeholder="i.e. Begin Prepration" value="<?php echo (isset($purchase_data['purchase_bottom_left_btn_link']) ?$purchase_data['purchase_bottom_left_btn_link']:""); ?>">
					<select name="purchase_bottom_left_btn_link_class" id="purchase_bottom_left_btn_link_class" class="w-100">
						<?php echo get_classes_options((isset($purchase_data['purchase_bottom_left_btn_link_class']) ? $purchase_data['purchase_bottom_left_btn_link_class'] : "")); ?>
					</select><br><br>

					<label>Bottom left Button Tag</label>
					<input type="text" class="w-100" name="purchase_bottom_left_btn_tag" id="purchase_bottom_left_btn_tag" placeholder="i.e. Mock" value="<?php echo (isset($purchase_data['purchase_bottom_left_btn_tag']) ?$purchase_data['purchase_bottom_left_btn_tag']:""); ?>">
					<select name="purchase_bottom_left_btn_tag_class" id="purchase_bottom_left_btn_tag_class" class="w-100">
						<?php echo get_classes_options((isset($purchase_data['purchase_bottom_left_btn_tag_class']) ? $purchase_data['purchase_bottom_left_btn_tag_class'] : "")); ?>
					</select><br><br>


				</div>

			</div>



			<!-- right section start -->
			<div class="ls-col-6">
				<h2>Right Section</h2>
				<div class="ls-row">
					<div class="ls-col-12">
						<label>Section Tag</label>
						<input type="text" name="purchase_right_section_tag" size="30" class="w-100" placeholder="i.g. Video" value="<?php echo (isset($purchase_data['purchase_right_section_tag']) ?$purchase_data['purchase_right_section_tag']:""); ?>">
						<select name="purchase_right_section_tag_css" id="purchase_right_section_tag_css" class="w-100">
							<?php echo get_classes_options((isset($purchase_data['purchase_right_section_tag_css']) ? $purchase_data['purchase_right_section_tag_css'] : "")); ?>
						</select>
						<br><br>

						<label>Title</label>
						<input type="text" name="purchase_right_section_title" size="30" class="w-100" placeholder="i.g. Buy Prime" value="<?php echo (isset($purchase_data['purchase_right_section_title']) ?$purchase_data['purchase_right_section_title']:""); ?>">
						<input type="text" name="purchase_right_section_super_title" size="30" class="w-100" placeholder="i.g. (For TCS NQT)" value="<?php echo (isset($purchase_data['purchase_right_section_super_title']) ?$purchase_data['purchase_right_section_super_title']:""); ?>">
						<input type="text" name="purchase_right_section_title_tag" size="30" class="w-100" placeholder="i.g. Prime" value="<?php echo (isset($purchase_data['purchase_right_section_title_tag']) ?$purchase_data['purchase_right_section_title_tag']:""); ?>">
						<select name="purchase_right_section_title_tag_css" id="purchase_right_section_title_tag_css" class="w-100">
							<?php echo get_classes_options((isset($purchase_data['purchase_right_section_title_tag_css']) ? $purchase_data['purchase_right_section_title_tag_css'] : "")); ?>
						</select>

						<input type="text" name="purchase_right_section_price" size="30" class="w-100" placeholder="i.g. @1999" value="<?php echo (isset($purchase_data['purchase_right_section_price']) ?$purchase_data['purchase_right_section_price']:""); ?>">
						<br><br>



					</div>
				</div>

				<div class="ls-row">
					<div class="ls-col-2">
						<?php
						$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
						$width="100";
						$height="auto";

						if ( !empty( $purchase_data['purchase_icon_1'] ) ) {
							$src = $siteURL. '/wp-content/uploads/'.$images_data[$purchase_data['purchase_icon_1']]['image_url'];
							$value = $purchase_data['purchase_icon_1'];
						} else {
							$src = $default_image;
							$value = '';
						}

						$text = 'Upload';

						echo '
						<div class="upload">
						<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
						<div>
						<input type="hidden" name="purchase_icon_1" id="purchase_icon_1" value="'.$value.'" />
						<button type="submit" class="upload_image_button button">' . $text . '</button>
						<button type="submit" class="remove_image_button button">&times;</button>
						</div>
						</div>
						';
						?>
					</div>

					<div class="ls-col-10">
						<?php wp_editor($purchase_topic_1, "purchasemceEditorID".rand(), array("textarea_name"=>"purchase_topic_1","textarea_rows"=>4) ); ?>
					</div>
				</div>

				<div class="ls-row">
					<div class="ls-col-2">
						<?php
						$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
						$width="100";
						$height="auto";

						if ( !empty( $purchase_data['purchase_icon_2'] ) ) {
							$src = $siteURL. '/wp-content/uploads/'.$images_data[$purchase_data['purchase_icon_2']]['image_url'];
							$value = $purchase_data['purchase_icon_2'];
						} else {
							$src = $default_image;
							$value = '';
						}

						$text = 'Upload';

						echo '
						<div class="upload">
						<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
						<div>
						<input type="hidden" name="purchase_icon_2" id="purchase_icon_2" value="'.$value.'" />
						<button type="submit" class="upload_image_button button">' . $text . '</button>
						<button type="submit" class="remove_image_button button">&times;</button>
						</div>
						</div>
						';
						?>
					</div>
					<div class="ls-col-10">
						<?php wp_editor($purchase_topic_2, "purchasemceEditorID".rand(), array("textarea_name"=>"purchase_topic_2","textarea_rows"=>4) ); ?>
					</div>
				</div>

				<div class="ls-row">
					<div class="ls-col-2">
						<?php
						$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
						$width="100";
						$height="auto";

						if ( !empty( $purchase_data['purchase_icon_3'] ) ) {
							$src = $siteURL. '/wp-content/uploads/'.$images_data[$purchase_data['purchase_icon_3']]['image_url'];
							$value = $purchase_data['purchase_icon_3'];
						} else {
							$src = $default_image;
							$value = '';
						}

						$text = 'Upload';

						echo '
						<div class="upload">
						<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
						<div>
						<input type="hidden" name="purchase_icon_3" id="purchase_icon_3" value="'.$value.'" />
						<button type="submit" class="upload_image_button button">' . $text . '</button>
						<button type="submit" class="remove_image_button button">&times;</button>
						</div>
						</div>
						';
						?>
					</div>
					<div class="ls-col-10">
						<?php wp_editor($purchase_topic_3, "purchasemceEditorID".rand(), array("textarea_name"=>"purchase_topic_3","textarea_rows"=>4) ); ?>
					</div>
				</div>

				<label>Bottom Right Button</label>
				<input type="text" class="w-100" name="purchase_bottom_right_btn_text" id="purchase_bottom_right_btn_text" placeholder="i.e. Click to Purchase" value="<?php echo (isset($purchase_data['purchase_bottom_right_btn_text']) ?$purchase_data['purchase_bottom_right_btn_text']:""); ?>">
				<input type="text" class="w-100" name="purchase_bottom_right_btn_link" id="purchase_bottom_right_btn_link" placeholder="i.e. Begin Prepration" value="<?php echo (isset($purchase_data['purchase_bottom_right_btn_link']) ?$purchase_data['purchase_bottom_right_btn_link']:""); ?>">
				<select name="purchase_bottom_right_btn_link_class" id="purchase_bottom_right_btn_link_class" class="w-100">
					<?php echo get_classes_options((isset($purchase_data['purchase_bottom_right_btn_link_class']) ? $purchase_data['purchase_bottom_right_btn_link_class'] : "")); ?>
				</select><br><br>

				<label>Bottom Right Button Tag</label>
				<input type="text" class="w-100" name="purchase_bottom_right_btn_tag" id="purchase_bottom_right_btn_tag" placeholder="i.e. Video" value="<?php echo (isset($purchase_data['purchase_bottom_right_btn_tag']) ?$purchase_data['purchase_bottom_right_btn_tag']:""); ?>">
				<select name="purchase_bottom_right_btn_tag_class" id="purchase_bottom_right_btn_tag_class" class="w-100">
					<?php echo get_classes_options((isset($purchase_data['purchase_bottom_right_btn_tag_class']) ? $purchase_data['purchase_bottom_right_btn_tag_class'] : "")); ?>
				</select><br><br>

				<label>Product</label>
				<select name="purchase_product" id="purchase_product" class="w-100">
					<?php echo get_product_dropdown_options((isset($purchase_data['purchase_product']) ? $purchase_data['purchase_product'] : "")); ?>
				</select><br><br>


				<?php
				wp_editor((isset($purchase_data['purchase_bottom_right_textarea']) ? $purchase_data['purchase_bottom_right_textarea'] : ""), "purchase_bottom_right_textarea_editor".rand(), array("textarea_name"=>"purchase_bottom_right_textarea","textarea_rows"=>8) );
				?>



			</div>
			<!-- right section end -->

			<div class="ls-col-12">
				<?php wp_editor($purchase_bottom_textarea, "purchasemceEditorID".rand(), array("textarea_name"=>"purchase_bottom_textarea","textarea_rows"=>4) ); ?>
			</div>
		</div>



	</div>
</div>