<?php
$structure_data=$structure['args'][0];
$images_data=$structure['args'][1];
$siteURL = get_site_url();
?>

<div class="structure-div">

	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_structure" value="0">
			<input type="checkbox" name="enable_structure" value="1" id="enable_structure" <?php echo ((isset($structure_data['enable_structure']) && $structure_data['enable_structure']==1)?"checked":""); ?>><label for ="enable_structure">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="structure_section_title" size="30" value="<?php echo (isset($structure_data['structure_section_title']) ?$structure_data['structure_section_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-12">
			<div class="ls-col-12">
				<?php wp_editor((isset($structure_data['structure_textarea'])?$structure_data['structure_textarea']:""), "structureEditorID".rand(), array("textarea_name"=>"structure_textarea","textarea_rows"=>4) ); ?>
			</div>
		</div>
	</div>

	<!-- start -->
	<div class="ls-row course-structure-div">
		<div class="ls-col-12 structure">
			<?php 
			if(isset($structure_data['structure_title'])){
				$tab_count=sizeof($structure_data['structure_title']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-tab-course-structure" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="structure">Add Tab</button>
			</p>

			<div class="tab">
				<?php if(isset($structure_data['structure_title'])){
					for($i=0;$i<sizeof($structure_data['structure_title']);$i++){
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?>" type="button"  data-div="structure" data-tabname="tablinks<?php echo $i; ?>"><?php echo (isset($structure_data['structure_title'][$i]) && $structure_data['structure_title'][$i]!="")?$structure_data['structure_title'][$i]:"Tab ".++$i; ?><button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="structure">&times;</button></button>
						<?php
					}
				}else{ ?>
					<button class="tablinks button-tablinks1 active" type="button"  data-div="structure" data-tabname="tablinks1">Tab 1 <button type='button' class='remove_tab_button' data-id='1' data-div="structure">&times;</button></button>
				<?php } ?>
			</div>
			<?php if(isset($structure_data['structure_title'])){
				$x= 1;
				for($i=0;$i<sizeof($structure_data['structure_title']);$i++){
					?>
					<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">


						<div class="ls-row">
							<div class="ls-col-12">
								<input type="text" name="structure_title[]" class="w-100" placeholder="Title i.e. Day 1" value="<?php echo (isset($structure_data['structure_title'][$i]) ?$structure_data['structure_title'][$i]:""); ?>">
							</div>
							<div class="ls-col-2">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";

								if ( !empty( $structure_data['structure_icon_1'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$structure_data['structure_icon_1'][$i]]['image_url'];
									$value = $structure_data['structure_icon_1'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="structure_icon_1[]" id="structure_icon_1[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
							<div class="ls-col-10">
								<input type="text" name="structure_topic_1[]" class="w-100" placeholder="Topic i.e. Topic Name - Probability" value="<?php echo (isset($structure_data['structure_topic_1'][$i]) ?$structure_data['structure_topic_1'][$i]:""); ?>">
							</div>

						</div>

						<div class="ls-row">
							<div class="ls-col-2">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";

								if ( !empty( $structure_data['structure_icon_2'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$structure_data['structure_icon_2'][$i]]['image_url'];
									$value = $structure_data['structure_icon_2'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="structure_icon_2[]" id="structure_icon_2[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
							<div class="ls-col-10">
								<?php wp_editor((isset($structure_data['structure_topic_2'][$i])?$structure_data['structure_topic_2'][$i]:""), "structuremceEditorID".rand(), array("textarea_name"=>"structure_topic_2[]","textarea_rows"=>4) ); ?>
							</div>

						</div>

						<div class="ls-row">
							<div class="ls-col-2">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";

								if ( !empty( $structure_data['structure_icon_3'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$structure_data['structure_icon_3'][$i]]['image_url'];
									$value = $structure_data['structure_icon_3'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="structure_icon_3[]" id="structure_icon_3[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
							<div class="ls-col-10">
								<?php wp_editor((isset($structure_data['structure_topic_3'][$i])?$structure_data['structure_topic_3'][$i]:""), "structuremceEditorID".rand(), array("textarea_name"=>"structure_topic_3[]","textarea_rows"=>4) ); ?>
							</div>

						</div>

						<div class="ls-row">
							<div class="ls-col-10">
								<input type="text" name="structure_lecturer_name[]" class="w-100" placeholder="Name i.e. Name of Lecturer - Manish Agarwal" value="<?php echo (isset($structure_data['structure_lecturer_name'][$i]) ?$structure_data['structure_lecturer_name'][$i]:""); ?>">
							</div>
							<div class="ls-col-2">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";

								if ( !empty( $structure_data['structure_lecturer_img'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$structure_data['structure_lecturer_img'][$i]]['image_url'];
									$value = $structure_data['structure_lecturer_img'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="structure_lecturer_img[]" id="structure_lecturer_img[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>

						</div>


					</div>
					<?php $x++; } ?>
				<?php }else{ ?>

					<div id="tablinks1" class="l1tabcontent" style="display:block;">

						<div class="ls-row">
							<div class="ls-col-12">
								<input type="text" name="structure_title[]" class="w-100" placeholder="Title i.e. Day 1">
							</div>
							<div class="ls-col-2">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="structure_icon_1[]" id="structure_icon_1[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
							<div class="ls-col-10">
								<input type="text" name="structure_topic_1[]" class="w-100" placeholder="Topic i.e. Topic Name - Probability">
							</div>

						</div>

						<div class="ls-row">
							<div class="ls-col-2">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="structure_icon_2[]" id="structure_icon_2[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
							<div class="ls-col-10">
								<?php wp_editor("", "structuremceEditorID".rand(), array("textarea_name"=>"structure_topic_2[]","textarea_rows"=>4) ); ?>
							</div>

						</div>

						<div class="ls-row">
							<div class="ls-col-2">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="structure_icon_3[]" id="structure_icon_3[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
							<div class="ls-col-10">
								<?php wp_editor("", "structuremceEditorID".rand(), array("textarea_name"=>"structure_topic_3[]","textarea_rows"=>4) ); ?>
							</div>

						</div>

						<div class="ls-row">
							<div class="ls-col-10">
								<input type="text" name="structure_lecturer_name[]" class="w-100" placeholder="Name i.e. Name of Lecturer - Manish Agarwal">
							</div>
							<div class="ls-col-2">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="structure_lecturer_img[]" id="structure_lecturer_img[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>

						</div>


					</div>
				<?php } ?>

			</div>
		</div>
		<!-- end -->

	</div>