<?php
$syllabus_data=$syllabus['args'][0];
$images_data=$syllabus['args'][1];
$siteURL = get_site_url();
?>
<div class="syllabus-div">
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_syllabus" value="0">
			<input type="checkbox" name="enable_syllabus" value="1" id="enable_syllabus" <?php echo ((isset($syllabus_data['enable_syllabus']) && $syllabus_data['enable_syllabus']==1)?"checked":""); ?>><label for ="enable_syllabus">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="syllabus_title" size="30" value="<?php echo (isset($syllabus_data['syllabus_title']) ?$syllabus_data['syllabus_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-12">
			<label>Tabs type</label>
			<select name="syllabus_tabtype">
				<option value="vertical" <?php echo ((isset($syllabus_data['syllabus_tabtype']) && $syllabus_data['syllabus_tabtype']=='vertical')?"selected":""); ?>>Vertical</option>
				<option value="horizontal" <?php echo (((isset($syllabus_data['syllabus_tabtype']) && $syllabus_data['syllabus_tabtype']=='horizontal') || !isset($syllabus_data['syllabus_tabtype']))?"selected":""); ?>>Horizontal</option>
			</select>
		</div>
	</div>

	<div class="ls-row syllabus-div">
		<div class="ls-col-12 l1-syllabus">
			<?php 
			if(isset($syllabus_data['syllabus_tab_icon'])){
				$tab_count=sizeof($syllabus_data['syllabus_tab_icon']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-tab-online-classes" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="l1-syllabus" data-section="normal">Add Tab</button>
			</p>

			<div class="tab">
				<?php if(isset($syllabus_data['syllabus_tab_icon'])){
					$h = 1;
					for($i=0;$i<sizeof($syllabus_data['syllabus_tab_icon']);$i++){
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?>" type="button"  data-div="l1-syllabus" data-tabname="tablinks<?php echo $i; ?>"><?php echo ((!empty($syllabus_data['syllabus_tab_title'][$i])) ? $syllabus_data['syllabus_tab_title'][$i] : "Tab ".$h); ?>
						<button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="l1-syllabus">&times;</button></button>
						<?php
						$h++;
					}
				}else{ ?>
					<button class="tablinks button-tablinks1 active" type="button"  data-div="l1-syllabus" data-tabname="tablinks1">Tab 1 <button type='button' class='remove_tab_button' data-id='1' data-div="l1-syllabus">&times;</button></button>
				<?php } ?>
			</div>
			<?php if(isset($syllabus_data['syllabus_tab_icon'])){
				$x= 1;
				for($i=0;$i<sizeof($syllabus_data['syllabus_tab_icon']);$i++){
					?>

					<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">

						<div class="ls-row">
							<div class="ls-col-5">
								<label>Tab Icon</label>
							</div>
							<div class="ls-col-6">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;

								if ( !empty( $syllabus_data['syllabus_tab_icon'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$syllabus_data['syllabus_tab_icon'][$i]]['image_url'];
									$value = $syllabus_data['syllabus_tab_icon'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l1-syllabus_tab_icon[]" id="l1-syllabus_tab_icon[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-title ls-col-12">
								<input type="text" name="l1-syllabus_tab_title[]" size="30" value="<?php echo (!empty($syllabus_data['syllabus_tab_title'][$i])?$syllabus_data['syllabus_tab_title'][$i]:""); ?>" class="w-100 ls-title-input" placeholder="Tab title...">
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-col-12">
								<?php wp_editor((isset($syllabus_data['syllabus_textarea'][$i])?$syllabus_data['syllabus_textarea'][$i]:""), "l1-syllabusmceEditorID".$x, array("textarea_name"=>"l1-syllabus_textarea[]","textarea_rows"=>8) ); ?>
							</div>
						</div>

					</div>

					<?php $x++; } ?>
				<?php }else{ ?>

					<div id="tablinks1" class="l1tabcontent" style="display:block;">

						<div class="ls-row">
							<div class="ls-col-5">
								<label>Tab Icon</label>
							</div>
							<div class="ls-col-6">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$src = $default_image;
								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l1-syllabus_tab_icon[]" id="l1-syllabus_tab_icon[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-title ls-col-12">
								<input type="text" name="l1-syllabus_tab_title[]" size="30" value="" class="w-100 ls-title-input" placeholder="Tab title...">
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-col-12">
								<?php wp_editor("", "l1-syllabusmceEditorID1", array("textarea_name"=>"l1-syllabus_textarea[]","textarea_rows"=>8) ); ?>
							</div>
						</div>

					</div>

				<?php } ?>

			</div>
		</div>
	</div>