<?php
$reviews_screenshot_data=$reviews_screenshot['args'][0];
$images_data=$reviews_screenshot['args'][1];
$siteURL = get_site_url();
?>
<div class="reviews_screenshot-div">
	
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_reviews_screenshot" value="0">
			<input type="checkbox" name="enable_reviews_screenshot" value="1" id="enable_reviews_screenshot" <?php echo ((isset($reviews_screenshot_data['enable_reviews_screenshot']) && $reviews_screenshot_data['enable_reviews_screenshot']==1)?"checked":""); ?>><label for ="enable_reviews_screenshot">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="reviews_screenshot_title" size="30" value="<?php echo (isset($reviews_screenshot_data['reviews_screenshot_title']) ?$reviews_screenshot_data['reviews_screenshot_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-12">
			<label>Number of items in a row</label>
			<select name="reviews_screenshot_items">
				<option value="1" <?php echo ((isset($reviews_screenshot_data['reviews_screenshot_items']) && $reviews_screenshot_data['reviews_screenshot_items']=='1')?"selected":""); ?>>1</option>
				<option value="2" <?php echo ((isset($reviews_screenshot_data['reviews_screenshot_items']) && $reviews_screenshot_data['reviews_screenshot_items']=='2')?"selected":""); ?>>2</option>
				<option value="3" <?php echo ((isset($reviews_screenshot_data['reviews_screenshot_items']) && $reviews_screenshot_data['reviews_screenshot_items']=='3')?"selected":""); ?>>3</option>
				<option value="4" <?php echo ((isset($reviews_screenshot_data['reviews_screenshot_items']) && $reviews_screenshot_data['reviews_screenshot_items']=='4')?"selected":""); ?>>4</option>
			</select>
		</div>
	</div>

	<div class="ls-row reviews_screenshot-div">
		<div class="ls-col-12 l1-reviews_screenshot">
			<?php 
			if(isset($reviews_screenshot_data['reviewer_image'])){
				$tab_count=sizeof($reviews_screenshot_data['reviewer_image']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-tab-reviews-screenshot" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="l1-reviews_screenshot">Add Tab</button>
			</p>

			<div class="tab">
				<?php if(isset($reviews_screenshot_data['reviewer_image'])){
					for($i=0;$i<sizeof($reviews_screenshot_data['reviewer_image']);$i++){
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?>" type="button"  data-div="l1-reviews_screenshot" data-tabname="tablinks<?php echo $i; ?>"><?php echo (isset($reviews_screenshot_data['reviews_screenshot_tab_title'][$i]) && $reviews_screenshot_data['reviews_screenshot_tab_title'][$i]!="")?$reviews_screenshot_data['reviews_screenshot_tab_title'][$i]:"Tab 1"; ?><button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="l1-reviews_screenshot">&times;</button></button>
						<?php
					}
				}else{ ?>
					<button class="tablinks button-tablinks1 active" type="button"  data-div="l1-reviews_screenshot" data-tabname="tablinks1">Tab 1 <button type='button' class='remove_tab_button' data-id='1' data-div="l1-reviews_screenshot">&times;</button></button>
				<?php } ?>
			</div>
			<?php if(isset($reviews_screenshot_data['reviewer_image'])){
				$x= 1;
				for($i=0;$i<sizeof($reviews_screenshot_data['reviewer_image']);$i++){
					?>

					<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">

						<div class="ls-row">
							<div class="ls-col-5">
								<label>Reviewer Image</label>
							</div>
							<div class="ls-col-6">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;

								if ( !empty( $reviews_screenshot_data['reviewer_image'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$reviews_screenshot_data['reviewer_image'][$i]]['image_url'];
									$value = $reviews_screenshot_data['reviewer_image'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="reviewer_image[]" id="reviewer_image[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-title ls-col-12">
								<input type="text" name="reviews_screenshot_tab_title[]" size="30" value="<?php echo (!empty($reviews_screenshot_data['reviews_screenshot_tab_title'][$i])?$reviews_screenshot_data['reviews_screenshot_tab_title'][$i]:""); ?>" class="w-100 ls-title-input" placeholder="Tab title...">
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-col-5">
								<label>Screenshot</label>
							</div>
							<div class="ls-col-6">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;

								if ( !empty( $reviews_screenshot_data['reviews_screenshot_image'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$reviews_screenshot_data['reviews_screenshot_image'][$i]]['image_url'];
									$value = $reviews_screenshot_data['reviews_screenshot_image'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="reviews_screenshot_image[]" id="reviews_screenshot_image[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

					</div>

					<?php $x++; } ?>
				<?php }else{ ?>

					<div id="tablinks1" class="l1tabcontent" style="display:block;">

						<div class="ls-row">
							<div class="ls-col-5">
								<label>Reviewer Image</label>
							</div>
							<div class="ls-col-6">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$src = $default_image;
								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="reviewer_image[]" id="reviewer_image[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-title ls-col-12">
								<input type="text" name="reviews_screenshot_tab_title[]" size="30" value="" class="w-100 ls-title-input" placeholder="Tab title...">
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-col-5">
								<label>Screenshot</label>
							</div>
							<div class="ls-col-6">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$src = $default_image;
								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="reviews_screenshot_image[]" id="reviews_screenshot_image[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

					</div>

				<?php } ?>

			</div>
		</div>
	</div>