<?php
$reviews_data=$reviews['args'][0];
$images_data=$reviews['args'][1];
$siteURL = get_site_url();
?>
<div class="reviews-div">
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_reviews" value="0">
			<input type="checkbox" name="enable_reviews" value="1" id="enable_reviews" <?php echo ((isset($reviews_data['enable_reviews']) && $reviews_data['enable_reviews']==1)?"checked":""); ?>><label for ="enable_reviews">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="reviews_title" size="30" value="<?php echo (isset($reviews_data['reviews_title']) ?$reviews_data['reviews_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-12">
			<label>Number of items in a row</label>
			<select name="reviews_items">
				<option value="1" <?php echo ((isset($reviews_data['reviews_items']) && $reviews_data['reviews_items']=='1')?"selected":""); ?>>1</option>
				<option value="2" <?php echo ((isset($reviews_data['reviews_items']) && $reviews_data['reviews_items']=='2')?"selected":""); ?>>2</option>
				<option value="3" <?php echo ((isset($reviews_data['reviews_items']) && $reviews_data['reviews_items']=='3')?"selected":""); ?>>3</option>
				<option value="4" <?php echo ((isset($reviews_data['reviews_items']) && $reviews_data['reviews_items']=='4')?"selected":""); ?>>4</option>
			</select>
		</div>
	</div>

	<div class="ls-row reviews-div">
		<div class="ls-col-12 l1-reviews">
			<?php 
			if(isset($reviews_data['reviewer_name'])){
				$tab_count=sizeof($reviews_data['reviewer_name']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-tab-reviews" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="l1-reviews">Add Tab</button>
			</p>

			<div class="tab">
				<?php if(isset($reviews_data['reviewer_name'])){
					for($i=0;$i<sizeof($reviews_data['reviewer_name']);$i++){
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?>" type="button"  data-div="l1-reviews" data-tabname="tablinks<?php echo $i; ?>"><?php echo (isset($reviews_data['reviewer_name'][$i]) && $reviews_data['reviewer_name'][$i]!="")?$reviews_data['reviewer_name'][$i]:"Tab 1"; ?><button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="l1-reviews">&times;</button></button>
						<?php
					}
				}else{ ?>
					<button class="tablinks button-tablinks1 active" type="button"  data-div="l1-reviews" data-tabname="tablinks1">Tab 1 <button type='button' class='remove_tab_button' data-id='1' data-div="l1-reviews">&times;</button></button>
				<?php } ?>
			</div>
			<?php if(isset($reviews_data['reviewer_name'])){
				$x= 1;
				for($i=0;$i<sizeof($reviews_data['reviewer_name']);$i++){
					?>

					<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">

						<div class="ls-row">
							<div class="ls-col-4">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								if ( !empty( $reviews_data['review_profile'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$reviews_data['review_profile'][$i]]['image_url'];
									$value = $reviews_data['review_profile'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $src . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l2-review_profile[]" id="l2-review_profile[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>

							<div class="ls-col-8">
								<input type="text" name="reviewer_name[]" class="w-100 ls-pd-b-15" placeholder="Reviewer Name" value="<?php echo (isset($reviews_data['reviewer_name'][$i])?$reviews_data['reviewer_name'][$i]:''); ?>"> 
								<input type="text" name="reviewer_company_name[]" class="w-100 ls-pd-b-15" placeholder="Reviewer Company" value=<?php echo (isset($reviews_data['reviewer_company_name'][$i])?$reviews_data['reviewer_company_name'][$i]:""); ?>> 
								<p>Select Rating</p>
								<select name="review-star[]" class="w-100 ls-pd-b-15">
									<option value="1" <?php echo ((isset($reviews_data['rating_star'][$i]) && $reviews_data['rating_star'][$i]==1 )?"selected":""); ?>>1</option>
									<option value="2" <?php echo ((isset($reviews_data['rating_star'][$i]) && $reviews_data['rating_star'][$i]==2 )?"selected":""); ?>>2</option>
									<option value="3" <?php echo ((isset($reviews_data['rating_star'][$i]) && $reviews_data['rating_star'][$i]==3 )?"selected":""); ?>>3</option>
									<option value="4" <?php echo ((isset($reviews_data['rating_star'][$i]) && $reviews_data['rating_star'][$i]==4 )?"selected":""); ?>>4</option>
									<option value="5" <?php echo ((isset($reviews_data['rating_star'][$i]) && $reviews_data['rating_star'][$i]==5 )?"selected":""); ?>>5</option>
								</select>
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-col-12">
								<?php wp_editor((isset($reviews_data['reviews_desc'][$i])?$reviews_data['reviews_desc'][$i]:""), "reviews_mceEditorID".$x, array("textarea_name"=>"reviews_desc[]","textarea_rows"=>4) ); ?>

							</div>
						</div>

					</div>

					<?php $x++; } ?>
				<?php }else{ ?>

					<div id="tablinks1" class="l1tabcontent" style="display:block;">

						<div class="ls-row">
							<div class="ls-col-4">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$src = $default_image;
								$value = '';
								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $src . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l2-review_profile[]" id="l2-review_profile[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
							<div class="ls-col-8">
								<input type="text" name="reviewer_name[]" class="w-100 ls-pd-b-15" placeholder="Reviewer Name"> 
								<input type="text" name="reviewer_company_name[]" class="w-100 ls-pd-b-15" placeholder="Reviewer Company"> 
								<p>Select Rating</p>
								<select name="review-star[]" class="w-100 ls-pd-b-15">
									<option value="1">1</option>
									<option value="2">2</option>
									<option value="3">3</option>
									<option value="4">4</option>
									<option value="5" selected>5</option>
								</select>
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-col-12">
								<?php wp_editor("", "reviews_mceEditorID1", array("textarea_name"=>"reviews_desc[]","textarea_rows"=>4) ); ?>
							</div>
						</div>

					</div>

				<?php } ?>

			</div>
		</div>
	</div>