<?php
$bifurcation_data=$bifurcation['args'][0];
$images_data=$bifurcation['args'][1];
$siteURL = get_site_url();
?>
<div class="bifurcation-div">
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_bifurcation" value="0">
			<input type="checkbox" name="enable_bifurcation" value="1" id="enable_bifurcation" <?php echo ((isset($bifurcation_data['enable_bifurcation']) && $bifurcation_data['enable_bifurcation']==1)?"checked":""); ?>><label for ="enable_bifurcation">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="bifurcation_title" size="30" value="<?php echo (isset($bifurcation_data['bifurcation_title']) ?$bifurcation_data['bifurcation_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-12">
			<label>Tabs type</label>
			<select name="bifurcation_tabtype">
				<option value="vertical" <?php echo ((isset($bifurcation_data['bifurcation_tabtype']) && $bifurcation_data['bifurcation_tabtype']=='vertical')?"selected":""); ?>>Vertical</option>
				<option value="horizontal" <?php echo (((isset($bifurcation_data['bifurcation_tabtype']) && $bifurcation_data['bifurcation_tabtype']=='horizontal') || !isset($bifurcation_data['bifurcation_tabtype']))?"selected":""); ?>>Horizontal</option>
			</select>
		</div>
	</div>

	<div class="ls-row bifurcation-div">
		<div class="ls-col-12 bifurcation">
			<?php 
			if(isset($bifurcation_data['bifurcation_tab_icon'])){
				$tab_count=sizeof($bifurcation_data['bifurcation_tab_icon']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-tab-bifurcation" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="bifurcation">Add Tab</button>
			</p>

			<div class="tab">
				<?php if(isset($bifurcation_data['bifurcation_tab_icon'])){
					$h = 1;
					for($i=0;$i<sizeof($bifurcation_data['bifurcation_tab_icon']);$i++){
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?>" type="button"  data-div="bifurcation" data-tabname="tablinks<?php echo $i; ?>"><?php echo ((!empty($bifurcation_data['bifurcation_tab_title'][$i])) ? $bifurcation_data['bifurcation_tab_title'][$i] : "Tab ".$h); ?>
						<button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="bifurcation">&times;</button></button>
						<?php
						$h++;
					}
				}else{ ?>
					<button class="tablinks button-tablinks1 active" type="button"  data-div="bifurcation" data-tabname="tablinks1">Tab 1 <button type='button' class='remove_tab_button' data-id='1' data-div="bifurcation">&times;</button></button>
				<?php } ?>
			</div>
			<?php if(isset($bifurcation_data['bifurcation_tab_icon'])){
				$x= 1;
				for($i=0;$i<sizeof($bifurcation_data['bifurcation_tab_icon']);$i++){
					?>

					<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">

						<div class="ls-row">
							<div class="ls-col-5">
								<label>Tab Icon</label>
							</div>
							<div class="ls-col-6">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;

								if ( !empty( $bifurcation_data['bifurcation_tab_icon'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$bifurcation_data['bifurcation_tab_icon'][$i]]['image_url'];
									$value = $bifurcation_data['bifurcation_tab_icon'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="bifurcation_tab_icon[]" id="bifurcation_tab_icon[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-title ls-col-12">
								<input type="text" name="bifurcation_tab_title[]" size="30" value="<?php echo (!empty($bifurcation_data['bifurcation_tab_title'][$i])?$bifurcation_data['bifurcation_tab_title'][$i]:""); ?>" class="w-100 ls-title-input" placeholder="Tab title...">
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-col-12">
								<?php wp_editor((isset($bifurcation_data['bifurcation_textarea'][$i])?$bifurcation_data['bifurcation_textarea'][$i]:""), "bifurcationmceEditorID".$x, array("textarea_name"=>"bifurcation_textarea[]","textarea_rows"=>8) ); ?>
							</div>
						</div>

						<!-- boxes -->
						<div class="section-creation-div-main">
							<div class="section-creation-div-per">

								<div class="ls-row">
									<?php

									if(!empty(sizeof($bifurcation_data['bifurcation_box_title'][$i]))){
											$box_count=sizeof($bifurcation_data['bifurcation_box_title'][$i]);
											}else{
											$box_count=sizeof($bifurcation_data['bifurcation_box_value'][$i]);					
											}

									if(!empty($bifurcation_data['bifurcation_box_title'][$i]) && $bifurcation_data['bifurcation_box_title'][$i] != ""){
										$x = rand();
										for($j=0;$j<$box_count;$j++){
											if(is_array($bifurcation_data['bifurcation_box_title'][$i])){
												?>

												<div class="ls-col-4 border-margin">
													<?php if($i != 0){ ?>
					<button class="ls-pull-right button button-default" type="button" onclick="removeParent(this)">&times;</button>
					<?php } ?>
													<div class="ls-pd-b-15">
														<input type="text" value="<?php echo $bifurcation_data['bifurcation_box_title'][$i][$j]; ?>" name="bifurcation_box_title[<?php echo $i; ?>][]"  placeholder="Section Title i.e. "><input type="color" name="bifurcation_box_title_color[<?php echo $i; ?>][]" id="html5colorpicker" onchange="clickColor(0, -1, -1, 5)" value="<?php echo $bifurcation_data['bifurcation_box_title_color'][$i][$j]; ?>">
													</div>
													<?php
													wp_editor($bifurcation_data['bifurcation_box_value'][$i][$j], "bifurcation_box_editor".$x, array("textarea_name"=>"bifurcation_box_value[$i][]","textarea_rows"=>8) );
													?>
												</div>

												<?php $x++; } } }else{
													?>

													<div class="ls-col-4 border-margin">
														<div class="ls-pd-b-15">
															<input type="text" value="" name="bifurcation_box_title[<?php echo $i; ?>][]"  placeholder="Section Title i.e. "><input type="color" name="bifurcation_box_title_color[<?php echo $i; ?>][]" id="html5colorpicker" onchange="clickColor(0, -1, -1, 5)" value="#ff0000">
														</div>
														<?php
														wp_editor("", "bifurcation_box_editor".rand(), array("textarea_name"=>"bifurcation_box_value[$i][]","textarea_rows"=>8) );
														?>
													</div>

													<?php	
												}
												?>
												<div class="div-bifurcation-append<?php echo $i; ?>"></div>

											</div>

											<div>
												<input type="button" class="ls-pull-right button button-default add-sections-bifurcation" value="Add" data-id="<?php echo $i; ?>" data-div="bifurcation_box">
											</div>

										</div>
									</div>
									<!-- boxes end -->

								</div>

								<?php $x++; } ?>
							<?php }else{ ?>

								<div id="tablinks1" class="l1tabcontent" style="display:block;">

									<div class="ls-row">
										<div class="ls-col-5">
											<label>Tab Icon</label>
										</div>
										<div class="ls-col-6">
											<?php
											$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
											$width="100";
											$src = $default_image;
											$text = 'Upload';

											echo '
											<div class="upload">
											<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
											<div>
											<input type="hidden" name="bifurcation_tab_icon[]" id="bifurcation_tab_icon[]" value="" />
											<button type="submit" class="upload_image_button button">' . $text . '</button>
											<button type="submit" class="remove_image_button button">&times;</button>
											</div>
											</div>
											';
											?>
										</div>
									</div>

									<div class="ls-row">
										<div class="ls-title ls-col-12">
											<input type="text" name="bifurcation_tab_title[]" size="30" value="" class="w-100 ls-title-input" placeholder="Tab title...">
										</div>
									</div>

									<div class="ls-row">
										<div class="ls-col-12">
											<?php wp_editor("", "bifurcationmceEditorID1", array("textarea_name"=>"bifurcation_textarea[]","textarea_rows"=>8) ); ?>
										</div>
									</div>

									<!-- boxes -->
									<div class="section-creation-div-main">
										<div class="section-creation-div-per">

											<div class="ls-row">
												
												<div class="ls-col-4 border-margin">
													<div class="ls-pd-b-15">
														<input type="text" value="" name="bifurcation_box_title[0][]"  placeholder="Section Title i.e. "><input type="color" name="bifurcation_box_title_color[0][]" id="html5colorpicker" onchange="clickColor(0, -1, -1, 5)" value="#ff0000">
													</div>
													<?php
													wp_editor("", "bifurcation_editor".rand(), array("textarea_name"=>"bifurcation_box_value[0][]","textarea_rows"=>8) );
													?>
												</div>

												<div class="div-bifurcation-append0"></div>

											</div>

											<div>
												<input type="button" class="ls-pull-right button button-default add-sections-bifurcation" value="Add" data-id="0" data-div="bifurcation">
											</div>

										</div>
									</div>
									<!-- boxes end -->

								</div>

							<?php } ?>

						</div>
					</div>
				</div>