<?php

function all_meta_boxes_gate1() {

	if(isset($_GET['action']) && $_GET['action']=='edit'){
		$page_type=get_post_meta($_GET['post'],'_ls_level_type',true);
	}
	if((isset($_GET['leveltype']) && $_GET['leveltype']=="gate1") || (isset($page_type) && $page_type=='gate1-page')){

		if(get_post_meta(get_the_ID(),'ls_page_data')){
			$gate1_page_data=get_post_meta(get_the_ID(),'ls_page_data');
		}else{
			$gate1_page_data[0]="";
		}

		if(isset($gate1_page_data[0]['top_desc'])){$top_desc=$gate1_page_data[0]['top_desc'];}else{$top_desc="";}
		if(isset($gate1_page_data[0]['accordion'])){$accordion=$gate1_page_data[0]['accordion'];}else{$accordion="";}
		if(isset($gate1_page_data[0]['preparation_section'])){$preparation_section=$gate1_page_data[0]['preparation_section'];}else{$preparation_section="";}
		if(isset($gate1_page_data[0]['paid_material'])){$paid_material=$gate1_page_data[0]['paid_material'];}else{$paid_material="";}

		if(isset($gate1_page_data[0]['interview_preparation'])){$interview_preparation=$gate1_page_data[0]['interview_preparation'];}else{$interview_preparation="";}
		if(isset($gate1_page_data[0]['interview_experience'])){$interview_experience=$gate1_page_data[0]['interview_experience'];}else{$interview_experience="";}
		if(isset($gate1_page_data[0]['analytics'])){$analytics=$gate1_page_data[0]['analytics'];}else{$analytics="";}
		if(isset($gate1_page_data[0]['salary_growth'])){$salary_growth=$gate1_page_data[0]['salary_growth'];}else{$salary_growth="";}
		if(isset($gate1_page_data[0]['sample_paper'])){$sample_paper=$gate1_page_data[0]['sample_paper'];}else{$sample_paper="";}
		if(isset($gate1_page_data[0]['video'])){$video=$gate1_page_data[0]['video'];}else{$video="";}
		if(isset($gate1_page_data[0]['quiz_group'])){$quiz_group=$gate1_page_data[0]['quiz_group'];}else{$quiz_group="";}


		$image_ids_array=array();
		if(isset($top_desc['topdescription_image']) && !empty($top_desc['topdescription_image'])){
			$image_ids_array[]=$top_desc['topdescription_image'];
		}
		if(isset($accordion['accordion_tab_icon']) && !empty($accordion['accordion_tab_icon'])){
			$array = array_filter($accordion['accordion_tab_icon']);
			foreach ($array as $accordion_tab_icon) {
				$image_ids_array[]=$accordion_tab_icon;
			}
		}
		if(isset($preparation_section['preparation_section_tab_icon']) && !empty($preparation_section['preparation_section_tab_icon'])){
			$array = array_filter($preparation_section['preparation_section_tab_icon']);
			foreach ($array as $preparation_section_tab_icon) {
				$image_ids_array[]=$preparation_section_tab_icon;
			}
		}
		if(isset($preparation_section['preparation_section_icon_left']) && !empty($preparation_section['preparation_section_icon_left'])){
			$array = array_filter($preparation_section['preparation_section_icon_left']);
			foreach ($array as $preparation_section_icon_left) {
				$image_ids_array[]=$preparation_section_icon_left;
			}
		}
		if(isset($paid_material['paid_material_tab_icon']) && !empty($paid_material['paid_material_tab_icon'])){
			$array = array_filter($paid_material['paid_material_tab_icon']);
			foreach ($array as $paid_material_tab_icon) {
				$image_ids_array[]=$paid_material_tab_icon;
			}
		}
		if(isset($paid_material['paid_material_icon_left']) && !empty($paid_material['paid_material_icon_left'])){
			$array = array_filter($paid_material['paid_material_icon_left']);
			foreach ($array as $paid_material_icon_left) {
				$image_ids_array[]=$paid_material_icon_left;
			}
		}
		if(isset($interview_preparation['interview_preparation_tab_icon']) && !empty($interview_preparation['interview_preparation_tab_icon'])){
			$image_ids_array[]=$interview_preparation['interview_preparation_tab_icon'];
		}
		if(isset($interview_experience['interview_experience_tab_icon']) && !empty($interview_experience['interview_experience_tab_icon'])){
			$array = array_filter($interview_experience['interview_experience_tab_icon']);
			foreach ($array as $interview_experience_tab_icon) {
				$image_ids_array[]=$interview_experience_tab_icon;
			}
		}
		if(isset($interview_experience['interview_experience_icon_left']) && !empty($interview_experience['interview_experience_icon_left'])){
			$array = array_filter($interview_experience['interview_experience_icon_left']);
			foreach ($array as $interview_experience_icon_left) {
				$image_ids_array[]=$interview_experience_icon_left;
			}
		}

		if(isset($image_ids_array) && !empty($image_ids_array)){
			$images_data = get_image_data_func($image_ids_array);
		}else{
			$images_data=array();
		}


		add_meta_box( 'gate1-top'.rand(), 'Top Description', 'gate1_top_description', 'page','after-editor','high' , array($top_desc, $images_data) );
		add_meta_box( 'gate1-accordion'.rand(), 'Syllabus', 'gate1_accordion', 'page','after-editor','high' , array($accordion, $images_data) );

		add_meta_box( 'gate1-preparation-section'.rand(), 'Preparation Section', 'gate1_preparation_section', 'page','after-editor','high' , array($preparation_section, $images_data) );
		add_meta_box( 'gate1-paid-material'.rand(), 'Paid material and online classes', 'gate1_paid_material', 'page','after-editor','high' , array($paid_material, $images_data) );
		add_meta_box( 'gate1-interview-preparation'.rand(), 'Interview Preparation', 'gate1_interview_preparation', 'page','after-editor','high' , array($interview_preparation, $images_data) );
		add_meta_box( 'gate1-interview-experience'.rand(), 'Interview Experience', 'gate1_interview_experience', 'page','after-editor','high' , array($interview_experience, $images_data) );
		add_meta_box( 'gate1-analytics'.rand(), 'Analytics', 'gate1_analytics', 'page','after-editor','high' , $analytics );
		add_meta_box( 'gate1-salary-growth'.rand(), 'Salary Growth', 'gate1_salary_growth', 'page','after-editor','high' , $salary_growth );
		add_meta_box( 'gate1-sample-papers'.rand(), 'Sample Papers', 'gate1_sample_papers', 'page','after-editor','high' , $sample_paper );
		add_meta_box( 'gate1-preparation-videos'.rand(), 'Preparation Videos', 'gate1_preparation_videos', 'page','after-editor','high' , $video );
		add_meta_box( 'gate1-quize-group'.rand(), 'Select Group (For Analytics)', 'gate1_select_quiz', 'page','side','' , $quiz_group );

	}

}

if(isset($_GET['post'])){
	$postID=$_GET['post'];
	$elementor_page = get_post_meta( $postID, '_elementor_edit_mode', true );
}
if ( isset($elementor_page) && ! !$elementor_page ) {
}else{
	add_action( 'add_meta_boxes', 'all_meta_boxes_gate1' );
}


function gate1_top_description( $post, $top_desc ){
	require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/parts/top_description.php";
}
function gate1_accordion($post, $accordion){
	require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/parts/accordion.php";
}
function gate1_preparation_section($post, $preparation_section){
	require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/parts/preparation_section.php";
}
function gate1_paid_material($post, $paid_material){
	require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/parts/paid_material.php";
}
function gate1_interview_preparation($post, $interview_preparation){
	require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/parts/interview_preparation.php";
}
function gate1_interview_experience($post, $interview_experience){
	require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/parts/interview_experience.php";
}
function gate1_analytics($post, $analytics){
	require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/parts/analytics.php";
}
function gate1_salary_growth($post, $salary_growth){
	require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/parts/salary_growth.php";
}
function gate1_sample_papers($post, $sample_paper){
	require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/parts/sample_papers.php";
}
function gate1_preparation_videos($post, $video){
	require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/parts/preparation_videos.php";
}
function gate1_select_quiz($post, $quiz_group){
	require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/parts/quiz-group-selection.php";
}

?>