<?php
$accordion_data=$accordion['args'][0];
$images_data=$accordion['args'][1];
$siteURL = get_site_url();
?>
<div class="accordion-div">
	<div class="ls-row">

		<div class="ls-col-12">
			<input type="hidden" name="enable_accordion" value="0">
			<input type="checkbox" name="enable_accordion" value="1" id="enable_accordion" <?php echo ((isset($accordion_data['enable_accordion']) && $accordion_data['enable_accordion']==1)?"checked":""); ?>><label for ="enable_accordion">Enable</label>
		</div>

		<div class="ls-col-12">
			<input type="text" name="accordion_section_title"  value="<?php echo (!empty($accordion_data['accordion_section_title'])?$accordion_data['accordion_section_title']:""); ?>" class="w-100 ls-title-input" placeholder="Section Title i.e. Prep Journey">
		</div>

	</div>


	<div class="ls-row accordion-div">
		<div class="ls-col-12 accordion">
			<?php 
			if( isset($accordion_data['accordion_title']) && count($accordion_data['accordion_title']) > 0){
				$tab_count=sizeof($accordion_data['accordion_title']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-accordion" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="accordion">Add Accordion</button>
			</p>

			<div class="tab">
				<?php if( isset($accordion_data['accordion_title']) && count($accordion_data['accordion_title']) > 0){

					$h = 1;
					for($i=0;$i<sizeof($accordion_data['accordion_title']);$i++){
						if(!empty($accordion_data['accordion_title'][$i])){
							$tabName = $accordion_data['accordion_title'][$i];
						}else{
							$tabName = "Accordion ".$h;
						}
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?>" type="button"  data-div="accordion" data-tabname="tablinks<?php echo $i; ?>"><?php echo $tabName; ?><button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="accordion">&times;</button></button>
						<?php
						$h++;
					}

				}else{ ?>
					<button class="tablinks button-tablinks0 active" type="button"  data-div="accordion" data-tabname="tablinks0">Accordion 1 <button type='button' class='remove_tab_button' data-id='0' data-div="accordion">&times;</button></button>
				<?php } ?>
			</div>
			<?php

if(isset($_GET['action']) && $_GET['action']=="edit"){
$count_accordion=count($accordion_data['accordion_title']);
}else{
$count_accordion=1;
}
 if($count_accordion > 0){

				for($i=0;$i<$count_accordion;$i++){
					?>

					<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">


						<!-- boxes -->
						<div class="section-creation-div-main border-margin">

							<div class="ls-row">
							<div class="ls-col-4">
								<label>Icon</label>
							</div>
							<div class="ls-col-8">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;
								if ( !empty( $accordion_data['accordion_tab_icon'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$accordion_data['accordion_tab_icon'][$i]]['image_url'];
									$value = $accordion_data['accordion_tab_icon'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="accordion_tab_icon[]" id="accordion_tab_icon[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

							<div class="ls-row">
								<div class="ls-col-12">
									<input type="text" name="accordion_title[]"  value="<?php echo (!empty($accordion_data['accordion_title'][$i])?$accordion_data['accordion_title'][$i]:""); ?>" class="w-100 ls-title-input" placeholder="Accordion Title i.e. Infosys">
								</div>
							</div>

							<div class="section-creation-div-per">

								<div class="ls-row">

									<?php 


									if( isset($accordion_data['accordion_tab_title'][$i]) && !empty(sizeof($accordion_data['accordion_tab_title'][$i]))){
										$steps_count=sizeof($accordion_data['accordion_tab_title'][$i]);
									}else{
										$steps_count=1;					
									}	

									for($j=0;$j<$steps_count;$j++){
										if( isset($accordion_data['accordion_tab_title'][$i]) && is_array($accordion_data['accordion_tab_title'][$i])){
											?>
											<div class="ls-col-6 border-margin">
												<div class="ls-row">
													<div class="ls-col-12 ls-text-center">
														<div>
															<input type="text" name="accordion_tab_title[<?php echo $i; ?>][]" value="<?php echo $accordion_data['accordion_tab_title'][$i][$j]; ?>" class="w-100" placeholder="i.e. Tab Title">
														</div>
														<div>
															<?php wp_editor($accordion_data['accordion_tab_textarea'][$i][$j], "accordionmceEditorID".rand(), array("textarea_name"=>"accordion_tab_textarea[".$i."][]","textarea_rows"=>8) ); ?>
														</div>
													</div>
												</div>

												<?php if($j != 0){ ?>
													<button class="ls-pull-right button button-default" type="button" onclick="removeParent(this)">Remove</button>
												<?php } ?>

											</div>

											<?php  }else{
												?>

												<div class="ls-col-6 border-margin">
													<div class="ls-row">
														<div class="ls-col-12 ls-text-center">
															<div>
																<input type="text" name="accordion_tab_title[<?php echo $i; ?>][]" class="w-100" placeholder="i.e. Tab Title">
															</div>
															<div>
																<?php wp_editor("", "accordionmceEditorID".rand(), array("textarea_name"=>"accordion_tab_textarea[".$i."][]","textarea_rows"=>8) ); ?>
															</div>
														</div>
													</div>

												</div>

											<?php } }?>

											<div class="div-accordion-tab-append<?php echo $i; ?>"></div>

										</div>

										<div class="ls-row">
											<input type="button" class="ls-pull-right button button-default add-accordion-tab" value="Add" data-id="<?php echo $i; ?>" data-div="accordion">
										</div>

									</div>
								</div>
								<!-- boxes end -->

							</div>

							<?php  } ?>
						<?php }else{ ?>

							<div id="tablinks1" class="l1tabcontent" style="display:block;">

								<!-- boxes -->
								<div class="section-creation-div-main border-margin">

									<div class="ls-row">

										<div class="ls-col-12">
											<input type="text" name="accordion_title[]"  value="" class="w-100 ls-title-input" placeholder="Section Title i.e. Infosys">
										</div>

									</div>

									<div class="section-creation-div-per">

										<div class="ls-row">

											<div class="ls-col-6 border-margin">
												<div class="ls-row">
													<div class="ls-col-12 ls-text-center">
														<div>
															<input type="text" name="accordion_tab_title[0][]" class="w-100" placeholder="i.e. Tab Title">
														</div>
														<div>
															<?php wp_editor("", "accordionmceEditorID".rand(), array("textarea_name"=>"accordion_tab_textarea[0][]","textarea_rows"=>8) ); ?>
														</div>
													</div>
												</div>
											</div>

											<div class="div-accordion-tab-append0"></div>

										</div>

										<div class="ls-row">
											<input type="button" class="ls-pull-right button button-default add-accordion-tab" value="Add" data-id="0" data-div="accordion">
										</div>

									</div>
								</div>
								<!-- boxes end -->


							</div>

						<?php } ?>

					</div>
				</div>
			</div>