<?php
$interview_experience_data=$interview_experience['args'][0];
$images_data=$interview_experience['args'][1];
$siteURL = get_site_url();
?>
<div class="interview-experience-div">
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_interview_experience" value="0">
			<input type="checkbox" name="enable_interview_experience" value="1" id="enable_interview_experience" <?php echo ((isset($interview_experience_data['enable_interview_experience']) && $interview_experience_data['enable_interview_experience']==1)?"checked":""); ?>><label for ="enable_interview_experience">Enable</label>
		</div>
	</div>
	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="interview_experience_title" size="30" value="<?php echo (isset($interview_experience_data['interview_experience_title']) ?$interview_experience_data['interview_experience_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>
	<div class="ls-row">
		<div class="ls-col-12">
			<label>Tabs type</label>
			<select name="interview_experience_tabtype">
				<option value="vertical" <?php echo ((isset($interview_experience_data['interview_experience_tabtype']) && $interview_experience_data['interview_experience_tabtype']=='vertical')?"selected":""); ?>>Vertical</option>
				<option value="horizontal" <?php echo (((isset($interview_experience_data['interview_experience_tabtype']) && $interview_experience_data['interview_experience_tabtype']=='horizontal') || !isset($interview_experience_data['interview_experience_tabtype']))?"selected":""); ?>>Horizontal</option>
			</select>
		</div>
	</div>
	<div class="ls-row interview-experience-div">
		<div class="ls-col-12 l1-interview-experience">
			<?php 
			if(isset($interview_experience_data['interview_experience_tab_icon'])){
				$tab_count=sizeof($interview_experience_data['interview_experience_tab_icon']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-tab" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="l1-interview-experience">Add Tab</button>
			</p>

			<div class="tab">
				<?php if(isset($interview_experience_data['interview_experience_tab_icon'])){
					$h = 1;
					for($i=0;$i<sizeof($interview_experience_data['interview_experience_tab_icon']);$i++){
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?> " type="button"  data-div="l1-interview-experience" data-tabname="tablinks<?php echo $i; ?>"><?php echo ((!empty($interview_experience_data['interview_experience_tab_title'][$i])) ? $interview_experience_data['interview_experience_tab_title'][$i] : "Tab ".$h); ?>
						<button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="interview-experience">&times;</button></button>
						<?php
						$h++;
					}
				}else{ ?>
					<button class="tablinks button-tablinks1 active" type="button"  data-div="l1-interview-experience" data-tabname="tablinks1">Tab 1 <button type='button' class='remove_tab_button' data-id='1' data-div="l1-interview-experience">&times;</button></button></button>
				<?php } ?>
			</div>

			<?php if(isset($interview_experience_data['interview_experience_tab_icon'])){
				$x=1;
				for($i=0;$i<sizeof($interview_experience_data['interview_experience_tab_icon']);$i++){
					?>
					<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">
						<div class="ls-row">
							<div class="ls-col-4">
								<label>Tab Icon</label>
							</div>
							<div class="ls-col-8">
								<?php

								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;
								if ( !empty( $interview_experience_data['interview_experience_tab_icon'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$interview_experience_data['interview_experience_tab_icon'][$i]]['image_url'];
									$value = $interview_experience_data['interview_experience_tab_icon'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';


								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l1-interview-experience_tab_icon[]" id="l1-interview-experience_tab_icon['.$value.']" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
							</div>
						</div>

						<div class="ls-row">
							<div class="ls-title ls-col-12">
								<input type="text" name="l1-interview-experience_tab_title[]" size="30" value="<?php echo (!empty($interview_experience_data['interview_experience_tab_title'][$i])?$interview_experience_data['interview_experience_tab_title'][$i]:""); ?>" class="w-100 ls-title-input" placeholder="Tab title...">
							</div>
						</div>
						<div class="ls-row">
							<div class="ls-col-4 ls-text-center">
								<?php

								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								if ( !empty( $interview_experience_data['interview_experience_icon_left'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$interview_experience_data['interview_experience_icon_left'][$i]]['image_url'];
									$value = $interview_experience_data['interview_experience_icon_left'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';


								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="l1-interview-experience_icon_left[]" id="l1-interview-experience_icon_left[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
								<div class="ls-pd-b-15">
									<input type="text" name="l1-interview-experience_tabtext[]" class="w-100" placeholder="text..." value="<?php echo (!empty($interview_experience_data['interview_experience_tabtext'][$i])?$interview_experience_data['interview_experience_tabtext'][$i]:""); ?>">
								</div>
								<div class="">
									<input type="text" name="l1-interview-experience_linktitle[]" class="w-100" placeholder="Link Title..." value="<?php echo (!empty($interview_experience_data['interview_experience_linktitle'][$i])?$interview_experience_data['interview_experience_linktitle'][$i]:""); ?>">
								</div>
								<div class="">
									<input type="text" name="l1-interview-experience_link[]" class="w-100" placeholder="Url..." value="<?php echo (!empty($interview_experience_data['interview_experience_link'][$i])?$interview_experience_data['interview_experience_link'][$i]:""); ?>">
								</div>

								<div class="">
									<select name="l1-interview-experience_btn_class[]" id="l1-interview-experience_btn_class" class="w-100">
										<?php echo get_classes_options((isset($interview_experience_data['interview_experience_btn_class'][$i])?$interview_experience_data['interview_experience_btn_class'][$i]:"")); ?>
									</select><br><br>
								</div>

								<div>
									<label>Button 2</label>
									<input type="text" class="w-100" name="l1-interview-experience_btn_text2[]" id="l1-interview-experience_btn_text2" placeholder="i.e. Begin Prepration" value="<?php echo (isset($interview_experience_data['interview_experience_btn_text2'][$i]) ?$interview_experience_data['interview_experience_btn_text2'][$i]:""); ?>">
									<input type="text" class="w-100" name="l1-interview-experience_btn_link2[]" id="l1-interview-experience_btn_link2" placeholder="i.e. www.prepinsta.com" value="<?php echo (isset($interview_experience_data['interview_experience_btn_link2'][$i]) ?$interview_experience_data['interview_experience_btn_link2'][$i]:""); ?>">
									<select name="l1-interview-experience_btn_class2[]" id="l1-interview-experience_btn_class2" class="w-100">
										<?php echo get_classes_options((isset($interview_experience_data['interview_experience_btn_class2'][$i])?$interview_experience_data['interview_experience_btn_class2'][$i]:"")); ?>
									</select><br><br>
								</div>

							</div>
							<div class="ls-col-8">
								<?php wp_editor((isset($interview_experience_data['interview_experience_textarea'][$i])?$interview_experience_data['interview_experience_textarea'][$i]:""), "l1-preparation_interviewexperienceEditorID".rand(), array("textarea_name"=>"l1-interview-experience_textarea[]","textarea_rows"=>8) ); ?>

							</div>

							<div class="ls-col-12">
								<?php wp_editor((isset($interview_experience_data['interview_experience_textarea2'][$i])?$interview_experience_data['interview_experience_textarea2'][$i]:""), "l1-preparation_interviewexperienceEditorID".rand(), array("textarea_name"=>"l1-interview-experience_textarea2[]","textarea_rows"=>8) ); ?>

							</div>

						</div>
					</div>
					<?php $x++; }}else{ ?>
						<div id="tablinks1" class="l1tabcontent" style="display:block;">
							<div class="ls-row">
								<div class="ls-col-4">
									<label>Tab Icon</label>
								</div>
								<div class="ls-col-8">
									<?php

									$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
									$width="100";
									$height="auto";
									$src = $default_image;
									$text = 'Upload';

									echo '
									<div class="upload">
									<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
									<div>
									<input type="hidden" name="l1-interview-experience_tab_icon[]" id="l1-interview-experience_tab_icon[]" value="" />
									<button type="submit" class="upload_image_button button">' . $text . '</button>
									<button type="submit" class="remove_image_button button">&times;</button>
									</div>
									</div>
									';
									?>
								</div>
							</div>

							<div class="ls-row">
								<div class="ls-title ls-col-12">
									<input type="text" name="l1-interview-experience_tab_title[]" size="30" value="" class="w-100 ls-title-input" placeholder="Tab title...">
								</div>
							</div>
							<div class="ls-row">
								<div class="ls-col-4 ls-text-center">
									<?php

									$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
									$width="100";
									$src = $default_image;
									$text = 'Upload';

									echo '
									<div class="upload">
									<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
									<div>
									<input type="hidden" name="l1-interview-experience_icon_left[]" id="l1-interview-experience_icon_left[]" value="" />
									<button type="submit" class="upload_image_button button">' . $text . '</button>
									<button type="submit" class="remove_image_button button">&times;</button>
									</div>
									</div>
									';
									?>
									<div class="ls-pd-b-15">
										<input type="text" name="l1-interview-experience_tabtext[]" class="w-100" placeholder="text..." value="">
									</div>
									<div class="">
										<input type="text" name="l1-interview-experience_linktitle[]" class="w-100" placeholder="Link Title..." value="">
									</div>
									<div class="">
										<input type="text" name="l1-interview-experience_link[]" class="w-100" placeholder="Url..." value="">
									</div>

									<div class="">
										<select name="l1-interview-experience_btn_class[]" id="l1-interview-experience_btn_class" class="w-100">
											<?php echo get_classes_options(); ?>
										</select><br><br>
									</div>
									<div>
										<label>Button 2</label>
										<input type="text" class="w-100" name="l1-interview-experience_btn_text2[]" id="l1-interview-experience_btn_text2" placeholder="i.e. Begin Prepration" value="">
										<input type="text" class="w-100" name="l1-interview-experience_btn_link2[]" id="l1-interview-experience_btn_link2" placeholder="i.e. www.prepinsta.com" value="">
										<select name="l1-interview-experience_btn_class2[]" id="l1-interview-experience_btn_class2" class="w-100">
											<?php echo get_classes_options(); ?>
										</select><br><br>
									</div>

								</div>

								<div class="ls-col-8">
									<?php wp_editor("", "l1-interviewexperiencemceEditorID".rand(), array("textarea_name"=>"l1-interview-experience_textarea[]","textarea_rows"=>8) ); ?>
								</div>

								<div class="ls-col-12">
									<?php wp_editor("", "l1-interviewexperiencemceEditorID".rand(), array("textarea_name"=>"l1-interview-experience_textarea2[]","textarea_rows"=>8) ); ?>
								</div>

							</div>
						</div>
					<?php } ?>

				</div>
			</div>

		</div>