(function() {
    tinymce.PluginManager.add( 'columns', function( editor, url ) {

        editor.addButton('columns', {
            title: 'Insert Column',
            cmd: 'columns',
            image: url + '/editor-image/columns-layout.png',
        });

        jQuery(".editormodal").css("display","block");

    });
})();

jQuery( document ).ready(function() {
    jQuery('.editormodal-content img').click(function() {
        var selected_column=jQuery(this).data("id");
        if(selected_column=="1"){
            var column='<div class="column-1"></div>';
        }else if(selected_column=="2"){
            var column='<div class="column-2"></div>';
        }else if(selected_column=="3"){
            var column='<div class="column-3"></div>';
        }else if(selected_column=="4"){
            var column='<div class="column-4"></div>';
        }
    });
});

var modal = document.getElementById('myModal');

var btn = document.getElementById("myBtn");

var span = document.getElementsByClassName("close")[0];

btn.onclick = function() {
    modal.style.display = "block";
}

span.onclick = function() {
    modal.style.display = "none";
}

window.onclick = function(event) {
    if (event.target == modal) {
        modal.style.display = "none";
    }
}