<?php
$interview_preparation_data=$interview_preparation['args'][0];
$images_data=$interview_preparation['args'][1];
$siteURL = get_site_url();
?>
<div class="interview-preparation-div">
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="l1-enable-interview-preparation" value="0">
			<input type="checkbox" name="l1-enable-interview-preparation" value="1" id="enable-interview-preparation" <?php echo ((isset($interview_preparation_data['enable_interview_preparation']) && $interview_preparation_data['enable_interview_preparation']==1)?"checked":""); ?>><label for ="enable-interview-preparation">Enable</label>
		</div>
	</div>
	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="interview_preparation_title" size="30" value="<?php echo (isset($interview_preparation_data['interview_preparation_title']) ?$interview_preparation_data['interview_preparation_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row interview-preparation-div">
		<div class="ls-col-4">
			<div>
				<?php

				$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
				$width="100";
				$height="auto";
				$src = $default_image;
				if ( !empty( $interview_preparation_data['interview_preparation_tab_icon'] ) ) {
					$src = $siteURL. '/wp-content/uploads/'.$images_data[$interview_preparation_data['interview_preparation_tab_icon']]['image_url'];
					$value = $interview_preparation_data['interview_preparation_tab_icon'];
				} else {
					$src = $default_image;
					$value = '';
				}
				$text = 'Upload';


				echo '
				<div class="upload">
				<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
				<div>
				<input type="hidden" name="l1-interview-preparation-tab-icon" id="l1-interview-preparation_tab_icon" value="'.$value.'" />
				<button type="submit" class="upload_image_button button">' . $text . '</button>
				<button type="submit" class="remove_image_button button">&times;</button>
				</div>
				</div>
				';
				?>
			</div>
			<br>
			<div class="">
				<input type="text" name="l1-interview-preparation_tabtext" class="w-100" placeholder="text..."  value="<?php echo ((isset($interview_preparation_data['preparation_tabtext']) && !empty($interview_preparation_data['preparation_tabtext']))?$interview_preparation_data['preparation_tabtext']:""); ?>"><br><br>
			</div>
			<div class="">
				<label>Button 1</label>
				<input type="text" name="l1-interview-preparation_linktitle" class="w-100" placeholder="Link Title..."  value="<?php echo ((isset($interview_preparation_data['preparation_linktitle']) && !empty($interview_preparation_data['preparation_linktitle']))?$interview_preparation_data['preparation_linktitle']:""); ?>">
			</div>
			<div class="">
				<input type="text" name="l1-interview-preparation_link" class="w-100" placeholder="Url..."  value="<?php echo ((isset($interview_preparation_data['preparation_link']) && !empty($interview_preparation_data['preparation_link']))?$interview_preparation_data['preparation_link']:""); ?>">
			</div>
			<div class="">
				<select name="interview_preparation_btn_class" id="interview_preparation_btn_class" class="w-100">
					<?php echo get_classes_options((isset($interview_preparation_data['interview_preparation_btn_class']) ? $interview_preparation_data['interview_preparation_btn_class'] : "")); ?>
				</select><br><br>
			</div>

			<div>
				<label>Button 2</label>
				<input type="text" class="w-100" name="interview_preparation_btn_text2" id="interview_preparation_btn_text2" placeholder="i.e. Begin Prepration" value="<?php echo (isset($interview_preparation_data['interview_preparation_btn_text2']) ?$interview_preparation_data['interview_preparation_btn_text2']:""); ?>">
				<input type="text" class="w-100" name="interview_preparation_btn_link2" id="interview_preparation_btn_link2" placeholder="i.e. www.prepinsta.com" value="<?php echo (isset($interview_preparation_data['interview_preparation_btn_link2']) ?$interview_preparation_data['interview_preparation_btn_link2']:""); ?>">
				<select name="interview_preparation_btn_class2" id="interview_preparation_btn_class2" class="w-100">
					<?php echo get_classes_options((isset($interview_preparation_data['interview_preparation_btn_class2']) ? $interview_preparation_data['interview_preparation_btn_class2'] : "")); ?>
				</select><br><br>
			</div>

		</div>
		<div class="ls-col-8">
			<?php wp_editor((isset($interview_preparation_data['interview_preparation'])?$interview_preparation_data['interview_preparation']:""), "l1-interview_preparationEditorID", array("textarea_name"=>"l1-interview_preparation","textarea_rows"=>8) ); ?>
		</div>
	</div>

</div>