<?php
require_once dirname( __FILE__ )."../../../js.php";
$top_description=$top_desc['args'][0];
$images_data=$top_desc['args'][1];
$siteURL = get_site_url();
?>

<div class="top-desc-div">
	<input type="hidden" name="level_type" value="l1-page">
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable-description" value="0">
			<input type="checkbox" name="enable-description" value="1" id="enable-description" <?php echo ((isset($top_description['enable_top_desc']) && $top_description['enable_top_desc']==1)?"checked":""); ?>><label for ="enable-description">Enable</label>
		</div>
	</div>
	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="top_description_title" size="30" class="w-100 ls-title-input" value="<?php echo (isset($top_description['top_description_title'])?$top_description['top_description_title']:""); ?>">
		</div>
	</div>
	<div class="ls-row">
		<div class="ls-col-8">
			<?php wp_editor((isset($top_description['topdescription'])?$top_description['topdescription']:""), "topdescription", array("textarea_rows"=>8) ); ?>
		</div>
		<div class="ls-col-4">
		<div>
			<?php
			$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
			$width="200";
			$src = $default_image;

			if ( !empty( $top_description['topdescription_image'] ) ) {
				$src = $siteURL. '/wp-content/uploads/'.$images_data[$top_description['topdescription_image']]['image_url'];
				$value = $top_description['topdescription_image'];
			} else {
				$src = $default_image;
				$value = '';
			}

			$text = 'Upload';

			echo '
			<div class="upload">
			<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="px" />
			<div>
			<input type="hidden" name="topdescription_image" id="topdescription_image" value="'.$value.'" />
			<button type="submit" class="upload_image_button button">' . $text . '</button>
			<button type="submit" class="remove_image_button button">&times;</button>
			</div>
			</div>
			';
			?>
		</div>
		<div>
			<input type="text" name="top_desc_image_b_title" value="<?php echo (isset($top_description['top_desc_image_b_title'])?$top_description['top_desc_image_b_title']:""); ?>">
		</div>
		</div>
	</div>
	
	<div class="ls-row">
		<div class="ls-col-3 ls-text-center">
			<div>
				<input type="text" name="top_desc_section_1" size="30" value="<?php echo (isset($top_description['top_desc_section_1'])?$top_description['top_desc_section_1']:""); ?>" placeholder="Section" class="w-90">
			</div>
			<div>
				<input name="top_desc_section_1_1" placeholder="4" class="w-90" value="<?php echo (isset($top_description['top_desc_section_1_1'])?$top_description['top_desc_section_1_1']:""); ?>">
			</div>
		</div>
		<div class="ls-col-3 ls-text-center">
			<div>
				<input type="text" name="top_desc_section_2" size="30" value="<?php echo (isset($top_description['top_desc_section_2'])?$top_description['top_desc_section_2']:""); ?>" placeholder="Time Duration" class="w-90">
			</div>
			<div>
				<input name="top_desc_section_2_2" placeholder="95 Minute" class="w-90" value="<?php echo (isset($top_description['top_desc_section_2_2'])?$top_description['top_desc_section_2_2']:""); ?>">
			</div>
		</div>
		<div class="ls-col-3 ls-text-center">
			<div>
				<input type="text" name="top_desc_section_3" size="30" value="<?php echo (isset($top_description['top_desc_section_3'])?$top_description['top_desc_section_3']:""); ?>" placeholder="Adaptive/non Adaptive" class="w-90">
			</div>
			<div>
				<input name="top_desc_section_3_3" placeholder="Infosys is Adaptive" class="w-90" value="<?php echo (isset($top_description['top_desc_section_3_3'])?$top_description['top_desc_section_3_3']:""); ?>">
			</div>
		</div>
		<div class="ls-col-3 ls-text-center">
			<div>
				<input type="text" name="top_desc_section_4" size="30" value="<?php echo (isset($top_description['top_desc_section_4'])?$top_description['top_desc_section_4']:""); ?>" placeholder="Negative Marking" class="w-90">
			</div>
			<div>
				<input name="top_desc_section_4_4" placeholder="Y/N" class="w-90" value="<?php echo (isset($top_description['top_desc_section_4_4'])?$top_description['top_desc_section_4_4']:""); ?>">
			</div>
		</div>
	</div>
	
	<div class="ls-row">
		<div class="ls-col-6 ls-text-center">
			<div>
				<input type="text" name="top_desc_section_5" size="30" value="<?php echo (isset($top_description['top_desc_section_5'])?$top_description['top_desc_section_5']:""); ?>" placeholder="Applicants" class="w-45">
				<input name="top_desc_section_5_5" placeholder="2,50,000" class="w-45" value="<?php echo (isset($top_description['top_desc_section_5_5'])?$top_description['top_desc_section_5_5']:""); ?>">
			</div>
		</div>
		<div class="ls-col-6 ls-text-center">
			<div>
				<input type="text" name="top_desc_section_6" size="30" value="<?php echo (isset($top_description['top_desc_section_6'])?$top_description['top_desc_section_6']:""); ?>" placeholder="Job Opening" class="w-45">
				<input name="top_desc_section_6_6" placeholder="1200" class="w-45" value="<?php echo (isset($top_description['top_desc_section_6_6'])?$top_description['top_desc_section_6_6']:""); ?>">
			</div>
		</div>
	</div>
</div>