<?php
function all_meta_boxes_l4() {
	if(isset($_GET['action']) && $_GET['action']=='edit'){
		$page_type=get_post_meta($_GET['post'],'_ls_level_type',true);
	}
	if((isset($_GET['leveltype']) && $_GET['leveltype']=="l4") || (isset($page_type) && $page_type=='l4-page')){
		?>
		<style>#postdivrich{display:block;}</style>
		<?php
		if(get_post_meta(get_the_ID(),'ls_page_data',true)){
			$l4_page_data=get_post_meta(get_the_ID(),'ls_page_data');
		}else{
			$l4_page_data[0]="";
		}
		if(isset($l4_page_data[0]['data_quiz'])){$quiz=$l4_page_data[0]['data_quiz'];}else{$quiz="";}
		if(isset($l4_page_data[0]['rightwidget'])){$rightwidget=$l4_page_data[0]['rightwidget'];}else{$rightwidget="";}
		if(isset($l4_page_data[0]['liveclasses'])){$liveclasses=$l4_page_data[0]['liveclasses'];}else{$liveclasses="";}
		if(isset($l4_page_data[0]['relatedpages'])){$relatedpages=$l4_page_data[0]['relatedpages'];}else{$relatedpages="";}
		if(isset($l4_page_data[0]['bannerimages'])){$bannerimages=$l4_page_data[0]['bannerimages'];}else{$bannerimages="";}
	
		$image_ids_array=array();
		if(isset($rightwidget['rightwidget_icon']) && !empty($rightwidget['rightwidget_icon'])){
			$array = array_filter($rightwidget['rightwidget_icon']);
			foreach ($array as $rightwidget_icon) {
				$image_ids_array[]=$rightwidget_icon;
			}
		}
		if(isset($liveclasses['liveclasses_left_image']) && !empty($liveclasses['liveclasses_left_image'])){
			$array = array_filter($liveclasses['liveclasses_left_image']);
			foreach ($array as $liveclasses_left_image) {
				$image_ids_array[]=$liveclasses_left_image;
			}
		}
		if(isset($liveclasses['liveclasses_icon']) && !empty($liveclasses['liveclasses_icon'])){
			$array = array_map('array_filter', $liveclasses['liveclasses_icon']);
			$array = array_filter($array);
			foreach ($array as $liveclasses_icon) {
				foreach ($liveclasses_icon as $icon) {
					$image_ids_array[]=$icon;
				}
			}
		}
		if(isset($bannerimages['bannerimages_img']) && !empty($bannerimages['bannerimages_img'])){
			$array = array_filter($bannerimages['bannerimages_img']);
			foreach ($array as $bannerimages_img) {
				$image_ids_array[]=$bannerimages_img;
			}
		}

		if(isset($image_ids_array) && !empty($image_ids_array)){
			$images_data = get_image_data_func($image_ids_array);
		}else{
			$images_data=array();
		}

		add_meta_box( 'l4-quiz'.rand(), 'Select Quiz', 'l4_quiz', 'page','side','' , $quiz );
		add_meta_box( 'l4-rightwidget'.rand(), 'Right Widget', 'l4_rightwidget', 'page','after-editor','high' , array($rightwidget, $images_data) );
		add_meta_box( 'l4-liveclasses'.rand(), 'Live Classes', 'l4_liveclasses', 'page','after-editor','high' , array($liveclasses, $images_data) );
		add_meta_box( 'l4-relatedpages'.rand(), 'Related Pages', 'l4_relatedpages', 'page','after-editor','high' , $relatedpages );
		add_meta_box( 'l4-bannerimages'.rand(), 'Banner Images', 'l4_bannerimages', 'page','after-editor','high' , array($bannerimages, $images_data) );
	}
}
if(isset($_GET['post'])){
$postID=$_GET['post'];
$elementor_page = get_post_meta( $postID, '_elementor_edit_mode', true );
}
if ( isset($elementor_page) && ! !$elementor_page ) {
}else{
	add_action( 'add_meta_boxes', 'all_meta_boxes_l4' );
}

function l4_quiz($post, $quiz){
	require_once  LEVEL_PAGES_DIRECTORY  . "/l4page/parts/quiz.php";
}
function l4_rightwidget($post, $rightwidget){
	require_once  LEVEL_PAGES_DIRECTORY  . "/l4page/parts/rightwidget.php";
}
function l4_liveclasses($post, $liveclasses){
	require_once  LEVEL_PAGES_DIRECTORY  . "/l4page/parts/liveclasses.php";
}
function l4_relatedpages($post, $relatedpages){
	require_once  LEVEL_PAGES_DIRECTORY  . "/l4page/parts/relatedpages.php";
}
function l4_bannerimages($post, $bannerimages){
	require_once  LEVEL_PAGES_DIRECTORY  . "/l4page/parts/bannerimages.php";
}
?>