<?php
$homebottom_data=$homebottom['args'][0];
$images_data=$homebottom['args'][1];
$siteURL = get_site_url();
?>
<div class="homebottom-div">

	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_homebottom" value="0">
			<input type="checkbox" name="enable_homebottom" value="1" id="enable_homebottom" <?php echo ((isset($homebottom_data['enable_homebottom']) && $homebottom_data['enable_homebottom']==1)?"checked":""); ?>><label for ="enable_homebottom">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="homebottom_section_title" size="30" value="<?php echo (isset($homebottom_data['homebottom_section_title']) ?$homebottom_data['homebottom_section_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<label>Background Image</label>
			<?php
			$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
			$width="100";
			$height="auto";

			if ( !empty( $homebottom_data['homebottom_bg_image'] ) ) {
				$src = $siteURL. '/wp-content/uploads/'.$images_data[$homebottom_data['homebottom_bg_image']]['image_url'];
				$value = $homebottom_data['homebottom_bg_image'];
			} else {
				$src = $default_image;
				$value = '';
			}

			$text = 'Upload';

			echo '
			<div class="upload">
			<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
			<div>
			<input type="hidden" name="homebottom_bg_image" id="homebottom_bg_image" value="'.$value.'" />
			<button type="submit" class="upload_image_button button">' . $text . '</button>
			<button type="submit" class="remove_image_button button">&times;</button>
			</div>
			</div>
			';
			?>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-6 border-margin">
			<?php
			wp_editor((isset($homebottom_data['homebottom_textarea'])?$homebottom_data['homebottom_textarea']:""), "homebottom_editor".rand(), array("textarea_name"=>"homebottom_textarea","textarea_rows"=>8) );
			?>
		</div>

		<div class="ls-col-6 border-margin">

			<?php
			$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
			$src = $default_image;

			if ( !empty( $homebottom_data['homebottom_left_image'] ) ) {
				$src = $siteURL. '/wp-content/uploads/'.$images_data[$homebottom_data['homebottom_left_image']]['image_url'];
				$value = $homebottom_data['homebottom_left_image'];
			} else {
				$src = $default_image;
				$value = '';
			}

			$text = 'Upload';

			?>

			<div class="upload">
				<img data-src="<?php echo $default_image; ?>" src="<?php echo $src; ?>" width="100px" height="auto" />
				<div>
					<input type="hidden" name="homebottom_left_image" id="homebottom_left_image" value="<?php echo $value; ?>" />
					<button type="submit" class="upload_image_button button"><?php echo $text; ?></button>
					<button type="submit" class="remove_image_button button">&times;</button><br><br>
					<label>Button</label>
					<input type="text" class="w-100" name="homebottom_btn_text" id="homebottom_btn_text" placeholder="i.e. Begin Prepration" value="<?php echo (isset($homebottom_data['homebottom_btn_text']) ?$homebottom_data['homebottom_btn_text']:""); ?>">
					<input type="text" class="w-100" name="homebottom_btn_link" id="homebottom_btn_link" placeholder="i.e. www.prepinsta.com" value="<?php echo (isset($homebottom_data['homebottom_btn_link']) ?$homebottom_data['homebottom_btn_link']:""); ?>">
					<select name="homebottom_btn_class" id="homebottom_btn_class" class="w-100">
						<?php echo get_classes_options((isset($homebottom_data['homebottom_btn_class']) ? $homebottom_data['homebottom_btn_class'] : "")); ?>
					</select><br><br>

					<label>Button Tag</label>
					<input type="text" class="w-100" name="homebottom_btn_tag_text" id="homebottom_btn_tag_text" placeholder="i.e. Begin Prepration" value="<?php echo (isset($homebottom_data['homebottom_btn_tag_text']) ?$homebottom_data['homebottom_btn_tag_text']:""); ?>">
					<select name="homebottom_btn_tag_class" id="homebottom_btn_tag_class" class="w-100">
						<?php echo get_classes_options((isset($homebottom_data['homebottom_btn_tag_class']) ? $homebottom_data['homebottom_btn_tag_class'] : "")); ?>
					</select>
				</div>
			</div>

		</div>

	</div>

</div>