<?php
$studentsay_data=$studentsay['args'][0];
$images_data=$studentsay['args'][1];
$siteURL = get_site_url();
$studentsay_topic_1 = (isset($studentsay_data['studentsay_topic_1'])) ? $studentsay_data['studentsay_topic_1'] : "";
$studentsay_topic_2 = (isset($studentsay_data['studentsay_topic_2'])) ? $studentsay_data['studentsay_topic_2'] : "";
$studentsay_topic_3 = (isset($studentsay_data['studentsay_topic_3'])) ? $studentsay_data['studentsay_topic_3'] : "";
?>
<div class="studentsay-div">
	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_studentsay" value="0">
			<input type="checkbox" name="enable_studentsay" value="1" id="enable_studentsay" <?php echo ((isset($studentsay_data['enable_studentsay']) && $studentsay_data['enable_studentsay']==1)?"checked":""); ?>><label for ="enable_studentsay">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-6">

			<label>Section Icon</label>
			<?php
			$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
			$width="100";
			$height="auto";

			if ( !empty( $studentsay_data['studentsay_section_icon'] ) ) {
				$src = $siteURL. '/wp-content/uploads/'.$images_data[$studentsay_data['studentsay_section_icon']]['image_url'];
				$value = $studentsay_data['studentsay_section_icon'];
			} else {
				$src = $default_image;
				$value = '';
			}

			$text = 'Upload';

			echo '
			<div class="upload">
			<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
			<div>
			<input type="hidden" name="studentsay_section_icon" id="studentsay_section_icon" value="'.$value.'" />
			<button type="submit" class="upload_image_button button">' . $text . '</button>
			<button type="submit" class="remove_image_button button">&times;</button>
			</div>
			</div>
			';
			?>

			<input type="text" name="studentsay_section_title" size="30" value="<?php echo (isset($studentsay_data['studentsay_section_title']) ?$studentsay_data['studentsay_section_title']:""); ?>" class="w-100" placeholder="Section title i.e. What students say">
		</div>

		<div class="ls-title ls-col-6">
			<h2>Right Section</h2>
			<div class="ls-row">
				<div class="ls-col-12">
					<input type="text" name="studentsay_right_tag" size="30" class="w-100" placeholder="i.g. Prime" value="<?php echo (isset($studentsay_data['studentsay_right_tag']) ?$studentsay_data['studentsay_right_tag']:""); ?>">
					<select name="studentsay_right_tag_css" id="studentsay_right_tag_css" class="w-100">
						<?php echo get_classes_options((isset($studentsay_data['studentsay_right_tag_css']) ? $studentsay_data['studentsay_right_tag_css'] : "")); ?>
					</select>
				</div>
			</div>

			<div class="ls-row">
				<div class="ls-col-2">
					<?php
					$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
					$width="100";
					$height="auto";

					if ( !empty( $studentsay_data['studentsay_icon_1'] ) ) {
						$src = $siteURL. '/wp-content/uploads/'.$images_data[$studentsay_data['studentsay_icon_1']]['image_url'];
						$value = $studentsay_data['studentsay_icon_1'];
					} else {
						$src = $default_image;
						$value = '';
					}

					$text = 'Upload';

					echo '
					<div class="upload">
					<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
					<div>
					<input type="hidden" name="studentsay_icon_1" id="studentsay_icon_1" value="'.$value.'" />
					<button type="submit" class="upload_image_button button">' . $text . '</button>
					<button type="submit" class="remove_image_button button">&times;</button>
					</div>
					</div>
					';
					?>
				</div>

				<div class="ls-col-10">
					<?php wp_editor($studentsay_topic_1, "studentsaymceEditorID".rand(), array("textarea_name"=>"studentsay_topic_1","textarea_rows"=>4) ); ?>
				</div>
			</div>

			<div class="ls-row">
				<div class="ls-col-2">
					<?php
					$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
					$width="100";
					$height="auto";

					if ( !empty( $studentsay_data['studentsay_icon_2'] ) ) {
						$src = $siteURL. '/wp-content/uploads/'.$images_data[$studentsay_data['studentsay_icon_2']]['image_url'];
						$value = $studentsay_data['studentsay_icon_2'];
					} else {
						$src = $default_image;
						$value = '';
					}

					$text = 'Upload';

					echo '
					<div class="upload">
					<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
					<div>
					<input type="hidden" name="studentsay_icon_2" id="studentsay_icon_2" value="'.$value.'" />
					<button type="submit" class="upload_image_button button">' . $text . '</button>
					<button type="submit" class="remove_image_button button">&times;</button>
					</div>
					</div>
					';
					?>
				</div>
				<div class="ls-col-10">
					<?php wp_editor($studentsay_topic_2, "studentsaymceEditorID".rand(), array("textarea_name"=>"studentsay_topic_2","textarea_rows"=>4) ); ?>
				</div>
			</div>

			<div class="ls-row">
				<div class="ls-col-2">
					<?php
					$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
					$width="100";
					$height="auto";

					if ( !empty( $studentsay_data['studentsay_icon_3'] ) ) {
						$src = $siteURL. '/wp-content/uploads/'.$images_data[$studentsay_data['studentsay_icon_3']]['image_url'];
						$value = $studentsay_data['studentsay_icon_3'];
					} else {
						$src = $default_image;
						$value = '';
					}

					$text = 'Upload';

					echo '
					<div class="upload">
					<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
					<div>
					<input type="hidden" name="studentsay_icon_3" id="studentsay_icon_3" value="'.$value.'" />
					<button type="submit" class="upload_image_button button">' . $text . '</button>
					<button type="submit" class="remove_image_button button">&times;</button>
					</div>
					</div>
					';
					?>
				</div>
				<div class="ls-col-10">
					<?php wp_editor($studentsay_topic_3, "studentsaymceEditorID".rand(), array("textarea_name"=>"studentsay_topic_3","textarea_rows"=>4) ); ?>
				</div>
			</div>

		</div>
	</div>

	<div class="ls-row studentsay-div">
		<div class="ls-col-12 studentsay">
			<?php 
			if(isset($studentsay_data['studentsay_student_name'])){
				$tab_count=sizeof($studentsay_data['studentsay_student_name']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-studentsay-carousel" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="studentsay">Add Carousel</button>
			</p>

			<div class="tab">
				<?php if(isset($studentsay_data['studentsay_student_name'])){
					$h = 1;
					for($i=0;$i<sizeof($studentsay_data['studentsay_student_name']);$i++){
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?>" type="button"  data-div="studentsay" data-tabname="tablinks<?php echo $i; ?>"><?php echo (isset($studentsay_data['studentsay_student_name'][$i]) && $studentsay_data['studentsay_student_name'][$i]!="")?$studentsay_data['studentsay_student_name'][$i]:"Carousel ".$h; ?><button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="studentsay">&times;</button></button>
						<?php
						$h++;
					}
				}else{ ?>
					<button class="tablinks button-tablinks1 active" type="button"  data-div="studentsay" data-tabname="tablinks1">Carousel 1 <button type='button' class='remove_tab_button' data-id='1' data-div="studentsay">&times;</button></button>
				<?php } ?>
			</div>
			<?php if(isset($studentsay_data['studentsay_student_name'])){
				$x= 1;
				for($i=0;$i<sizeof($studentsay_data['studentsay_student_name']);$i++){
					?>
					<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">


						<div class="ls-row">
							<h2>Student</h2>
							<div class="ls-col-4">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";

								if ( !empty( $studentsay_data['studentsay_student_image'][$i] ) ) {
									$src = $siteURL. '/wp-content/uploads/'.$images_data[$studentsay_data['studentsay_student_image'][$i]]['image_url'];
									$value = $studentsay_data['studentsay_student_image'][$i];
								} else {
									$src = $default_image;
									$value = '';
								}

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="studentsay_student_image[]" id="studentsay_student_image[]" value="'.$value.'" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>

								<input type="text" name="studentsay_student_name[]" class="w-100" placeholder="i.e. Carousel 1" value="<?php echo (!empty($studentsay_data['studentsay_student_name'][$i])?$studentsay_data['studentsay_student_name'][$i]:""); ?>">


								<h2>Company</h2>
								<div class="ls-col-12">
									<?php
									$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
									$width="100";
									$height="auto";

									if ( !empty( $studentsay_data['studentsay_student_company_image'][$i] ) ) {
										$src = $siteURL. '/wp-content/uploads/'.$images_data[$studentsay_data['studentsay_student_company_image'][$i]]['image_url'];
										$value = $studentsay_data['studentsay_student_company_image'][$i];
									} else {
										$src = $default_image;
										$value = '';
									}

									$text = 'Upload';

									echo '
									<div class="upload">
									<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
									<div>
									<input type="hidden" name="studentsay_student_company_image[]" id="studentsay_student_company_image" value="'.$value.'" />
									<button type="submit" class="upload_image_button button">' . $text . '</button>
									<button type="submit" class="remove_image_button button">&times;</button>
									</div>
									</div>
									';
									?>
									<input type="text" name="studentsay_student_company[]" class="w-100" placeholder="Company Name i.e. TCS"  value="<?php echo (!empty($studentsay_data['studentsay_student_company'][$i])?$studentsay_data['studentsay_student_company'][$i]:""); ?>">

								</div>

								<h2>Tag</h2>
								<div class="ls-col-12">

									<input type="text" name="studentsay_student_tag[]" class="w-100" placeholder="Tag i.e. Prime" value="<?php echo (!empty($studentsay_data['studentsay_student_tag'][$i])?$studentsay_data['studentsay_student_tag'][$i]:""); ?>">
									<select name="studentsay_student_tag_css[]" id="studentsay_student_tag_css" class="w-100">
										<?php echo get_classes_options((isset($studentsay_data['studentsay_student_tag_css'][$i])?$studentsay_data['studentsay_student_tag_css'][$i]:"")); ?>
									</select>

								</div>


							</div>

							<div class="ls-col-8">
								<?php wp_editor((isset($studentsay_data['studentsay_textarea'][$i])?$studentsay_data['studentsay_textarea'][$i]:""), "studentsaymceEditorID".$x, array("textarea_name"=>"studentsay_textarea[]","textarea_rows"=>8) ); ?>
							</div>

						</div>
					</div>
					<?php $x++; } ?>
				<?php }else{ ?>

					<div id="tablinks1" class="l1tabcontent" style="display:block;">


						<div class="ls-row">
							<h2>Student</h2>
							<div class="ls-col-4">
								<?php
								$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
								$width="100";
								$height="auto";
								$src = $default_image;

								$text = 'Upload';

								echo '
								<div class="upload">
								<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
								<div>
								<input type="hidden" name="studentsay_student_image[]" id="studentsay_student_image[]" value="" />
								<button type="submit" class="upload_image_button button">' . $text . '</button>
								<button type="submit" class="remove_image_button button">&times;</button>
								</div>
								</div>
								';
								?>
								<input type="text" name="studentsay_student_name[]" class="w-100" placeholder="Student Name i.e. James">

								<h2>Company</h2>
								<div class="ls-col-12">
									<?php
									$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
									$width="100";
									$height="auto";
									$src = $default_image;

									$text = 'Upload';

									echo '
									<div class="upload">
									<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
									<div>
									<input type="hidden" name="studentsay_student_company_image[]" id="studentsay_student_company_image" value="" />
									<button type="submit" class="upload_image_button button">' . $text . '</button>
									<button type="submit" class="remove_image_button button">&times;</button>
									</div>
									</div>
									';
									?>
									<input type="text" name="studentsay_student_company[]" class="w-100" placeholder="Company Name i.e. TCS">

								</div>

								<h2>Tag</h2>
								<div class="ls-col-12">

									<input type="text" name="studentsay_student_tag[]" class="w-100" placeholder="Tag i.e. Prime">
									<select name="studentsay_student_tag_css[]" id="studentsay_student_tag_css" class="w-100">
										<?php echo get_classes_options(); ?>
									</select>

								</div>

							</div>

							<div class="ls-col-8">
								<?php wp_editor("", "studentsaymceEditorID1", array("textarea_name"=>"studentsay_textarea[]","textarea_rows"=>8) ); ?>
							</div>

						</div>
					</div>
				<?php } ?>

			</div>
		</div>
	</div>