<?php
$faq_data=$faq['args'][0];
$images_data=$faq['args'][1];
$siteURL = get_site_url();
?>
<div class="sample-div">

	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_faq" value="0">
			<input type="checkbox" name="enable_faq" value="1" id="enable_faq" <?php echo ((isset($faq_data['enable_faq']) && $faq_data['enable_faq']==1)?"checked":""); ?>><label for ="enable_faq">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="faq_title" size="30" value="<?php echo (isset($faq_data['faq_title']) ?$faq_data['faq_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-4">
			<label>Banner Image</label>
		</div>
		<div class="ls-col-8">
			<?php

			$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
			$width="100";
			$height="auto";
			$src = $default_image;

			if ( !empty( $faq_data['faq_banner_image'] ) ) {
				$src = $siteURL. '/wp-content/uploads/'.$images_data[$faq_data['faq_banner_image']]['image_url'];
				$value = $faq_data['faq_banner_image'];
			} else {
				$src = $default_image;
				$value = '';
			}

			$text = 'Upload';

			echo '
			<div class="upload">
			<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
			<div>
			<input type="hidden" name="faq_banner_image" id="faq_banner_image" value="'.$value.'" />
			<button type="submit" class="upload_image_button button">' . $text . '</button>
			<button type="submit" class="remove_image_button button">&times;</button>
			</div>
			</div>
			';
			?>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-12">
			<h3>FAQ's</h3>
		</div>
	</div>

	<div class="ls-row faq-div-main">
		<input type="hidden" name="sample-id" class="sample-id" value="1">
		<?php if(isset($faq_data['faq_question'])){
			$x = 1;
			for($i=0;$i<sizeof($faq_data['faq_question']);$i++){
				?>
				<div class="samples border-margin">
					<?php if($i != 0){ ?>
					<button class="ls-pull-right button button-default" type="button" onclick="removeParent(this)">Remove</button>
					<?php } ?>
					<div class="ls-row">
						<div class="ls-title ls-col-12">
							<input type="text" name="faq_question[]" size="30" value="<?php echo (isset($faq_data['faq_question'][$i]) ?$faq_data['faq_question'][$i]:""); ?>" class="w-100 ls-title-input">
						</div>
					</div>
					<div class="ls-row">
						<div class="ls-col-12">
							<?php wp_editor((isset($faq_data['faq_answer'][$i])?$faq_data['faq_answer'][$i]:""), "mceEditorID".$x, array("textarea_name"=>"faq_answer[]","textarea_rows"=>4) ); ?>
						</div>
					</div>
				</div>
				<?php $x++; }}else{ ?>
					<div class="samples border-margin">
						<div class="ls-row">
							<div class="ls-title ls-col-12">
								<input type="text" name="faq_question[]" size="30" value="" class="w-100 ls-title-input">
							</div>
						</div>
						<div class="ls-row">
							<div class="ls-col-12">
								<?php wp_editor("", "faq_answer", array("textarea_name"=>"faq_answer[]","textarea_rows"=>4) ); ?>
							</div>
						</div>
					</div>

				<?php } ?>
			</div>

			<div class="ls-row">
				<button type="button" class="button button-default add-faq-input ls-pull-right" data-id="1">Add +</button>
			</div>

			<div class="ls-row">
				<div class="ls-col-12">
					<?php wp_editor((isset($faq_data['faq_textarea'])?$faq_data['faq_textarea']:""), "faq_textarea", array("textarea_name"=>"faq_textarea","textarea_rows"=>4) ); ?>
				</div>
			</div>

		</div>