<?php
$additionalinfo_data=$additionalinfo['args'][0];
$images_data=$additionalinfo['args'][1];
$siteURL = get_site_url();
?>
<div class="alternate-segment-div">

	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_additionalinfo" value="0">
			<input type="checkbox" name="enable_additionalinfo" value="1" id="enable_additionalinfo" <?php echo ((isset($additionalinfo_data['enable_additionalinfo']) && $additionalinfo_data['enable_additionalinfo']==1)?"checked":""); ?>><label for ="enable_additionalinfo">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="additionalinfo_title" size="30" value="<?php echo (isset($additionalinfo_data['additionalinfo_title']) ?$additionalinfo_data['additionalinfo_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-12">
			<label>Tabs type</label>
			<select name="additionalinfo_tabtype">
				<option value="vertical" <?php echo ((isset($additionalinfo_data['additionalinfo_tabtype']) && $additionalinfo_data['additionalinfo_tabtype']=='vertical')?"selected":""); ?>>Vertical</option>
				<option value="horizontal" <?php echo (((isset($additionalinfo_data['additionalinfo_tabtype']) && $additionalinfo_data['additionalinfo_tabtype']=='horizontal') || !isset($additionalinfo_data['additionalinfo_tabtype']))?"selected":""); ?>>Horizontal</option>
			</select>
		</div>
	</div>

	<div class="ls-row alternate-segment-div">
		<div class="ls-col-12 additionalinfo">

			<div class="tab">
				<button class="tablinks button-tablinks1 active" type="button"  data-div="additionalinfo" data-tabname="tablinks1"><?php echo ((isset($additionalinfo_data['additionalinfo_quants_tab_title']))?$additionalinfo_data['additionalinfo_quants_tab_title']:"Quants"); ?></button>
				<button class="tablinks button-tablinks2" type="button"  data-div="additionalinfo" data-tabname="tablinks2"><?php echo ((isset($additionalinfo_data['additionalinfo_package_tab_title']))?$additionalinfo_data['additionalinfo_package_tab_title']:"Make It Package"); ?></button>
				<button class="tablinks button-tablinks3" type="button"  data-div="additionalinfo" data-tabname="tablinks3"><?php echo ((isset($additionalinfo_data['additionalinfo_online_tab_title']))?$additionalinfo_data['additionalinfo_online_tab_title']:"Online Classes"); ?></button>
			</div>

			<!-- quants -->
			<div id="tablinks1" class="l1tabcontent" style="display:block;">

				<div class="ls-row">

					<div class="ls-col-12">
						<input type="checkbox" name="enable_additionalinfo_quants" value="1" id="enable_additionalinfo_quants" <?php echo ((isset($additionalinfo_data['enable_additionalinfo_quants']) && $additionalinfo_data['enable_additionalinfo_quants']==1)?"checked":""); ?>><label for ="enable_additionalinfo_quants">Enable</label>
					</div>

					<div class="ls-col-12">
						<label>Tab Title</label>
						<input type="text" name="additionalinfo_quants_tab_title" id="additionalinfo_quants_tab_title" class="w-100" value="<?php echo ((isset($additionalinfo_data['additionalinfo_quants_tab_title']))?$additionalinfo_data['additionalinfo_quants_tab_title']:"Quants"); ?>">
					</div>

					<div class="ls-row">
						<div class="ls-col-5">
							<label>Tab Icon</label>
						</div>
						<div class="ls-col-6">
							<?php
							$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
							$width="100";
							$height="auto";
							$src = $default_image;

							if ( !empty( $additionalinfo_data['additionalinfo_quants_tab_icon'] ) ) {
								$src = $siteURL. '/wp-content/uploads/'.$images_data[$additionalinfo_data['additionalinfo_quants_tab_icon']]['image_url'];
								$value = $additionalinfo_data['additionalinfo_quants_tab_icon'];
							} else {
								$src = $default_image;
								$value = '';
							}

							$text = 'Upload';

							echo '
							<div class="upload">
							<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
							<div>
							<input type="hidden" name="additionalinfo_quants_tab_icon" id="additionalinfo_quants_tab_icon" value="'.$value.'" />
							<button type="submit" class="upload_image_button button">' . $text . '</button>
							<button type="submit" class="remove_image_button button">&times;</button>
							</div>
							</div>
							';
							?>
						</div>
					</div>
					<div class="ls-col-12">
						<?php wp_editor((isset($additionalinfo_data['additionalinfo_quants_textarea'])?$additionalinfo_data['additionalinfo_quants_textarea']:""), "additionalinfomceEditorID1", array("textarea_name"=>"additionalinfo_quants_textarea","textarea_rows"=>8) ); ?>
					</div>

				</div>

			</div>

			<!-- package -->
			<div id="tablinks2" class="l1tabcontent" style="display:none;">

				<div class="ls-row">

					<div class="ls-col-12">
						<input type="checkbox" name="enable_additionalinfo_package" value="1" id="enable_additionalinfo_package" <?php echo ((isset($additionalinfo_data['enable_additionalinfo_package']) && $additionalinfo_data['enable_additionalinfo_package']==1)?"checked":""); ?>><label for ="enable_additionalinfo_package">Enable</label>
					</div>

					<div class="ls-col-12">
						<label>Tab Title</label>
						<input type="text" name="additionalinfo_package_tab_title" id="additionalinfo_package_tab_title" class="w-100" value="<?php echo ((isset($additionalinfo_data['additionalinfo_package_tab_title']))?$additionalinfo_data['additionalinfo_package_tab_title']:"Make It Package"); ?>">
					</div>

					<div class="ls-row">
						<div class="ls-col-5">
							<label>Tab Icon</label>
						</div>
						<div class="ls-col-6">
							<?php
							$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
							$width="100";
							$height="auto";
							$src = $default_image;

							if ( !empty( $additionalinfo_data['additionalinfo_package_tab_icon'] ) ) {
								$src = $siteURL. '/wp-content/uploads/'.$images_data[$additionalinfo_data['additionalinfo_package_tab_icon']]['image_url'];
								$value = $additionalinfo_data['additionalinfo_package_tab_icon'];
							} else {
								$src = $default_image;
								$value = '';
							}

							$text = 'Upload';

							echo '
							<div class="upload">
							<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
							<div>
							<input type="hidden" name="additionalinfo_package_tab_icon" id="additionalinfo_package_tab_icon" value="'.$value.'" />
							<button type="submit" class="upload_image_button button">' . $text . '</button>
							<button type="submit" class="remove_image_button button">&times;</button>
							</div>
							</div>
							';
							?>
						</div>
					</div>

					<div class="ls-col-12">

						<div class="ls-row ai-pricetable-div">
							<div class="ls-col-12">

								<!-- boxes -->
								<div class="section-creation-div-main">
									<div class="section-creation-div-per">
										<div class="ls-row">
											<?php if(isset($additionalinfo_data['ai_pricetable_box_title']) && !empty($additionalinfo_data['ai_pricetable_box_title'])){
												$x =1;
												for($i=0;$i<sizeof($additionalinfo_data['ai_pricetable_box_title']);$i++){
													?>

													<div class="ls-col-4 border-margin">
														<?php if($i != 0){ ?>
															<button class="ls-pull-right button button-default" type="button" onclick="removeParent(this)">&times;</button>
														<?php } ?>
														<div class="ls-pd-b-15">
															<input type="text" value="<?php echo $additionalinfo_data['ai_pricetable_box_title'][$i]; ?>" name="ai_pricetable_box_title[]"  placeholder="Section Title i.e. ">
														</div>
														<?php
														wp_editor((isset($additionalinfo_data['ai_pricetable_box_value'][$i])?$additionalinfo_data['ai_pricetable_box_value'][$i]:""), "ai_pricetable_box_editor".$x, array("textarea_name"=>"ai_pricetable_box_value[]","textarea_rows"=>8) );
														?>

														<div class="ls-row">
															<label>Button</label>
															<div class="ls-pd-b-15">
																<input type="text" value="<?php echo (isset($additionalinfo_data['ai_pricetable_button_title'][$i]) ?$additionalinfo_data['ai_pricetable_button_title'][$i]:""); ?>" name="ai_pricetable_button_title[]" placeholder="Title i.e. Buy Now" class="w-100">
																<input type="text" value="<?php echo (isset($additionalinfo_data['ai_pricetable_button_value'][$i]) ?$additionalinfo_data['ai_pricetable_button_value'][$i]:""); ?>" name="ai_pricetable_button_value[]" placeholder="URL i.e. https://prepinsta.com/" class="w-100">
															</div>
														</div>

													</div>



													<?php $x++; } }else{
														?>

														<div class="ls-col-4 border-margin">
															<div class="ls-pd-b-15">
																<input type="text" value="" name="ai_pricetable_box_title[]"  placeholder="Section Title i.e. ">
															</div>
															<?php
															wp_editor("", "ai_pricetable_box_editor".rand(), array("textarea_name"=>"ai_pricetable_box_value[]","textarea_rows"=>8) );
															?>
															<div class="ls-row">
																<label>Button</label>
																<div class="ls-pd-b-15">
																	<input type="text" value="" name="ai_pricetable_button_title[]" placeholder="Title i.e. Buy Now" class="w-100">
																	<input type="text" value="" name="ai_pricetable_button_value[]" placeholder="URL i.e. https://prepinsta.com/" class="w-100">
																</div>
															</div>
														</div>

														<div class="ls-col-4 border-margin">
															<button class="ls-pull-right button button-default" type="button" onclick="removeParent(this)">&times;</button>
															<div class="ls-pd-b-15">
																<input type="text" value="" name="ai_pricetable_box_title[]"  placeholder="Section Title i.e. ">
															</div>
															<?php
															wp_editor("", "ai_pricetable_box_editor".rand(), array("textarea_name"=>"ai_pricetable_box_value[]","textarea_rows"=>8) );
															?>
															<div class="ls-row">
																<label>Button</label>
																<div class="ls-pd-b-15">
																	<input type="text" value="" name="ai_pricetable_button_title[]" placeholder="Title i.e. Buy Now" class="w-100">
																	<input type="text" value="" name="ai_pricetable_button_value[]" placeholder="URL i.e. https://prepinsta.com/" class="w-100">
																</div>
															</div>
														</div>

														<div class="ls-col-4 border-margin">
															<button class="ls-pull-right button button-default" type="button" onclick="removeParent(this)">&times;</button>
															<div class="ls-pd-b-15">
																<input type="text" value="" name="ai_pricetable_box_title[]"  placeholder="Section Title i.e. ">
															</div>
															<?php
															wp_editor("", "ai_pricetable_box_editor".rand(), array("textarea_name"=>"ai_pricetable_box_value[]","textarea_rows"=>8) );
															?>
															<div class="ls-row">
																<label>Button</label>
																<div class="ls-pd-b-15">
																	<input type="text" value="" name="ai_pricetable_button_title[]" placeholder="Title i.e. Buy Now" class="w-100">
																	<input type="text" value="" name="ai_pricetable_button_value[]" placeholder="URL i.e. https://prepinsta.com/" class="w-100">
																</div>
															</div>
														</div>

														<?php	
													}
													?>
													<div class="div_append_ai_pricetable"></div>
												</div>
												<div>
													<input type="button" class="ls-pull-right button button-default add_section_pricetable" value="Add" data-id="1" data-div="ai_pricetable">
												</div>
											</div>
											<!-- boxes end -->

										</div>
									</div>

								</div>

							</div>

						</div>

					</div>

					<!-- online classes -->
					<div id="tablinks3" class="l1tabcontent" style="display:none;">

						<div class="ls-row">

							<div class="ls-col-12">
								<input type="checkbox" name="enable_additionalinfo_online" value="1" id="enable_additionalinfo_online" <?php echo ((isset($additionalinfo_data['enable_additionalinfo_online']) && $additionalinfo_data['enable_additionalinfo_online']==1)?"checked":""); ?>><label for ="enable_additionalinfo_online">Enable</label>
							</div>

							<div class="ls-col-12">
								<label>Tab Title</label>
								<input type="text" name="additionalinfo_online_tab_title" id="additionalinfo_online_tab_title" class="w-100" value="<?php echo ((isset($additionalinfo_data['additionalinfo_online_tab_title']))?$additionalinfo_data['additionalinfo_online_tab_title']:"Online Classes"); ?>">
							</div>

							<div class="ls-row">
								<div class="ls-col-5">
									<label>Tab Icon</label>
								</div>
								<div class="ls-col-6">
									<?php
									$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
									$width="100";
									$height="auto";
									$src = $default_image;

									if ( !empty( $additionalinfo_data['additionalinfo_online_tab_icon'] ) ) {
										$src = $siteURL. '/wp-content/uploads/'.$images_data[$additionalinfo_data['additionalinfo_online_tab_icon']]['image_url'];
										$value = $additionalinfo_data['additionalinfo_online_tab_icon'];
									} else {
										$src = $default_image;
										$value = '';
									}

									$text = 'Upload';

									echo '
									<div class="upload">
									<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
									<div>
									<input type="hidden" name="additionalinfo_online_tab_icon" id="additionalinfo_online_tab_icon" value="'.$value.'" />
									<button type="submit" class="upload_image_button button">' . $text . '</button>
									<button type="submit" class="remove_image_button button">&times;</button>
									</div>
									</div>
									';
									?>
								</div>
							</div>

							<div class="ls-col-12">
								<div class="topdesc-div">
									<div class="ls-row">
										<div class="ls-col-12">
											<div class="ls-col-12">
												<?php wp_editor((isset($additionalinfo_data['topdesc_textarea1_ai_oc'])?$additionalinfo_data['topdesc_textarea1_ai_oc']:""), "topdesc_textarea1_ai_oc".rand(), array("textarea_name"=>"topdesc_textarea1_ai_oc","textarea_rows"=>8) ); ?>
											</div>
										</div>
									</div>

									<div class="ls-row analytics-div">
										<div class="ls-col-12 l1-analytics">

											<!-- boxes -->
											<div class="section-creation-div-main">
												<div class="section-creation-div-per">
													<div class="ls-row">
														<?php if(isset($additionalinfo_data['top_desc_boxes_title_ai_oc']) && !empty($additionalinfo_data['top_desc_boxes_title_ai_oc'])){
															$x =1;
															for($i=0;$i<sizeof($additionalinfo_data['top_desc_boxes_title_ai_oc']);$i++){
																?>

																<div class="ls-col-6 border-margin">
																	<div class="ls-row">
																		<div class="ls-col-12 ls-text-center">
																			<?php
																			$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
																			$width="100";
																			$height="auto";
																			$src = $default_image;
																			if ( !empty( $additionalinfo_data['top_desc_boxes_img_ai_oc'][$i] ) ) {
																				$src = $siteURL. '/wp-content/uploads/'.$images_data[$additionalinfo_data['top_desc_boxes_img_ai_oc'][$i]]['image_url'];
																				$value = $additionalinfo_data['top_desc_boxes_img_ai_oc'][$i];
																			} else {
																				$src = $default_image;
																				$value = '';
																			}

																			$text = 'Upload';

																			echo '
																			<div class="upload">
																			<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
																			<div>
																			<input type="hidden" name="top_desc_boxes_img_ai_oc[]" id="top_desc_boxes_img_ai_oc[]" value="'.$value.'" />
																			<button type="submit" class="upload_image_button button">' . $text . '</button>
																			<button type="submit" class="remove_image_button button">&times;</button>
																			</div>
																			</div>
																			';
																			?>
																			<div>

																				<select name="top_desc_boxes_rating_ai_oc[]" class="w-100">
																					<option value="">- Select Rating -</option>
																					<option value="1" <?php echo ((isset($topdesc_data['top_desc_boxes_rating_ai_oc'][$i]) && $topdesc_data['top_desc_boxes_rating_ai_oc'][$i]==1 )?"selected":""); ?>>1</option>
																					<option value="2" <?php echo ((isset($topdesc_data['top_desc_boxes_rating_ai_oc'][$i]) && $topdesc_data['top_desc_boxes_rating_ai_oc'][$i]==2 )?"selected":""); ?>>2</option>
																					<option value="3" <?php echo ((isset($topdesc_data['top_desc_boxes_rating_ai_oc'][$i]) && $topdesc_data['top_desc_boxes_rating_ai_oc'][$i]==3 )?"selected":""); ?>>3</option>
																					<option value="4" <?php echo ((isset($topdesc_data['top_desc_boxes_rating_ai_oc'][$i]) && $topdesc_data['top_desc_boxes_rating_ai_oc'][$i]==4 )?"selected":""); ?>>4</option>
																					<option value="5" <?php echo ((isset($topdesc_data['top_desc_boxes_rating_ai_oc'][$i]) && $topdesc_data['top_desc_boxes_rating_ai_oc'][$i]==5 )?"selected":""); ?>>5</option>
																				</select>

																				<input type="text" name="top_desc_boxes_title_ai_oc[]" class="w-100" placeholder="i.e. Number of Hours" value="<?php echo (isset($additionalinfo_data['top_desc_boxes_title_ai_oc']) ? $additionalinfo_data['top_desc_boxes_title_ai_oc'][$i]:""); ?>">
																			</div>
																			<div>
																				<input type="text" name="top_desc_boxes_value_ai_oc[]" class="w-100" placeholder="i.e. 40+" value="<?php echo (isset($additionalinfo_data['top_desc_boxes_value_ai_oc']) ? $additionalinfo_data['top_desc_boxes_value_ai_oc'][$i]:""); ?>">
																			</div>
																		</div>
																	</div>
																	<?php if($i != 0){ ?>
																		<button class="ls-pull-right button button-default" type="button" onclick="removeParent(this)">Remove</button>
																	<?php } ?>
																</div>

																<?php $x++; } }else{
																	?>

																	<div class="ls-col-6 border-margin">
																		<div class="ls-row">
																			<div class="ls-col-12 ls-text-center">
																				<?php
																				$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
																				$width="100";
																				$src = $default_image;

																				$text = 'Upload';

																				echo '
																				<div class="upload">
																				<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
																				<div>
																				<input type="hidden" name="top_desc_boxes_img_ai_oc[]" id="top_desc_boxes_img_ai_oc[]" value="" />
																				<button type="submit" class="upload_image_button button">' . $text . '</button>
																				<button type="submit" class="remove_image_button button">&times;</button>
																				</div>
																				</div>
																				';
																				?>
																				<div>
																					<select name="top_desc_boxes_rating_ai_oc[]" class="w-100">
																						<option value="">- Select Rating -</option>
																						<option value="1">1</option>
																						<option value="2">2</option>
																						<option value="3">3</option>
																						<option value="4">4</option>
																						<option value="5">5</option>
																					</select>
																					<input type="text" name="top_desc_boxes_title_ai_oc[]" class="w-100" placeholder="i.e. Number of Hours">
																				</div>
																				<div>
																					<input type="text" name="top_desc_boxes_value_ai_oc[]" class="w-100" placeholder="i.e. 40+">
																				</div>
																			</div>
																		</div>

																	</div>

																	<?php	
																}
																?>
																<div class="div_append_top_ai_oc"></div>
															</div>
															<div>
																<input type="button" class="ls-pull-right button button-default add_section_top_oc" value="Add" data-id="1" data-div="ai_oc">
															</div>
														</div>
														<!-- boxes end -->

														<!-- seat filled -->
														<div class="ls-col-12">

															<div class="ls-row">
																<div class="ls-col-6">
																	<div class="ls-pd-b-15">
																		<input type="text" value="<?php echo (isset($additionalinfo_data['top_desc_seat_title_ai_oc'])?$additionalinfo_data['top_desc_seat_title_ai_oc']:""); ?>" name="top_desc_seat_title_ai_oc" placeholder="Title i.e. Seat Filled" class="w-100">
																		<input type="text" value="<?php echo (isset($additionalinfo_data['top_desc_seat_value_ai_oc'])?$additionalinfo_data['top_desc_seat_value_ai_oc']:""); ?>" name="top_desc_seat_value_ai_oc" placeholder="Percentage i.e. 25%" class="w-100">
																	</div>
																</div>
															</div>

															<div class="ls-row">
																<div class="ls-col-6">
																	<div class="ls-pd-b-15">
																		<input type="text" value="<?php echo (isset($additionalinfo_data['top_desc_joined_title_ai_oc'])?$additionalinfo_data['top_desc_joined_title_ai_oc']:""); ?>" name="top_desc_joined_title_ai_oc" placeholder="Title i.e. 87% who joined got placed" class="w-100">
																		<input type="text" value="<?php echo (isset($additionalinfo_data['top_desc_joined_value_ai_oc'])?$additionalinfo_data['top_desc_joined_value_ai_oc']:""); ?>" name="top_desc_joined_value_ai_oc" placeholder="Percentage i.e. 60%" class="w-100">
																	</div>
																</div>
															</div>

														</div>
														<!-- seat filled end -->

													</div>
												</div>

											</div>

											<!-- support section start -->
											<div class="ls-row border-margin">

												<div class="ls-col-3 ls-text-center">
													<?php
													$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
													$width="100";
													$height="auto";
													$src = $default_image;
													if ( !empty( $additionalinfo_data['additionalinfo_support_img'] ) ) {
														$src = $siteURL. '/wp-content/uploads/'.$images_data[$additionalinfo_data['additionalinfo_support_img']]['image_url'];
														$value = $additionalinfo_data['additionalinfo_support_img'];
													} else {
														$src = $default_image;
														$value = '';
													}

													$text = 'Upload';

													echo '
													<div class="upload">
													<img data-src="' . $default_image . '" src="' . $src . '" width="' . $width . 'px" height="" />
													<div>
													<input type="hidden" name="additionalinfo_support_img" id="additionalinfo_support_img" value="'.$value.'" />
													<button type="submit" class="upload_image_button button">' . $text . '</button>
													<button type="submit" class="remove_image_button button">&times;</button>
													</div>
													</div>
													';
													?>
												</div>

												<div class="ls-col-6">
													<div class="ls-row">
														<?php wp_editor((isset($additionalinfo_data['additionalinfo_support_textarea'])?$additionalinfo_data['additionalinfo_support_textarea']:""), "additionalinfo_support_textarea".rand(), array("textarea_name"=>"additionalinfo_support_textarea","textarea_rows"=>8) ); ?>
													</div>

													<div class="ls-row">
														<label>Button</label>
														<div class="ls-pd-b-15">
															<input type="text" value="<?php echo (isset($additionalinfo_data['additionalinfo_buy_btn_title'])?$additionalinfo_data['additionalinfo_buy_btn_title']:""); ?>" name="additionalinfo_buy_btn_title" placeholder="Title i.e. Buy Now" class="w-100">

															<input type="text" value="<?php echo (isset($additionalinfo_data['additionalinfo_buy_btn_url']) ? $additionalinfo_data['additionalinfo_buy_btn_url'] : ""); ?>" name="additionalinfo_buy_btn_url" placeholder="URL i.e. https://prepinsta.com" class="w-100">

															<?php
															$args = array(
																'post_type' => array('product_variation','product'),
																'numberposts' => -1,
															);

															$variations = get_posts( $args );
															echo "<select name='additionalinfo_buy_btn_value' class='w-100'>";
															echo "<option value=''>- Select Product -</option>";
															foreach ( $variations as $variation ) {
																$variation_ID = $variation->ID;
																if(isset($additionalinfo_data['additionalinfo_buy_btn_value']) && $variation_ID == $additionalinfo_data['additionalinfo_buy_btn_value']){
																	$selected = "selected";
																}else{
																	$selected = "";
																}
																echo "<option value='".$variation_ID."' ".$selected.">".get_the_title($variation_ID)."</obtion>";
															}
															echo "</select>";
															?>
														</div>
													</div>

												</div>

												<div class="ls-col-3">

													<input type="text" value="<?php echo (isset($additionalinfo_data['additionalinfo_click_btn_title'])?$additionalinfo_data['additionalinfo_click_btn_title']:""); ?>" name="additionalinfo_click_btn_title" placeholder="Title i.e. Click Here" class="w-100">

													<input type="text" value="<?php echo (isset($additionalinfo_data['additionalinfo_click_btn_value'])?$additionalinfo_data['additionalinfo_click_btn_value']:""); ?>" name="additionalinfo_click_btn_value" placeholder="URL i.e. https://prepinsta.com/" class="w-100">

												</div>

											</div>

											<!-- support section end -->

										</div>
									</div>

								</div>

							</div>

						</div>
					</div>
				</div>