<?php

function all_meta_boxes_recruitment() {
	if(isset($_GET['action']) && $_GET['action']=='edit'){
		$page_type=get_post_meta($_GET['post'],'_ls_level_type',true);
	}
	if((isset($_GET['leveltype']) && $_GET['leveltype']=="recruitment") || (isset($page_type) && $page_type=='recruitment-page')){
		if(get_post_meta(get_the_ID(),'ls_page_data')){
			$recruitment_page_data=get_post_meta(get_the_ID(),'ls_page_data');
		}else{
			$recruitment_page_data[0]="";
		}

		if(isset($recruitment_page_data[0]['topdesc'])){$topdescdata=$recruitment_page_data[0]['topdesc'];}else{$topdescdata="";}
		if(isset($recruitment_page_data[0]['processsteps'])){$processstepsdata=$recruitment_page_data[0]['processsteps'];}else{$processstepsdata="";}
		if(isset($recruitment_page_data[0]['youtubevideos'])){$youtubevideosdata=$recruitment_page_data[0]['youtubevideos'];}else{$youtubevideosdata="";}
		if(isset($recruitment_page_data[0]['informations'])){$informationsdata=$recruitment_page_data[0]['informations'];}else{$informationsdata="";}
		if(isset($recruitment_page_data[0]['aboutcompany'])){$aboutcompanydata=$recruitment_page_data[0]['aboutcompany'];}else{$aboutcompanydata="";}
		if(isset($recruitment_page_data[0]['photos'])){$photosdata=$recruitment_page_data[0]['photos'];}else{$photosdata="";}
		if(isset($recruitment_page_data[0]['salary'])){$salarydata=$recruitment_page_data[0]['salary'];}else{$salarydata="";}
		if(isset($recruitment_page_data[0]['reviews'])){$reviewsdata=$recruitment_page_data[0]['reviews'];}else{$reviewsdata="";}
		if(isset($recruitment_page_data[0]['sidebarvideo'])){$sidebarvideodata=$recruitment_page_data[0]['sidebarvideo'];}else{$sidebarvideodata="";}


		$image_ids_array=array();
		if(isset($processstepsdata['processsteps_boxes_img']) && !empty($processstepsdata['processsteps_boxes_img'])){
			$array = array_map('array_filter', $processstepsdata['processsteps_boxes_img']);
			$array = array_filter($array);
			foreach ($array as $processsteps_boxes_img) {
				foreach ($processsteps_boxes_img as $icon) {
					$image_ids_array[]=$icon;
				}
			}
		}
		if(isset($aboutcompanydata['aboutcompany_banner_image']) && !empty($aboutcompanydata['aboutcompany_banner_image'])){
			$image_ids_array[]=$aboutcompanydata['aboutcompany_banner_image'];
		}
		if(isset($photosdata['photos_img']) && !empty($photosdata['photos_img'])){
			$array = array_filter($photosdata['photos_img']);
			foreach ($array as $photos_img) {
				$image_ids_array[]=$photos_img;
			}
		}
		if(isset($reviewsdata['review_profile']) && !empty($reviewsdata['review_profile'])){
			$array = array_filter($reviewsdata['review_profile']);
			foreach ($array as $review_profile) {
				$image_ids_array[]=$review_profile;
			}
		}
		if(isset($sidebarvideodata['side_content_boxes_img']) && !empty($sidebarvideodata['side_content_boxes_img'])){
			$array = array_filter($sidebarvideodata['side_content_boxes_img']);
			foreach ($array as $side_content_boxes_img) {
				$image_ids_array[]=$side_content_boxes_img;
			}
		}

		if(isset($image_ids_array) && !empty($image_ids_array)){
			$images_data = get_image_data_func($image_ids_array);
		}else{
			$images_data=array();
		}

		add_meta_box( 'recruitment-topdesc'.rand(), 'Top Description', 'recruitment_topdesc', 'page','after-editor','high' , $topdescdata );
		add_meta_box( 'recruitment-processsteps'.rand(), 'Recruitement Process Steps', 'recruitment_processsteps', 'page','after-editor','high' , array($processstepsdata, $images_data) );
		add_meta_box( 'recruitment-youtubevideos'.rand(), 'Videos', 'recruitment_youtubevideos', 'page','after-editor','high' , $youtubevideosdata );
		add_meta_box( 'recruitment-informations'.rand(), 'Additional Information', 'recruitment_informations', 'page','after-editor','high' , $informationsdata );
		add_meta_box( 'recruitment-aboutcompany'.rand(), 'About Company', 'recruitment_aboutcompany', 'page','after-editor','high' , array($aboutcompanydata, $images_data) );
		add_meta_box( 'recruitment-photos'.rand(), 'Photos', 'recruitment_photos', 'page','after-editor','high' , array($photosdata, $images_data) );
		add_meta_box( 'recruitment-salary'.rand(), 'Salary', 'recruitment_salary', 'page','after-editor','high' , $salarydata );
		add_meta_box( 'recruitment-reviews'.rand(), 'Reviews', 'recruitment_reviews', 'page','after-editor','high' , array($reviewsdata, $images_data) );
		add_meta_box( 'recruitment-sidebarvideo'.rand(), 'Sidebar Video', 'recruitment_sidebarvideo', 'page','after-editor','high' , array($sidebarvideodata, $images_data) );

	}
}

if(isset($_GET['post'])){
$postID=$_GET['post'];
$elementor_page = get_post_meta( $postID, '_elementor_edit_mode', true );
}
if ( isset($elementor_page) && ! !$elementor_page ) {
}else{
	add_action( 'add_meta_boxes', 'all_meta_boxes_recruitment' );
}

function recruitment_topdesc($post, $topdesc){
	require_once  LEVEL_PAGES_DIRECTORY  . "/recruitmentpage/parts/topdesc.php";
}
function recruitment_processsteps($post, $processsteps){
	require_once  LEVEL_PAGES_DIRECTORY  . "/recruitmentpage/parts/processsteps.php";
}

function recruitment_youtubevideos($post, $youtubevideos){
	require_once  LEVEL_PAGES_DIRECTORY  . "/recruitmentpage/parts/youtubevideos.php";
}

function recruitment_informations($post, $informations){
	require_once  LEVEL_PAGES_DIRECTORY  . "/recruitmentpage/parts/informations.php";
}

function recruitment_aboutcompany($post, $aboutcompany){
	require_once  LEVEL_PAGES_DIRECTORY  . "/recruitmentpage/parts/aboutcompany.php";
}

function recruitment_photos($post, $photos){
	require_once  LEVEL_PAGES_DIRECTORY  . "/recruitmentpage/parts/photos.php";
}

function recruitment_salary($post, $salary){
	require_once  LEVEL_PAGES_DIRECTORY  . "/recruitmentpage/parts/salary.php";
}

function recruitment_reviews($post, $reviews){
	require_once  LEVEL_PAGES_DIRECTORY  . "/recruitmentpage/parts/reviews.php";
}

function recruitment_sidebarvideo($post, $sidebarvideo){
	require_once  LEVEL_PAGES_DIRECTORY  . "/recruitmentpage/parts/sidebarvideo.php";
}

?>