<?php
$experience_data=$experience['args'][0];
$images_data=$experience['args'][1];
$siteURL = get_site_url();
?>
<div class="experience-div">

	<div class="ls-row">
		<div class="ls-col-12">
			<input type="hidden" name="enable_experience" value="0">
			<input type="checkbox" name="enable_experience" value="1" id="enable_experience" <?php echo ((isset($experience_data['enable_experience']) && $experience_data['enable_experience']==1)?"checked":""); ?>><label for ="enable_experience">Enable</label>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-title ls-col-12">
			<input type="text" name="experience_title" size="30" value="<?php echo (isset($experience_data['experience_title']) ?$experience_data['experience_title']:""); ?>" class="w-100" placeholder="Section title">
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-6">
			<label>Button</label>
			<div class="ls-pd-b-15">
				<input type="text" value="<?php echo (isset($experience_data['experience_button_title']) ?$experience_data['experience_button_title']:""); ?>" name="experience_button_title" placeholder="Title i.e. Click Here" class="w-100">
				<input type="text" value="<?php echo (isset($experience_data['experience_button_value']) ?$experience_data['experience_button_value']:""); ?>" name="experience_button_value" placeholder="URL i.e. https://prepinsta.com/" class="w-100">
			</div>
		</div>
	</div>

	<div class="ls-row">
		<div class="ls-col-12">
			<label>Number of items in a row</label>
			<select name="experience_items">
				<option value="1" <?php echo ((isset($experience_data['experience_items']) && $experience_data['experience_items']=='1')?"selected":""); ?>>1</option>
				<option value="2" <?php echo ((isset($experience_data['experience_items']) && $experience_data['experience_items']=='2')?"selected":""); ?>>2</option>
				<option value="3" <?php echo ((isset($experience_data['experience_items']) && $experience_data['experience_items']=='3')?"selected":""); ?>>3</option>
				<option value="4" <?php echo ((isset($experience_data['experience_items']) && $experience_data['experience_items']=='4')?"selected":""); ?>>4</option>
			</select>
		</div>
	</div>

	<div class="ls-row experience-div">
		<div class="ls-col-12 l1-experience">
			<?php 
			if(isset($experience_data['ie_title'])){
				$tab_count=sizeof($experience_data['ie_title']);
			}else{
				$tab_count=1;
			}
			?>
			<p>
				<button id="btn-add-tab-experience" type="button" class="btn btn-primary pull-right" data-id="<?php echo $tab_count; ?>"  data-div="l1-experience">Add Tab</button>
			</p>

			<div class="tab">
				<?php if(isset($experience_data['ie_title'])){
					$h=1;
					for($i=0;$i<sizeof($experience_data['ie_title']);$i++){
						?>
						<button class="tablinks button-tablinks<?php echo $i; if($i==0){ echo ' active'; } ?>" type="button"  data-div="l1-experience" data-tabname="tablinks<?php echo $i; ?>">
							<?php echo ((!empty($experience_data['ie_title'][$i])) ? $experience_data['ie_title'][$i] : "Tab ".$h); ?>
							<button type='button' class='remove_tab_button' data-id='<?php echo $i; ?>' data-div="l1-experience">&times;</button></button>
							<?php
							$h++;
						}
					}else{ ?>
						<button class="tablinks button-tablinks1 active" type="button"  data-div="l1-experience" data-tabname="tablinks1">Tab 1 <button type='button' class='remove_tab_button' data-id='1' data-div="l1-experience">&times;</button></button>
					<?php } ?>
				</div>
				<?php if(isset($experience_data['ie_title'])){
					$x= 1;
					for($i=0;$i<sizeof($experience_data['ie_title']);$i++){
						?>

						<div id="tablinks<?php echo $i; ?>" class="l1tabcontent" style="<?php echo (($i==0)?"display:block;":""); ?>">

							<div class="ls-row">
								<div class="ls-col-4">
									<?php
									$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
									$width="100";
									$height="auto";
									if ( !empty( $experience_data['ie_image'][$i] ) ) {
										$src = $siteURL. '/wp-content/uploads/'.$images_data[$experience_data['ie_image'][$i]]['image_url'];
										$value = $experience_data['ie_image'][$i];
									} else {
										$src = $default_image;
										$value = '';
									}

									$text = 'Upload';

									echo '
									<div class="upload">
									<img data-src="' . $src . '" src="' . $src . '" width="' . $width . 'px" height="" />
									<div>
									<input type="hidden" name="l2-ie_image[]" id="l2-ie_image[]" value="'.$value.'" />
									<button type="submit" class="upload_image_button button">' . $text . '</button>
									<button type="submit" class="remove_image_button button">&times;</button>
									</div>
									</div>
									';
									?>
								</div>

								<div class="ls-col-8">
									<input type="text" name="ie_title[]" class="w-100 ls-pd-b-15" placeholder="Title i.e. Infosys off campus 1" value="<?php echo (isset($experience_data['ie_title'][$i])?$experience_data['ie_title'][$i]:''); ?>"> 
									<p>Select Rating</p>
									<select name="ie_star[]" class="w-100 ls-pd-b-15">
										<option value="1" <?php echo ((isset($experience_data['ie_star'][$i]) && $experience_data['ie_star'][$i]==1 )?"selected":""); ?>>1</option>
										<option value="2" <?php echo ((isset($experience_data['ie_star'][$i]) && $experience_data['ie_star'][$i]==2 )?"selected":""); ?>>2</option>
										<option value="3" <?php echo ((isset($experience_data['ie_star'][$i]) && $experience_data['ie_star'][$i]==3 )?"selected":""); ?>>3</option>
										<option value="4" <?php echo ((isset($experience_data['ie_star'][$i]) && $experience_data['ie_star'][$i]==4 )?"selected":""); ?>>4</option>
										<option value="5" <?php echo ((isset($experience_data['ie_star'][$i]) && $experience_data['ie_star'][$i]==5 )?"selected":""); ?>>5</option>
									</select>

									<div class="ls-col-12">
									<?php wp_editor((isset($experience_data['ie_right_textarea'][$i])?$experience_data['ie_right_textarea'][$i]:""), "experience_mceEditorID".rand(), array("textarea_name"=>"ie_right_textarea[]","textarea_rows"=>4) ); ?>
								</div>
 
								</div>
							</div>

							<div class="ls-row">
								<div class="ls-col-12">
									<?php wp_editor((isset($experience_data['experience_desc'][$i])?$experience_data['experience_desc'][$i]:""), "experience_mceEditorID".$x, array("textarea_name"=>"l1-experience_desc[]","textarea_rows"=>4) ); ?>

								</div>
							</div>

						</div>

						<?php $x++; } ?>
					<?php }else{ ?>

						<div id="tablinks1" class="l1tabcontent" style="display:block;">

							<div class="ls-row">
								<div class="ls-col-4">
									<?php
									$default_image = plugins_url('images/placeholder.png', dirname(dirname(__FILE__)));
									$width="100";
									$src = $default_image;
									$value = '';
									$text = 'Upload';

									echo '
									<div class="upload">
									<img data-src="' . $src . '" src="' . $src . '" width="' . $width . 'px" height="" />
									<div>
									<input type="hidden" name="l2-ie_image[]" id="l2-ie_image[]" value="'.$value.'" />
									<button type="submit" class="upload_image_button button">' . $text . '</button>
									<button type="submit" class="remove_image_button button">&times;</button>
									</div>
									</div>
									';
									?>
								</div>
								<div class="ls-col-8">
									<input type="text" name="ie_title[]" class="w-100 ls-pd-b-15" placeholder="Title i.e. Infosys off campus 1"> 
									<p>Select Rating</p>
									<select name="ie_star[]" class="w-100 ls-pd-b-15">
										<option value="1">1</option>
										<option value="2">2</option>
										<option value="3">3</option>
										<option value="4">4</option>
										<option value="5" selected>5</option>
									</select>

									<div class="ls-col-12">
									<?php wp_editor("", "experience_mceEditorID".rand(), array("textarea_name"=>"ie_right_textarea[]","textarea_rows"=>4) ); ?>
								</div>

								</div>
							</div>

							<div class="ls-row">
								<div class="ls-col-12">
									<?php wp_editor("", "experience_mceEditorID1", array("textarea_name"=>"l1-experience_desc[]","textarea_rows"=>4) ); ?>
								</div>
							</div>

						</div>

					<?php } ?>

				</div>
			</div>
		</div>